import * as THREE from 'three';
import { EarthOrbitControlsOptions, LngLat } from './types';
declare class EarthOrbitControls extends THREE.EventDispatcher {
    readonly camera: THREE.PerspectiveCamera;
    domElement: HTMLElement;
    private readonly earthRadius;
    /**
     * 垂直方向的视角
     */
    private readonly fov;
    tileSize: number;
    center: LngLat;
    private _distance;
    private _zoom;
    bearing: number;
    pitch: number;
    minDistance: number;
    maxDistance: number;
    private lookAtPosition;
    private disposeFuncList;
    private readonly onEnd;
    constructor(options: EarthOrbitControlsOptions);
    private getDistance;
    private getZoom;
    /**
     * 每 1 个像素对应的最小度数
     */
    getPxDeg(): number;
    get distance(): number;
    private set distance(value);
    get zoom(): number;
    set zoom(value: number);
    get z(): number;
    /**
     * 水平方向的视角
     */
    get fovX(): number;
    /**
     * 根据对角线的像素长度获取对应的视角
     * @param diagonal
     * @returns
     */
    getFov(diagonal: number): number;
    private lookAt;
    private onMousemove;
    private onContextmenu;
    private onMousewheel;
    private onPointerup;
    dispose(): void;
}
export default EarthOrbitControls;
