import { BBox } from '../types';
import BaseBeforeLayer from './BaseBeforeLayer';
import EarthOrbitControls from '../EarthOrbitControls';
import Map from '../Map';
declare class BeforeLayerManager {
    private readonly layers;
    bbox: BBox;
    /**
     * 当前实际显示区域的 BBox，只会比 bbox 更小
     */
    displayBBox: BBox;
    z: number;
    onUpdate?: () => void;
    readonly container: HTMLElement;
    readonly map: Map;
    readonly earthOrbitControls: EarthOrbitControls;
    constructor(options: {
        container: HTMLElement;
        map: Map;
        earthOrbitControls: EarthOrbitControls;
    });
    refresh(): void;
    addLayer(layer: BaseBeforeLayer): void;
    removeLayer(layer: BaseBeforeLayer): void;
}
export default BeforeLayerManager;
