import { BBox } from '../types';
import BaseLayer from './BaseLayer';
declare class LayerManager {
    readonly canvas: HTMLCanvasElement;
    private readonly ctx;
    private readonly layers;
    bbox: BBox;
    /**
     * 当前实际显示区域的 BBox，只会比 bbox 更小
     */
    displayBBox: BBox;
    z: number;
    onUpdate?: () => void;
    updateCanvasSize(pxDeg: number): void;
    updateCanvas(): void;
    refresh(): void;
    update(): void;
    addLayer(layer: BaseLayer): void;
    removeLayer(layer: BaseLayer): void;
    dispose(): void;
}
export default LayerManager;
