import { LineString, Polygon, MultiPolygon, MultiLineString } from 'geojson';
import { Features } from 'src/types';
import BaseLayer from './BaseLayer';
type Source = Features<LineString | MultiLineString | Polygon | MultiPolygon>;
interface Style {
    lineColor?: string;
    lineWidth?: number;
}
declare class LineLayer extends BaseLayer {
    private readonly canvas;
    private readonly ctx;
    source: Source;
    style?: Style;
    constructor(options: {
        source: Source;
        style?: Style;
    });
    refresh(): void;
}
export default LineLayer;
