import { Point } from 'geojson';
import { Features } from '../types';
import BaseBeforeLayer from './BaseBeforeLayer';
type Source = Features<Point>;
interface Style {
    /**
     * 文字是否可以重叠
     * 默认为 false
     */
    overlap?: boolean;
    /**
     * 字体大小，单位是 px
     * 默认为 12
     */
    fontSize?: number;
    /**
     * 字体颜色
     */
    color?: string;
}
declare class TextLayer extends BaseBeforeLayer {
    source: Source;
    style?: Style;
    constructor(options: {
        source: Source;
        style: Style;
    });
    refresh(): void;
}
export default TextLayer;
