import { BBox, XYZ } from '../types';
declare class TileLayer {
    canvas: OffscreenCanvas;
    private readonly tileSize;
    private readonly cache;
    bbox: BBox;
    canvasBBox: BBox;
    /**
     * 当前实际显示区域的 BBox，只会比 bbox 更小
     */
    displayBBox: BBox;
    z: number;
    onUpdate?: () => void;
    constructor(tileSize: number);
    /**
     * tileX 有可能小于 0 或者大于等于 z2，需要对其进行格式化
     * @param tileX
     * @returns
     */
    private getFormattedTileX;
    loadTile(xyz: XYZ): Promise<ImageBitmap>;
    /**
     * 如果当前缩放层级的 tile 没有加载完毕，则依次寻找更低缩放级别的图片占位
     * @param x
     * @param y
     * @param formattedX
     */
    private drawPreviewImage;
    private draw;
    refresh(): Promise<void>;
    update(): void;
}
export default TileLayer;
