import { ID } from '../types';
/**
 * eg. multiplyArray([1, 2], [3, 4]) = [[1, 3], [1, 4], [2, 3], [2, 4]]
 * @param xArray
 * @param yArray
 * @param row 是否按行来排列
 * @returns
 */
export declare function multiplyArray<T1, T2>(xArray: T1[], yArray: T2[], row?: boolean): [T1, T2][];
/**
 * 如果传入一个非数组字段，则将其转化为数组
 * @param value
 * @returns
 */
export declare function inflate<T>(value: T | T[]): T[];
/**
 * 根据平均数排序，离平均数越近越前
 * @param arr
 * @returns
 */
export declare function sortByAverage(arr: number[]): number[];
/**
 * !!! 会用于 Web Worker
 * @param array
 * @param size
 * @returns
 */
export declare function slice<T>(array: ArrayLike<T>, start: number, end?: number): any[];
/**
 * !!! 会用于 Web Worker
 * @param array
 * @param size
 * @returns
 */
export declare function chunk<T>(array: ArrayLike<T>, size: number): any[];
/**
 * !!! 会用于 Web Worker
 * @param arr
 * @returns
 */
export declare function last<T>(arr: T[]): T;
/**
 * !!! 会用于 Web Worker
 * @param arr
 * @returns
 */
export declare function keyBy<T>(arr: T[], iteratee: (v: T) => ID): {
    [k: string]: T;
};
