import { BBox } from '../types';
export declare const fullBBox: BBox;
/**
 * 前者的边界是否完全包括了后者
 * @param parent
 * @param child
 * @returns
 */
export declare function bboxContains(parent: BBox, child: BBox): boolean;
/**
 * 两个 line 是否存在重叠部分
 * @param a
 * @param b
 * @returns
 */
export declare function lineOverlap(a: [number, number], b: [number, number]): boolean;
/**
 * 两个 bbox 是否存在重叠部分
 * @param a
 * @param b
 * @returns
 */
export declare function bboxOverlap(a: BBox, b: BBox): boolean;
export declare function scale(bbox: BBox, scaleValue: number): BBox;
/**
 * 在球体显示时，对纬度超过[90, -90]范围进行处理
 * @param bbox
 * @returns
 */
export declare function latPretreatmentBBox(bbox: BBox): BBox;
export declare function isFull(bbox: BBox): boolean;
