import * as THREE from 'three';
import { LngLat } from '../types';
/**
 * 获取当前距离上刚好与球体相切的视角
 * @param distance 镜头离圆心的距离
 * @param r 半径
 * @returns
 */
export declare function getTangentFov(distance: number, r: number): number;
/**
 * 获取当前距离上刚好与视角相切的圆的半径
 * @param distance 镜头离圆心的距离
 * @param fov 视角
 * @returns
 */
export declare function getTangentRadius(distance: number, fov: number): number;
/**
 * 获取球体在镜头中可显示区域的圆心角
 * @param distance 镜头离圆心的距离
 * @param r 半径
 * @param fov 镜头视角
 * @returns
 */
export declare function getDisplayCentralAngle(distance: number, r: number, fov: number): number;
export declare function lngLatToVector3(lngLat: LngLat, radius: number): THREE.Vector3;
export declare function vector3ToLngLat(v3: THREE.Vector3): LngLat;
export declare function sphericalToLngLat(spherical: THREE.Spherical): LngLat;
export declare function getSatelliteUrl(x: number, y: number, z: number): string;
export declare function getTerrainUrl(x: number, y: number, z: number): string;
export declare function rgb2elevation(color: number[]): number;
