import * as THREE from 'three';
/**
 * 获取一元二次方程的解
 */
export declare function getQuadraticEquationRes(a: number, b: number, c: number): number[];
/**
 * 角度转弧度
 * !!! 会用于 Web Worker
 * @param degrees
 */
export declare function degToRad(degrees: number): number;
/**
 * 弧度转角度
 * !!! 会用于 Web Worker
 * @param degrees
 */
export declare function radToDeg(radian: number): number;
/**
 * 罗德里格旋转公式
 * @param t 旋转向量
 * @param k 旋转轴
 * @param r 旋转角度
 */
export declare function rodrigo(t: THREE.Vector3, k: THREE.Vector3, r: number): THREE.Vector3;
/**
 * 根据直角三角形的两条边获取斜边长
 * @param a
 * @param b
 * @returns
 */
export declare function hypotenuse(a: number, b: number): number;
/**
 * 将矩形分解为多个点，顺时针
 * @param params
 * @returns
 */
export declare function splitRectangle(params: {
    width: number;
    height: number;
    widthSegments: number;
    heightSegments: number;
}): number[][];
export declare function rectangleIntersect(width: number, height: number, deg: number): number[] | undefined;
