var Mapo = (function (exports, THREE) {
  'use strict';

  function _interopNamespaceDefault(e) {
    var n = Object.create(null);
    if (e) {
      Object.keys(e).forEach(function (k) {
        if (k !== 'default') {
          var d = Object.getOwnPropertyDescriptor(e, k);
          Object.defineProperty(n, k, d.get ? d : {
            enumerable: true,
            get: function () { return e[k]; }
          });
        }
      });
    }
    n.default = e;
    return Object.freeze(n);
  }

  var THREE__namespace = /*#__PURE__*/_interopNamespaceDefault(THREE);

  /** Detect free variable `global` from Node.js. */
  var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;

  var freeGlobal$1 = freeGlobal;

  /** Detect free variable `self`. */
  var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root = freeGlobal$1 || freeSelf || Function('return this')();

  var root$1 = root;

  /** Built-in value references. */
  var Symbol = root$1.Symbol;

  var Symbol$1 = Symbol;

  /** Used for built-in method references. */
  var objectProto$c = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$9 = objectProto$c.hasOwnProperty;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var nativeObjectToString$1 = objectProto$c.toString;

  /** Built-in value references. */
  var symToStringTag$1 = Symbol$1 ? Symbol$1.toStringTag : undefined;

  /**
   * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the raw `toStringTag`.
   */
  function getRawTag(value) {
    var isOwn = hasOwnProperty$9.call(value, symToStringTag$1),
        tag = value[symToStringTag$1];

    try {
      value[symToStringTag$1] = undefined;
      var unmasked = true;
    } catch (e) {}

    var result = nativeObjectToString$1.call(value);
    if (unmasked) {
      if (isOwn) {
        value[symToStringTag$1] = tag;
      } else {
        delete value[symToStringTag$1];
      }
    }
    return result;
  }

  /** Used for built-in method references. */
  var objectProto$b = Object.prototype;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var nativeObjectToString = objectProto$b.toString;

  /**
   * Converts `value` to a string using `Object.prototype.toString`.
   *
   * @private
   * @param {*} value The value to convert.
   * @returns {string} Returns the converted string.
   */
  function objectToString(value) {
    return nativeObjectToString.call(value);
  }

  /** `Object#toString` result references. */
  var nullTag = '[object Null]',
      undefinedTag = '[object Undefined]';

  /** Built-in value references. */
  var symToStringTag = Symbol$1 ? Symbol$1.toStringTag : undefined;

  /**
   * The base implementation of `getTag` without fallbacks for buggy environments.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  function baseGetTag(value) {
    if (value == null) {
      return value === undefined ? undefinedTag : nullTag;
    }
    return (symToStringTag && symToStringTag in Object(value))
      ? getRawTag(value)
      : objectToString(value);
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike(value) {
    return value != null && typeof value == 'object';
  }

  /** `Object#toString` result references. */
  var symbolTag$1 = '[object Symbol]';

  /**
   * Checks if `value` is classified as a `Symbol` primitive or object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
   * @example
   *
   * _.isSymbol(Symbol.iterator);
   * // => true
   *
   * _.isSymbol('abc');
   * // => false
   */
  function isSymbol(value) {
    return typeof value == 'symbol' ||
      (isObjectLike(value) && baseGetTag(value) == symbolTag$1);
  }

  /**
   * A specialized version of `_.map` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the new mapped array.
   */
  function arrayMap(array, iteratee) {
    var index = -1,
        length = array == null ? 0 : array.length,
        result = Array(length);

    while (++index < length) {
      result[index] = iteratee(array[index], index, array);
    }
    return result;
  }

  /**
   * Checks if `value` is classified as an `Array` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array, else `false`.
   * @example
   *
   * _.isArray([1, 2, 3]);
   * // => true
   *
   * _.isArray(document.body.children);
   * // => false
   *
   * _.isArray('abc');
   * // => false
   *
   * _.isArray(_.noop);
   * // => false
   */
  var isArray = Array.isArray;

  var isArray$1 = isArray;

  /** Used as references for various `Number` constants. */
  var INFINITY$1 = 1 / 0;

  /** Used to convert symbols to primitives and strings. */
  var symbolProto$1 = Symbol$1 ? Symbol$1.prototype : undefined,
      symbolToString = symbolProto$1 ? symbolProto$1.toString : undefined;

  /**
   * The base implementation of `_.toString` which doesn't convert nullish
   * values to empty strings.
   *
   * @private
   * @param {*} value The value to process.
   * @returns {string} Returns the string.
   */
  function baseToString(value) {
    // Exit early for strings to avoid a performance hit in some environments.
    if (typeof value == 'string') {
      return value;
    }
    if (isArray$1(value)) {
      // Recursively convert values (susceptible to call stack limits).
      return arrayMap(value, baseToString) + '';
    }
    if (isSymbol(value)) {
      return symbolToString ? symbolToString.call(value) : '';
    }
    var result = (value + '');
    return (result == '0' && (1 / value) == -INFINITY$1) ? '-0' : result;
  }

  /** Used to match a single whitespace character. */
  var reWhitespace = /\s/;

  /**
   * Used by `_.trim` and `_.trimEnd` to get the index of the last non-whitespace
   * character of `string`.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {number} Returns the index of the last non-whitespace character.
   */
  function trimmedEndIndex(string) {
    var index = string.length;

    while (index-- && reWhitespace.test(string.charAt(index))) {}
    return index;
  }

  /** Used to match leading whitespace. */
  var reTrimStart = /^\s+/;

  /**
   * The base implementation of `_.trim`.
   *
   * @private
   * @param {string} string The string to trim.
   * @returns {string} Returns the trimmed string.
   */
  function baseTrim(string) {
    return string
      ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, '')
      : string;
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject(value) {
    var type = typeof value;
    return value != null && (type == 'object' || type == 'function');
  }

  /** Used as references for various `Number` constants. */
  var NAN = 0 / 0;

  /** Used to detect bad signed hexadecimal string values. */
  var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;

  /** Used to detect binary string values. */
  var reIsBinary = /^0b[01]+$/i;

  /** Used to detect octal string values. */
  var reIsOctal = /^0o[0-7]+$/i;

  /** Built-in method references without a dependency on `root`. */
  var freeParseInt = parseInt;

  /**
   * Converts `value` to a number.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to process.
   * @returns {number} Returns the number.
   * @example
   *
   * _.toNumber(3.2);
   * // => 3.2
   *
   * _.toNumber(Number.MIN_VALUE);
   * // => 5e-324
   *
   * _.toNumber(Infinity);
   * // => Infinity
   *
   * _.toNumber('3.2');
   * // => 3.2
   */
  function toNumber(value) {
    if (typeof value == 'number') {
      return value;
    }
    if (isSymbol(value)) {
      return NAN;
    }
    if (isObject(value)) {
      var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
      value = isObject(other) ? (other + '') : other;
    }
    if (typeof value != 'string') {
      return value === 0 ? value : +value;
    }
    value = baseTrim(value);
    var isBinary = reIsBinary.test(value);
    return (isBinary || reIsOctal.test(value))
      ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
      : (reIsBadHex.test(value) ? NAN : +value);
  }

  /** Used as references for various `Number` constants. */
  var INFINITY = 1 / 0,
      MAX_INTEGER = 1.7976931348623157e+308;

  /**
   * Converts `value` to a finite number.
   *
   * @static
   * @memberOf _
   * @since 4.12.0
   * @category Lang
   * @param {*} value The value to convert.
   * @returns {number} Returns the converted number.
   * @example
   *
   * _.toFinite(3.2);
   * // => 3.2
   *
   * _.toFinite(Number.MIN_VALUE);
   * // => 5e-324
   *
   * _.toFinite(Infinity);
   * // => 1.7976931348623157e+308
   *
   * _.toFinite('3.2');
   * // => 3.2
   */
  function toFinite(value) {
    if (!value) {
      return value === 0 ? value : 0;
    }
    value = toNumber(value);
    if (value === INFINITY || value === -INFINITY) {
      var sign = (value < 0 ? -1 : 1);
      return sign * MAX_INTEGER;
    }
    return value === value ? value : 0;
  }

  /**
   * Converts `value` to an integer.
   *
   * **Note:** This method is loosely based on
   * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to convert.
   * @returns {number} Returns the converted integer.
   * @example
   *
   * _.toInteger(3.2);
   * // => 3
   *
   * _.toInteger(Number.MIN_VALUE);
   * // => 0
   *
   * _.toInteger(Infinity);
   * // => 1.7976931348623157e+308
   *
   * _.toInteger('3.2');
   * // => 3
   */
  function toInteger(value) {
    var result = toFinite(value),
        remainder = result % 1;

    return result === result ? (remainder ? result - remainder : result) : 0;
  }

  /** `Object#toString` result references. */
  var asyncTag = '[object AsyncFunction]',
      funcTag$1 = '[object Function]',
      genTag = '[object GeneratorFunction]',
      proxyTag = '[object Proxy]';

  /**
   * Checks if `value` is classified as a `Function` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a function, else `false`.
   * @example
   *
   * _.isFunction(_);
   * // => true
   *
   * _.isFunction(/abc/);
   * // => false
   */
  function isFunction(value) {
    if (!isObject(value)) {
      return false;
    }
    // The use of `Object#toString` avoids issues with the `typeof` operator
    // in Safari 9 which returns 'object' for typed arrays and other constructors.
    var tag = baseGetTag(value);
    return tag == funcTag$1 || tag == genTag || tag == asyncTag || tag == proxyTag;
  }

  /** Used to detect overreaching core-js shims. */
  var coreJsData = root$1['__core-js_shared__'];

  var coreJsData$1 = coreJsData;

  /** Used to detect methods masquerading as native. */
  var maskSrcKey = (function() {
    var uid = /[^.]+$/.exec(coreJsData$1 && coreJsData$1.keys && coreJsData$1.keys.IE_PROTO || '');
    return uid ? ('Symbol(src)_1.' + uid) : '';
  }());

  /**
   * Checks if `func` has its source masked.
   *
   * @private
   * @param {Function} func The function to check.
   * @returns {boolean} Returns `true` if `func` is masked, else `false`.
   */
  function isMasked(func) {
    return !!maskSrcKey && (maskSrcKey in func);
  }

  /** Used for built-in method references. */
  var funcProto$1 = Function.prototype;

  /** Used to resolve the decompiled source of functions. */
  var funcToString$1 = funcProto$1.toString;

  /**
   * Converts `func` to its source code.
   *
   * @private
   * @param {Function} func The function to convert.
   * @returns {string} Returns the source code.
   */
  function toSource(func) {
    if (func != null) {
      try {
        return funcToString$1.call(func);
      } catch (e) {}
      try {
        return (func + '');
      } catch (e) {}
    }
    return '';
  }

  /**
   * Used to match `RegExp`
   * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
   */
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

  /** Used to detect host constructors (Safari). */
  var reIsHostCtor = /^\[object .+?Constructor\]$/;

  /** Used for built-in method references. */
  var funcProto = Function.prototype,
      objectProto$a = Object.prototype;

  /** Used to resolve the decompiled source of functions. */
  var funcToString = funcProto.toString;

  /** Used to check objects for own properties. */
  var hasOwnProperty$8 = objectProto$a.hasOwnProperty;

  /** Used to detect if a method is native. */
  var reIsNative = RegExp('^' +
    funcToString.call(hasOwnProperty$8).replace(reRegExpChar, '\\$&')
    .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
  );

  /**
   * The base implementation of `_.isNative` without bad shim checks.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a native function,
   *  else `false`.
   */
  function baseIsNative(value) {
    if (!isObject(value) || isMasked(value)) {
      return false;
    }
    var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
    return pattern.test(toSource(value));
  }

  /**
   * Gets the value at `key` of `object`.
   *
   * @private
   * @param {Object} [object] The object to query.
   * @param {string} key The key of the property to get.
   * @returns {*} Returns the property value.
   */
  function getValue(object, key) {
    return object == null ? undefined : object[key];
  }

  /**
   * Gets the native function at `key` of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {string} key The key of the method to get.
   * @returns {*} Returns the function if it's native, else `undefined`.
   */
  function getNative(object, key) {
    var value = getValue(object, key);
    return baseIsNative(value) ? value : undefined;
  }

  /* Built-in method references that are verified to be native. */
  var WeakMap = getNative(root$1, 'WeakMap');

  var WeakMap$1 = WeakMap;

  /** Used as references for various `Number` constants. */
  var MAX_SAFE_INTEGER$1 = 9007199254740991;

  /** Used to detect unsigned integer values. */
  var reIsUint = /^(?:0|[1-9]\d*)$/;

  /**
   * Checks if `value` is a valid array-like index.
   *
   * @private
   * @param {*} value The value to check.
   * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
   * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
   */
  function isIndex(value, length) {
    var type = typeof value;
    length = length == null ? MAX_SAFE_INTEGER$1 : length;

    return !!length &&
      (type == 'number' ||
        (type != 'symbol' && reIsUint.test(value))) &&
          (value > -1 && value % 1 == 0 && value < length);
  }

  /**
   * Performs a
   * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * comparison between two values to determine if they are equivalent.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   * @example
   *
   * var object = { 'a': 1 };
   * var other = { 'a': 1 };
   *
   * _.eq(object, object);
   * // => true
   *
   * _.eq(object, other);
   * // => false
   *
   * _.eq('a', 'a');
   * // => true
   *
   * _.eq('a', Object('a'));
   * // => false
   *
   * _.eq(NaN, NaN);
   * // => true
   */
  function eq(value, other) {
    return value === other || (value !== value && other !== other);
  }

  /** Used as references for various `Number` constants. */
  var MAX_SAFE_INTEGER = 9007199254740991;

  /**
   * Checks if `value` is a valid array-like length.
   *
   * **Note:** This method is loosely based on
   * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
   * @example
   *
   * _.isLength(3);
   * // => true
   *
   * _.isLength(Number.MIN_VALUE);
   * // => false
   *
   * _.isLength(Infinity);
   * // => false
   *
   * _.isLength('3');
   * // => false
   */
  function isLength(value) {
    return typeof value == 'number' &&
      value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
  }

  /**
   * Checks if `value` is array-like. A value is considered array-like if it's
   * not a function and has a `value.length` that's an integer greater than or
   * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
   * @example
   *
   * _.isArrayLike([1, 2, 3]);
   * // => true
   *
   * _.isArrayLike(document.body.children);
   * // => true
   *
   * _.isArrayLike('abc');
   * // => true
   *
   * _.isArrayLike(_.noop);
   * // => false
   */
  function isArrayLike(value) {
    return value != null && isLength(value.length) && !isFunction(value);
  }

  /**
   * Checks if the given arguments are from an iteratee call.
   *
   * @private
   * @param {*} value The potential iteratee value argument.
   * @param {*} index The potential iteratee index or key argument.
   * @param {*} object The potential iteratee object argument.
   * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
   *  else `false`.
   */
  function isIterateeCall(value, index, object) {
    if (!isObject(object)) {
      return false;
    }
    var type = typeof index;
    if (type == 'number'
          ? (isArrayLike(object) && isIndex(index, object.length))
          : (type == 'string' && index in object)
        ) {
      return eq(object[index], value);
    }
    return false;
  }

  /** Used for built-in method references. */
  var objectProto$9 = Object.prototype;

  /**
   * Checks if `value` is likely a prototype object.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
   */
  function isPrototype(value) {
    var Ctor = value && value.constructor,
        proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto$9;

    return value === proto;
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /** `Object#toString` result references. */
  var argsTag$2 = '[object Arguments]';

  /**
   * The base implementation of `_.isArguments`.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   */
  function baseIsArguments(value) {
    return isObjectLike(value) && baseGetTag(value) == argsTag$2;
  }

  /** Used for built-in method references. */
  var objectProto$8 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$7 = objectProto$8.hasOwnProperty;

  /** Built-in value references. */
  var propertyIsEnumerable$1 = objectProto$8.propertyIsEnumerable;

  /**
   * Checks if `value` is likely an `arguments` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   *  else `false`.
   * @example
   *
   * _.isArguments(function() { return arguments; }());
   * // => true
   *
   * _.isArguments([1, 2, 3]);
   * // => false
   */
  var isArguments = baseIsArguments(function() { return arguments; }()) ? baseIsArguments : function(value) {
    return isObjectLike(value) && hasOwnProperty$7.call(value, 'callee') &&
      !propertyIsEnumerable$1.call(value, 'callee');
  };

  var isArguments$1 = isArguments;

  /**
   * This method returns `false`.
   *
   * @static
   * @memberOf _
   * @since 4.13.0
   * @category Util
   * @returns {boolean} Returns `false`.
   * @example
   *
   * _.times(2, _.stubFalse);
   * // => [false, false]
   */
  function stubFalse() {
    return false;
  }

  /** Detect free variable `exports`. */
  var freeExports$1 = typeof exports == 'object' && exports && !exports.nodeType && exports;

  /** Detect free variable `module`. */
  var freeModule$1 = freeExports$1 && typeof module == 'object' && module && !module.nodeType && module;

  /** Detect the popular CommonJS extension `module.exports`. */
  var moduleExports$1 = freeModule$1 && freeModule$1.exports === freeExports$1;

  /** Built-in value references. */
  var Buffer = moduleExports$1 ? root$1.Buffer : undefined;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined;

  /**
   * Checks if `value` is a buffer.
   *
   * @static
   * @memberOf _
   * @since 4.3.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
   * @example
   *
   * _.isBuffer(new Buffer(2));
   * // => true
   *
   * _.isBuffer(new Uint8Array(2));
   * // => false
   */
  var isBuffer = nativeIsBuffer || stubFalse;

  var isBuffer$1 = isBuffer;

  /** `Object#toString` result references. */
  var argsTag$1 = '[object Arguments]',
      arrayTag$1 = '[object Array]',
      boolTag$1 = '[object Boolean]',
      dateTag$1 = '[object Date]',
      errorTag$1 = '[object Error]',
      funcTag = '[object Function]',
      mapTag$3 = '[object Map]',
      numberTag$1 = '[object Number]',
      objectTag$2 = '[object Object]',
      regexpTag$1 = '[object RegExp]',
      setTag$3 = '[object Set]',
      stringTag$1 = '[object String]',
      weakMapTag$1 = '[object WeakMap]';

  var arrayBufferTag$1 = '[object ArrayBuffer]',
      dataViewTag$2 = '[object DataView]',
      float32Tag = '[object Float32Array]',
      float64Tag = '[object Float64Array]',
      int8Tag = '[object Int8Array]',
      int16Tag = '[object Int16Array]',
      int32Tag = '[object Int32Array]',
      uint8Tag = '[object Uint8Array]',
      uint8ClampedTag = '[object Uint8ClampedArray]',
      uint16Tag = '[object Uint16Array]',
      uint32Tag = '[object Uint32Array]';

  /** Used to identify `toStringTag` values of typed arrays. */
  var typedArrayTags = {};
  typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
  typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
  typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
  typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
  typedArrayTags[uint32Tag] = true;
  typedArrayTags[argsTag$1] = typedArrayTags[arrayTag$1] =
  typedArrayTags[arrayBufferTag$1] = typedArrayTags[boolTag$1] =
  typedArrayTags[dataViewTag$2] = typedArrayTags[dateTag$1] =
  typedArrayTags[errorTag$1] = typedArrayTags[funcTag] =
  typedArrayTags[mapTag$3] = typedArrayTags[numberTag$1] =
  typedArrayTags[objectTag$2] = typedArrayTags[regexpTag$1] =
  typedArrayTags[setTag$3] = typedArrayTags[stringTag$1] =
  typedArrayTags[weakMapTag$1] = false;

  /**
   * The base implementation of `_.isTypedArray` without Node.js optimizations.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
   */
  function baseIsTypedArray(value) {
    return isObjectLike(value) &&
      isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
  }

  /**
   * The base implementation of `_.unary` without support for storing metadata.
   *
   * @private
   * @param {Function} func The function to cap arguments for.
   * @returns {Function} Returns the new capped function.
   */
  function baseUnary(func) {
    return function(value) {
      return func(value);
    };
  }

  /** Detect free variable `exports`. */
  var freeExports = typeof exports == 'object' && exports && !exports.nodeType && exports;

  /** Detect free variable `module`. */
  var freeModule = freeExports && typeof module == 'object' && module && !module.nodeType && module;

  /** Detect the popular CommonJS extension `module.exports`. */
  var moduleExports = freeModule && freeModule.exports === freeExports;

  /** Detect free variable `process` from Node.js. */
  var freeProcess = moduleExports && freeGlobal$1.process;

  /** Used to access faster Node.js helpers. */
  var nodeUtil = (function() {
    try {
      // Use `util.types` for Node.js 10+.
      var types = freeModule && freeModule.require && freeModule.require('util').types;

      if (types) {
        return types;
      }

      // Legacy `process.binding('util')` for Node.js < 10.
      return freeProcess && freeProcess.binding && freeProcess.binding('util');
    } catch (e) {}
  }());

  var nodeUtil$1 = nodeUtil;

  /* Node.js helper references. */
  var nodeIsTypedArray = nodeUtil$1 && nodeUtil$1.isTypedArray;

  /**
   * Checks if `value` is classified as a typed array.
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
   * @example
   *
   * _.isTypedArray(new Uint8Array);
   * // => true
   *
   * _.isTypedArray([]);
   * // => false
   */
  var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;

  var isTypedArray$1 = isTypedArray;

  /** Used for built-in method references. */
  var objectProto$7 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$6 = objectProto$7.hasOwnProperty;

  /**
   * Creates an array of the enumerable property names of the array-like `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @param {boolean} inherited Specify returning inherited property names.
   * @returns {Array} Returns the array of property names.
   */
  function arrayLikeKeys(value, inherited) {
    var isArr = isArray$1(value),
        isArg = !isArr && isArguments$1(value),
        isBuff = !isArr && !isArg && isBuffer$1(value),
        isType = !isArr && !isArg && !isBuff && isTypedArray$1(value),
        skipIndexes = isArr || isArg || isBuff || isType,
        result = skipIndexes ? baseTimes(value.length, String) : [],
        length = result.length;

    for (var key in value) {
      if ((inherited || hasOwnProperty$6.call(value, key)) &&
          !(skipIndexes && (
             // Safari 9 has enumerable `arguments.length` in strict mode.
             key == 'length' ||
             // Node.js 0.10 has enumerable non-index properties on buffers.
             (isBuff && (key == 'offset' || key == 'parent')) ||
             // PhantomJS 2 has enumerable non-index properties on typed arrays.
             (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
             // Skip index properties.
             isIndex(key, length)
          ))) {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeKeys = overArg(Object.keys, Object);

  var nativeKeys$1 = nativeKeys;

  /** Used for built-in method references. */
  var objectProto$6 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$5 = objectProto$6.hasOwnProperty;

  /**
   * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   */
  function baseKeys(object) {
    if (!isPrototype(object)) {
      return nativeKeys$1(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty$5.call(object, key) && key != 'constructor') {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Creates an array of the own enumerable property names of `object`.
   *
   * **Note:** Non-object values are coerced to objects. See the
   * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
   * for more details.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.keys(new Foo);
   * // => ['a', 'b'] (iteration order is not guaranteed)
   *
   * _.keys('hi');
   * // => ['0', '1']
   */
  function keys(object) {
    return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
  }

  /* Built-in method references that are verified to be native. */
  var nativeCreate = getNative(Object, 'create');

  var nativeCreate$1 = nativeCreate;

  /**
   * Removes all key-value entries from the hash.
   *
   * @private
   * @name clear
   * @memberOf Hash
   */
  function hashClear() {
    this.__data__ = nativeCreate$1 ? nativeCreate$1(null) : {};
    this.size = 0;
  }

  /**
   * Removes `key` and its value from the hash.
   *
   * @private
   * @name delete
   * @memberOf Hash
   * @param {Object} hash The hash to modify.
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function hashDelete(key) {
    var result = this.has(key) && delete this.__data__[key];
    this.size -= result ? 1 : 0;
    return result;
  }

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED$2 = '__lodash_hash_undefined__';

  /** Used for built-in method references. */
  var objectProto$5 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$4 = objectProto$5.hasOwnProperty;

  /**
   * Gets the hash value for `key`.
   *
   * @private
   * @name get
   * @memberOf Hash
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function hashGet(key) {
    var data = this.__data__;
    if (nativeCreate$1) {
      var result = data[key];
      return result === HASH_UNDEFINED$2 ? undefined : result;
    }
    return hasOwnProperty$4.call(data, key) ? data[key] : undefined;
  }

  /** Used for built-in method references. */
  var objectProto$4 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$3 = objectProto$4.hasOwnProperty;

  /**
   * Checks if a hash value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf Hash
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function hashHas(key) {
    var data = this.__data__;
    return nativeCreate$1 ? (data[key] !== undefined) : hasOwnProperty$3.call(data, key);
  }

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED$1 = '__lodash_hash_undefined__';

  /**
   * Sets the hash `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf Hash
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the hash instance.
   */
  function hashSet(key, value) {
    var data = this.__data__;
    this.size += this.has(key) ? 0 : 1;
    data[key] = (nativeCreate$1 && value === undefined) ? HASH_UNDEFINED$1 : value;
    return this;
  }

  /**
   * Creates a hash object.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Hash(entries) {
    var index = -1,
        length = entries == null ? 0 : entries.length;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  // Add methods to `Hash`.
  Hash.prototype.clear = hashClear;
  Hash.prototype['delete'] = hashDelete;
  Hash.prototype.get = hashGet;
  Hash.prototype.has = hashHas;
  Hash.prototype.set = hashSet;

  /**
   * Removes all key-value entries from the list cache.
   *
   * @private
   * @name clear
   * @memberOf ListCache
   */
  function listCacheClear() {
    this.__data__ = [];
    this.size = 0;
  }

  /**
   * Gets the index at which the `key` is found in `array` of key-value pairs.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} key The key to search for.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function assocIndexOf(array, key) {
    var length = array.length;
    while (length--) {
      if (eq(array[length][0], key)) {
        return length;
      }
    }
    return -1;
  }

  /** Used for built-in method references. */
  var arrayProto = Array.prototype;

  /** Built-in value references. */
  var splice = arrayProto.splice;

  /**
   * Removes `key` and its value from the list cache.
   *
   * @private
   * @name delete
   * @memberOf ListCache
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function listCacheDelete(key) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      return false;
    }
    var lastIndex = data.length - 1;
    if (index == lastIndex) {
      data.pop();
    } else {
      splice.call(data, index, 1);
    }
    --this.size;
    return true;
  }

  /**
   * Gets the list cache value for `key`.
   *
   * @private
   * @name get
   * @memberOf ListCache
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function listCacheGet(key) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    return index < 0 ? undefined : data[index][1];
  }

  /**
   * Checks if a list cache value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf ListCache
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function listCacheHas(key) {
    return assocIndexOf(this.__data__, key) > -1;
  }

  /**
   * Sets the list cache `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf ListCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the list cache instance.
   */
  function listCacheSet(key, value) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      ++this.size;
      data.push([key, value]);
    } else {
      data[index][1] = value;
    }
    return this;
  }

  /**
   * Creates an list cache object.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function ListCache(entries) {
    var index = -1,
        length = entries == null ? 0 : entries.length;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  // Add methods to `ListCache`.
  ListCache.prototype.clear = listCacheClear;
  ListCache.prototype['delete'] = listCacheDelete;
  ListCache.prototype.get = listCacheGet;
  ListCache.prototype.has = listCacheHas;
  ListCache.prototype.set = listCacheSet;

  /* Built-in method references that are verified to be native. */
  var Map$1 = getNative(root$1, 'Map');

  var Map$2 = Map$1;

  /**
   * Removes all key-value entries from the map.
   *
   * @private
   * @name clear
   * @memberOf MapCache
   */
  function mapCacheClear() {
    this.size = 0;
    this.__data__ = {
      'hash': new Hash,
      'map': new (Map$2 || ListCache),
      'string': new Hash
    };
  }

  /**
   * Checks if `value` is suitable for use as unique object key.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
   */
  function isKeyable(value) {
    var type = typeof value;
    return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
      ? (value !== '__proto__')
      : (value === null);
  }

  /**
   * Gets the data for `map`.
   *
   * @private
   * @param {Object} map The map to query.
   * @param {string} key The reference key.
   * @returns {*} Returns the map data.
   */
  function getMapData(map, key) {
    var data = map.__data__;
    return isKeyable(key)
      ? data[typeof key == 'string' ? 'string' : 'hash']
      : data.map;
  }

  /**
   * Removes `key` and its value from the map.
   *
   * @private
   * @name delete
   * @memberOf MapCache
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function mapCacheDelete(key) {
    var result = getMapData(this, key)['delete'](key);
    this.size -= result ? 1 : 0;
    return result;
  }

  /**
   * Gets the map value for `key`.
   *
   * @private
   * @name get
   * @memberOf MapCache
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function mapCacheGet(key) {
    return getMapData(this, key).get(key);
  }

  /**
   * Checks if a map value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf MapCache
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function mapCacheHas(key) {
    return getMapData(this, key).has(key);
  }

  /**
   * Sets the map `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf MapCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the map cache instance.
   */
  function mapCacheSet(key, value) {
    var data = getMapData(this, key),
        size = data.size;

    data.set(key, value);
    this.size += data.size == size ? 0 : 1;
    return this;
  }

  /**
   * Creates a map cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function MapCache(entries) {
    var index = -1,
        length = entries == null ? 0 : entries.length;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  // Add methods to `MapCache`.
  MapCache.prototype.clear = mapCacheClear;
  MapCache.prototype['delete'] = mapCacheDelete;
  MapCache.prototype.get = mapCacheGet;
  MapCache.prototype.has = mapCacheHas;
  MapCache.prototype.set = mapCacheSet;

  /**
   * Converts `value` to a string. An empty string is returned for `null`
   * and `undefined` values. The sign of `-0` is preserved.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to convert.
   * @returns {string} Returns the converted string.
   * @example
   *
   * _.toString(null);
   * // => ''
   *
   * _.toString(-0);
   * // => '-0'
   *
   * _.toString([1, 2, 3]);
   * // => '1,2,3'
   */
  function toString(value) {
    return value == null ? '' : baseToString(value);
  }

  /**
   * Appends the elements of `values` to `array`.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {Array} values The values to append.
   * @returns {Array} Returns `array`.
   */
  function arrayPush(array, values) {
    var index = -1,
        length = values.length,
        offset = array.length;

    while (++index < length) {
      array[offset + index] = values[index];
    }
    return array;
  }

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeIsFinite = root$1.isFinite,
      nativeMin$2 = Math.min;

  /**
   * Creates a function like `_.round`.
   *
   * @private
   * @param {string} methodName The name of the `Math` method to use when rounding.
   * @returns {Function} Returns the new round function.
   */
  function createRound(methodName) {
    var func = Math[methodName];
    return function(number, precision) {
      number = toNumber(number);
      precision = precision == null ? 0 : nativeMin$2(toInteger(precision), 292);
      if (precision && nativeIsFinite(number)) {
        // Shift with exponential notation to avoid floating-point issues.
        // See [MDN](https://mdn.io/round#Examples) for more details.
        var pair = (toString(number) + 'e').split('e'),
            value = func(pair[0] + 'e' + (+pair[1] + precision));

        pair = (toString(value) + 'e').split('e');
        return +(pair[0] + 'e' + (+pair[1] - precision));
      }
      return func(number);
    };
  }

  /**
   * The base implementation of `_.clamp` which doesn't coerce arguments.
   *
   * @private
   * @param {number} number The number to clamp.
   * @param {number} [lower] The lower bound.
   * @param {number} upper The upper bound.
   * @returns {number} Returns the clamped number.
   */
  function baseClamp(number, lower, upper) {
    if (number === number) {
      if (upper !== undefined) {
        number = number <= upper ? number : upper;
      }
      if (lower !== undefined) {
        number = number >= lower ? number : lower;
      }
    }
    return number;
  }

  /**
   * Clamps `number` within the inclusive `lower` and `upper` bounds.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Number
   * @param {number} number The number to clamp.
   * @param {number} [lower] The lower bound.
   * @param {number} upper The upper bound.
   * @returns {number} Returns the clamped number.
   * @example
   *
   * _.clamp(-10, -5, 5);
   * // => -5
   *
   * _.clamp(10, -5, 5);
   * // => 5
   */
  function clamp$1(number, lower, upper) {
    if (upper === undefined) {
      upper = lower;
      lower = undefined;
    }
    if (upper !== undefined) {
      upper = toNumber(upper);
      upper = upper === upper ? upper : 0;
    }
    if (lower !== undefined) {
      lower = toNumber(lower);
      lower = lower === lower ? lower : 0;
    }
    return baseClamp(toNumber(number), lower, upper);
  }

  /**
   * Removes all key-value entries from the stack.
   *
   * @private
   * @name clear
   * @memberOf Stack
   */
  function stackClear() {
    this.__data__ = new ListCache;
    this.size = 0;
  }

  /**
   * Removes `key` and its value from the stack.
   *
   * @private
   * @name delete
   * @memberOf Stack
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function stackDelete(key) {
    var data = this.__data__,
        result = data['delete'](key);

    this.size = data.size;
    return result;
  }

  /**
   * Gets the stack value for `key`.
   *
   * @private
   * @name get
   * @memberOf Stack
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function stackGet(key) {
    return this.__data__.get(key);
  }

  /**
   * Checks if a stack value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf Stack
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function stackHas(key) {
    return this.__data__.has(key);
  }

  /** Used as the size to enable large array optimizations. */
  var LARGE_ARRAY_SIZE = 200;

  /**
   * Sets the stack `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf Stack
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the stack cache instance.
   */
  function stackSet(key, value) {
    var data = this.__data__;
    if (data instanceof ListCache) {
      var pairs = data.__data__;
      if (!Map$2 || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
        pairs.push([key, value]);
        this.size = ++data.size;
        return this;
      }
      data = this.__data__ = new MapCache(pairs);
    }
    data.set(key, value);
    this.size = data.size;
    return this;
  }

  /**
   * Creates a stack cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Stack(entries) {
    var data = this.__data__ = new ListCache(entries);
    this.size = data.size;
  }

  // Add methods to `Stack`.
  Stack.prototype.clear = stackClear;
  Stack.prototype['delete'] = stackDelete;
  Stack.prototype.get = stackGet;
  Stack.prototype.has = stackHas;
  Stack.prototype.set = stackSet;

  /**
   * A specialized version of `_.filter` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {Array} Returns the new filtered array.
   */
  function arrayFilter(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length,
        resIndex = 0,
        result = [];

    while (++index < length) {
      var value = array[index];
      if (predicate(value, index, array)) {
        result[resIndex++] = value;
      }
    }
    return result;
  }

  /**
   * This method returns a new empty array.
   *
   * @static
   * @memberOf _
   * @since 4.13.0
   * @category Util
   * @returns {Array} Returns the new empty array.
   * @example
   *
   * var arrays = _.times(2, _.stubArray);
   *
   * console.log(arrays);
   * // => [[], []]
   *
   * console.log(arrays[0] === arrays[1]);
   * // => false
   */
  function stubArray() {
    return [];
  }

  /** Used for built-in method references. */
  var objectProto$3 = Object.prototype;

  /** Built-in value references. */
  var propertyIsEnumerable = objectProto$3.propertyIsEnumerable;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeGetSymbols = Object.getOwnPropertySymbols;

  /**
   * Creates an array of the own enumerable symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of symbols.
   */
  var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
    if (object == null) {
      return [];
    }
    object = Object(object);
    return arrayFilter(nativeGetSymbols(object), function(symbol) {
      return propertyIsEnumerable.call(object, symbol);
    });
  };

  var getSymbols$1 = getSymbols;

  /**
   * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
   * `keysFunc` and `symbolsFunc` to get the enumerable property names and
   * symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Function} keysFunc The function to get the keys of `object`.
   * @param {Function} symbolsFunc The function to get the symbols of `object`.
   * @returns {Array} Returns the array of property names and symbols.
   */
  function baseGetAllKeys(object, keysFunc, symbolsFunc) {
    var result = keysFunc(object);
    return isArray$1(object) ? result : arrayPush(result, symbolsFunc(object));
  }

  /**
   * Creates an array of own enumerable property names and symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names and symbols.
   */
  function getAllKeys(object) {
    return baseGetAllKeys(object, keys, getSymbols$1);
  }

  /* Built-in method references that are verified to be native. */
  var DataView = getNative(root$1, 'DataView');

  var DataView$1 = DataView;

  /* Built-in method references that are verified to be native. */
  var Promise$1 = getNative(root$1, 'Promise');

  var Promise$2 = Promise$1;

  /* Built-in method references that are verified to be native. */
  var Set = getNative(root$1, 'Set');

  var Set$1 = Set;

  /** `Object#toString` result references. */
  var mapTag$2 = '[object Map]',
      objectTag$1 = '[object Object]',
      promiseTag = '[object Promise]',
      setTag$2 = '[object Set]',
      weakMapTag = '[object WeakMap]';

  var dataViewTag$1 = '[object DataView]';

  /** Used to detect maps, sets, and weakmaps. */
  var dataViewCtorString = toSource(DataView$1),
      mapCtorString = toSource(Map$2),
      promiseCtorString = toSource(Promise$2),
      setCtorString = toSource(Set$1),
      weakMapCtorString = toSource(WeakMap$1);

  /**
   * Gets the `toStringTag` of `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  var getTag = baseGetTag;

  // Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
  if ((DataView$1 && getTag(new DataView$1(new ArrayBuffer(1))) != dataViewTag$1) ||
      (Map$2 && getTag(new Map$2) != mapTag$2) ||
      (Promise$2 && getTag(Promise$2.resolve()) != promiseTag) ||
      (Set$1 && getTag(new Set$1) != setTag$2) ||
      (WeakMap$1 && getTag(new WeakMap$1) != weakMapTag)) {
    getTag = function(value) {
      var result = baseGetTag(value),
          Ctor = result == objectTag$1 ? value.constructor : undefined,
          ctorString = Ctor ? toSource(Ctor) : '';

      if (ctorString) {
        switch (ctorString) {
          case dataViewCtorString: return dataViewTag$1;
          case mapCtorString: return mapTag$2;
          case promiseCtorString: return promiseTag;
          case setCtorString: return setTag$2;
          case weakMapCtorString: return weakMapTag;
        }
      }
      return result;
    };
  }

  var getTag$1 = getTag;

  /** Built-in value references. */
  var Uint8Array = root$1.Uint8Array;

  var Uint8Array$1 = Uint8Array;

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED = '__lodash_hash_undefined__';

  /**
   * Adds `value` to the array cache.
   *
   * @private
   * @name add
   * @memberOf SetCache
   * @alias push
   * @param {*} value The value to cache.
   * @returns {Object} Returns the cache instance.
   */
  function setCacheAdd(value) {
    this.__data__.set(value, HASH_UNDEFINED);
    return this;
  }

  /**
   * Checks if `value` is in the array cache.
   *
   * @private
   * @name has
   * @memberOf SetCache
   * @param {*} value The value to search for.
   * @returns {number} Returns `true` if `value` is found, else `false`.
   */
  function setCacheHas(value) {
    return this.__data__.has(value);
  }

  /**
   *
   * Creates an array cache object to store unique values.
   *
   * @private
   * @constructor
   * @param {Array} [values] The values to cache.
   */
  function SetCache(values) {
    var index = -1,
        length = values == null ? 0 : values.length;

    this.__data__ = new MapCache;
    while (++index < length) {
      this.add(values[index]);
    }
  }

  // Add methods to `SetCache`.
  SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
  SetCache.prototype.has = setCacheHas;

  /**
   * A specialized version of `_.some` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if any element passes the predicate check,
   *  else `false`.
   */
  function arraySome(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (predicate(array[index], index, array)) {
        return true;
      }
    }
    return false;
  }

  /**
   * Checks if a `cache` value for `key` exists.
   *
   * @private
   * @param {Object} cache The cache to query.
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function cacheHas(cache, key) {
    return cache.has(key);
  }

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG$3 = 1,
      COMPARE_UNORDERED_FLAG$1 = 2;

  /**
   * A specialized version of `baseIsEqualDeep` for arrays with support for
   * partial deep comparisons.
   *
   * @private
   * @param {Array} array The array to compare.
   * @param {Array} other The other array to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} stack Tracks traversed `array` and `other` objects.
   * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
   */
  function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG$3,
        arrLength = array.length,
        othLength = other.length;

    if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
      return false;
    }
    // Check that cyclic values are equal.
    var arrStacked = stack.get(array);
    var othStacked = stack.get(other);
    if (arrStacked && othStacked) {
      return arrStacked == other && othStacked == array;
    }
    var index = -1,
        result = true,
        seen = (bitmask & COMPARE_UNORDERED_FLAG$1) ? new SetCache : undefined;

    stack.set(array, other);
    stack.set(other, array);

    // Ignore non-index properties.
    while (++index < arrLength) {
      var arrValue = array[index],
          othValue = other[index];

      if (customizer) {
        var compared = isPartial
          ? customizer(othValue, arrValue, index, other, array, stack)
          : customizer(arrValue, othValue, index, array, other, stack);
      }
      if (compared !== undefined) {
        if (compared) {
          continue;
        }
        result = false;
        break;
      }
      // Recursively compare arrays (susceptible to call stack limits).
      if (seen) {
        if (!arraySome(other, function(othValue, othIndex) {
              if (!cacheHas(seen, othIndex) &&
                  (arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
                return seen.push(othIndex);
              }
            })) {
          result = false;
          break;
        }
      } else if (!(
            arrValue === othValue ||
              equalFunc(arrValue, othValue, bitmask, customizer, stack)
          )) {
        result = false;
        break;
      }
    }
    stack['delete'](array);
    stack['delete'](other);
    return result;
  }

  /**
   * Converts `map` to its key-value pairs.
   *
   * @private
   * @param {Object} map The map to convert.
   * @returns {Array} Returns the key-value pairs.
   */
  function mapToArray(map) {
    var index = -1,
        result = Array(map.size);

    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }

  /**
   * Converts `set` to an array of its values.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the values.
   */
  function setToArray(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG$2 = 1,
      COMPARE_UNORDERED_FLAG = 2;

  /** `Object#toString` result references. */
  var boolTag = '[object Boolean]',
      dateTag = '[object Date]',
      errorTag = '[object Error]',
      mapTag$1 = '[object Map]',
      numberTag = '[object Number]',
      regexpTag = '[object RegExp]',
      setTag$1 = '[object Set]',
      stringTag = '[object String]',
      symbolTag = '[object Symbol]';

  var arrayBufferTag = '[object ArrayBuffer]',
      dataViewTag = '[object DataView]';

  /** Used to convert symbols to primitives and strings. */
  var symbolProto = Symbol$1 ? Symbol$1.prototype : undefined,
      symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;

  /**
   * A specialized version of `baseIsEqualDeep` for comparing objects of
   * the same `toStringTag`.
   *
   * **Note:** This function only supports comparing values with tags of
   * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
   *
   * @private
   * @param {Object} object The object to compare.
   * @param {Object} other The other object to compare.
   * @param {string} tag The `toStringTag` of the objects to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} stack Tracks traversed `object` and `other` objects.
   * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
   */
  function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
    switch (tag) {
      case dataViewTag:
        if ((object.byteLength != other.byteLength) ||
            (object.byteOffset != other.byteOffset)) {
          return false;
        }
        object = object.buffer;
        other = other.buffer;

      case arrayBufferTag:
        if ((object.byteLength != other.byteLength) ||
            !equalFunc(new Uint8Array$1(object), new Uint8Array$1(other))) {
          return false;
        }
        return true;

      case boolTag:
      case dateTag:
      case numberTag:
        // Coerce booleans to `1` or `0` and dates to milliseconds.
        // Invalid dates are coerced to `NaN`.
        return eq(+object, +other);

      case errorTag:
        return object.name == other.name && object.message == other.message;

      case regexpTag:
      case stringTag:
        // Coerce regexes to strings and treat strings, primitives and objects,
        // as equal. See http://www.ecma-international.org/ecma-262/7.0/#sec-regexp.prototype.tostring
        // for more details.
        return object == (other + '');

      case mapTag$1:
        var convert = mapToArray;

      case setTag$1:
        var isPartial = bitmask & COMPARE_PARTIAL_FLAG$2;
        convert || (convert = setToArray);

        if (object.size != other.size && !isPartial) {
          return false;
        }
        // Assume cyclic values are equal.
        var stacked = stack.get(object);
        if (stacked) {
          return stacked == other;
        }
        bitmask |= COMPARE_UNORDERED_FLAG;

        // Recursively compare objects (susceptible to call stack limits).
        stack.set(object, other);
        var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
        stack['delete'](object);
        return result;

      case symbolTag:
        if (symbolValueOf) {
          return symbolValueOf.call(object) == symbolValueOf.call(other);
        }
    }
    return false;
  }

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG$1 = 1;

  /** Used for built-in method references. */
  var objectProto$2 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$2 = objectProto$2.hasOwnProperty;

  /**
   * A specialized version of `baseIsEqualDeep` for objects with support for
   * partial deep comparisons.
   *
   * @private
   * @param {Object} object The object to compare.
   * @param {Object} other The other object to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} stack Tracks traversed `object` and `other` objects.
   * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
   */
  function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG$1,
        objProps = getAllKeys(object),
        objLength = objProps.length,
        othProps = getAllKeys(other),
        othLength = othProps.length;

    if (objLength != othLength && !isPartial) {
      return false;
    }
    var index = objLength;
    while (index--) {
      var key = objProps[index];
      if (!(isPartial ? key in other : hasOwnProperty$2.call(other, key))) {
        return false;
      }
    }
    // Check that cyclic values are equal.
    var objStacked = stack.get(object);
    var othStacked = stack.get(other);
    if (objStacked && othStacked) {
      return objStacked == other && othStacked == object;
    }
    var result = true;
    stack.set(object, other);
    stack.set(other, object);

    var skipCtor = isPartial;
    while (++index < objLength) {
      key = objProps[index];
      var objValue = object[key],
          othValue = other[key];

      if (customizer) {
        var compared = isPartial
          ? customizer(othValue, objValue, key, other, object, stack)
          : customizer(objValue, othValue, key, object, other, stack);
      }
      // Recursively compare objects (susceptible to call stack limits).
      if (!(compared === undefined
            ? (objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack))
            : compared
          )) {
        result = false;
        break;
      }
      skipCtor || (skipCtor = key == 'constructor');
    }
    if (result && !skipCtor) {
      var objCtor = object.constructor,
          othCtor = other.constructor;

      // Non `Object` object instances with different constructors are not equal.
      if (objCtor != othCtor &&
          ('constructor' in object && 'constructor' in other) &&
          !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
            typeof othCtor == 'function' && othCtor instanceof othCtor)) {
        result = false;
      }
    }
    stack['delete'](object);
    stack['delete'](other);
    return result;
  }

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG = 1;

  /** `Object#toString` result references. */
  var argsTag = '[object Arguments]',
      arrayTag = '[object Array]',
      objectTag = '[object Object]';

  /** Used for built-in method references. */
  var objectProto$1 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$1 = objectProto$1.hasOwnProperty;

  /**
   * A specialized version of `baseIsEqual` for arrays and objects which performs
   * deep comparisons and tracks traversed objects enabling objects with circular
   * references to be compared.
   *
   * @private
   * @param {Object} object The object to compare.
   * @param {Object} other The other object to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} [stack] Tracks traversed `object` and `other` objects.
   * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
   */
  function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
    var objIsArr = isArray$1(object),
        othIsArr = isArray$1(other),
        objTag = objIsArr ? arrayTag : getTag$1(object),
        othTag = othIsArr ? arrayTag : getTag$1(other);

    objTag = objTag == argsTag ? objectTag : objTag;
    othTag = othTag == argsTag ? objectTag : othTag;

    var objIsObj = objTag == objectTag,
        othIsObj = othTag == objectTag,
        isSameTag = objTag == othTag;

    if (isSameTag && isBuffer$1(object)) {
      if (!isBuffer$1(other)) {
        return false;
      }
      objIsArr = true;
      objIsObj = false;
    }
    if (isSameTag && !objIsObj) {
      stack || (stack = new Stack);
      return (objIsArr || isTypedArray$1(object))
        ? equalArrays(object, other, bitmask, customizer, equalFunc, stack)
        : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
    }
    if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
      var objIsWrapped = objIsObj && hasOwnProperty$1.call(object, '__wrapped__'),
          othIsWrapped = othIsObj && hasOwnProperty$1.call(other, '__wrapped__');

      if (objIsWrapped || othIsWrapped) {
        var objUnwrapped = objIsWrapped ? object.value() : object,
            othUnwrapped = othIsWrapped ? other.value() : other;

        stack || (stack = new Stack);
        return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
      }
    }
    if (!isSameTag) {
      return false;
    }
    stack || (stack = new Stack);
    return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
  }

  /**
   * The base implementation of `_.isEqual` which supports partial comparisons
   * and tracks traversed objects.
   *
   * @private
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @param {boolean} bitmask The bitmask flags.
   *  1 - Unordered comparison
   *  2 - Partial comparison
   * @param {Function} [customizer] The function to customize comparisons.
   * @param {Object} [stack] Tracks traversed `value` and `other` objects.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   */
  function baseIsEqual(value, other, bitmask, customizer, stack) {
    if (value === other) {
      return true;
    }
    if (value == null || other == null || (!isObjectLike(value) && !isObjectLike(other))) {
      return value !== value && other !== other;
    }
    return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
  }

  /**
   * Gets the timestamp of the number of milliseconds that have elapsed since
   * the Unix epoch (1 January 1970 00:00:00 UTC).
   *
   * @static
   * @memberOf _
   * @since 2.4.0
   * @category Date
   * @returns {number} Returns the timestamp.
   * @example
   *
   * _.defer(function(stamp) {
   *   console.log(_.now() - stamp);
   * }, _.now());
   * // => Logs the number of milliseconds it took for the deferred invocation.
   */
  var now = function() {
    return root$1.Date.now();
  };

  var now$1 = now;

  /** Error message constants. */
  var FUNC_ERROR_TEXT$1 = 'Expected a function';

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeMax$2 = Math.max,
      nativeMin$1 = Math.min;

  /**
   * Creates a debounced function that delays invoking `func` until after `wait`
   * milliseconds have elapsed since the last time the debounced function was
   * invoked. The debounced function comes with a `cancel` method to cancel
   * delayed `func` invocations and a `flush` method to immediately invoke them.
   * Provide `options` to indicate whether `func` should be invoked on the
   * leading and/or trailing edge of the `wait` timeout. The `func` is invoked
   * with the last arguments provided to the debounced function. Subsequent
   * calls to the debounced function return the result of the last `func`
   * invocation.
   *
   * **Note:** If `leading` and `trailing` options are `true`, `func` is
   * invoked on the trailing edge of the timeout only if the debounced function
   * is invoked more than once during the `wait` timeout.
   *
   * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
   * until to the next tick, similar to `setTimeout` with a timeout of `0`.
   *
   * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
   * for details over the differences between `_.debounce` and `_.throttle`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Function
   * @param {Function} func The function to debounce.
   * @param {number} [wait=0] The number of milliseconds to delay.
   * @param {Object} [options={}] The options object.
   * @param {boolean} [options.leading=false]
   *  Specify invoking on the leading edge of the timeout.
   * @param {number} [options.maxWait]
   *  The maximum time `func` is allowed to be delayed before it's invoked.
   * @param {boolean} [options.trailing=true]
   *  Specify invoking on the trailing edge of the timeout.
   * @returns {Function} Returns the new debounced function.
   * @example
   *
   * // Avoid costly calculations while the window size is in flux.
   * jQuery(window).on('resize', _.debounce(calculateLayout, 150));
   *
   * // Invoke `sendMail` when clicked, debouncing subsequent calls.
   * jQuery(element).on('click', _.debounce(sendMail, 300, {
   *   'leading': true,
   *   'trailing': false
   * }));
   *
   * // Ensure `batchLog` is invoked once after 1 second of debounced calls.
   * var debounced = _.debounce(batchLog, 250, { 'maxWait': 1000 });
   * var source = new EventSource('/stream');
   * jQuery(source).on('message', debounced);
   *
   * // Cancel the trailing debounced invocation.
   * jQuery(window).on('popstate', debounced.cancel);
   */
  function debounce(func, wait, options) {
    var lastArgs,
        lastThis,
        maxWait,
        result,
        timerId,
        lastCallTime,
        lastInvokeTime = 0,
        leading = false,
        maxing = false,
        trailing = true;

    if (typeof func != 'function') {
      throw new TypeError(FUNC_ERROR_TEXT$1);
    }
    wait = toNumber(wait) || 0;
    if (isObject(options)) {
      leading = !!options.leading;
      maxing = 'maxWait' in options;
      maxWait = maxing ? nativeMax$2(toNumber(options.maxWait) || 0, wait) : maxWait;
      trailing = 'trailing' in options ? !!options.trailing : trailing;
    }

    function invokeFunc(time) {
      var args = lastArgs,
          thisArg = lastThis;

      lastArgs = lastThis = undefined;
      lastInvokeTime = time;
      result = func.apply(thisArg, args);
      return result;
    }

    function leadingEdge(time) {
      // Reset any `maxWait` timer.
      lastInvokeTime = time;
      // Start the timer for the trailing edge.
      timerId = setTimeout(timerExpired, wait);
      // Invoke the leading edge.
      return leading ? invokeFunc(time) : result;
    }

    function remainingWait(time) {
      var timeSinceLastCall = time - lastCallTime,
          timeSinceLastInvoke = time - lastInvokeTime,
          timeWaiting = wait - timeSinceLastCall;

      return maxing
        ? nativeMin$1(timeWaiting, maxWait - timeSinceLastInvoke)
        : timeWaiting;
    }

    function shouldInvoke(time) {
      var timeSinceLastCall = time - lastCallTime,
          timeSinceLastInvoke = time - lastInvokeTime;

      // Either this is the first call, activity has stopped and we're at the
      // trailing edge, the system time has gone backwards and we're treating
      // it as the trailing edge, or we've hit the `maxWait` limit.
      return (lastCallTime === undefined || (timeSinceLastCall >= wait) ||
        (timeSinceLastCall < 0) || (maxing && timeSinceLastInvoke >= maxWait));
    }

    function timerExpired() {
      var time = now$1();
      if (shouldInvoke(time)) {
        return trailingEdge(time);
      }
      // Restart the timer.
      timerId = setTimeout(timerExpired, remainingWait(time));
    }

    function trailingEdge(time) {
      timerId = undefined;

      // Only invoke if we have `lastArgs` which means `func` has been
      // debounced at least once.
      if (trailing && lastArgs) {
        return invokeFunc(time);
      }
      lastArgs = lastThis = undefined;
      return result;
    }

    function cancel() {
      if (timerId !== undefined) {
        clearTimeout(timerId);
      }
      lastInvokeTime = 0;
      lastArgs = lastCallTime = lastThis = timerId = undefined;
    }

    function flush() {
      return timerId === undefined ? result : trailingEdge(now$1());
    }

    function debounced() {
      var time = now$1(),
          isInvoking = shouldInvoke(time);

      lastArgs = arguments;
      lastThis = this;
      lastCallTime = time;

      if (isInvoking) {
        if (timerId === undefined) {
          return leadingEdge(lastCallTime);
        }
        if (maxing) {
          // Handle invocations in a tight loop.
          clearTimeout(timerId);
          timerId = setTimeout(timerExpired, wait);
          return invokeFunc(lastCallTime);
        }
      }
      if (timerId === undefined) {
        timerId = setTimeout(timerExpired, wait);
      }
      return result;
    }
    debounced.cancel = cancel;
    debounced.flush = flush;
    return debounced;
  }

  /**
   * Gets the last element of `array`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Array
   * @param {Array} array The array to query.
   * @returns {*} Returns the last element of `array`.
   * @example
   *
   * _.last([1, 2, 3]);
   * // => 3
   */
  function last(array) {
    var length = array == null ? 0 : array.length;
    return length ? array[length - 1] : undefined;
  }

  /**
   * Computes `number` rounded down to `precision`.
   *
   * @static
   * @memberOf _
   * @since 3.10.0
   * @category Math
   * @param {number} number The number to round down.
   * @param {number} [precision=0] The precision to round down to.
   * @returns {number} Returns the rounded down number.
   * @example
   *
   * _.floor(4.006);
   * // => 4
   *
   * _.floor(0.046, 2);
   * // => 0.04
   *
   * _.floor(4060, -2);
   * // => 4000
   */
  var floor = createRound('floor');

  var floor$1 = floor;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeMax$1 = Math.max,
      nativeMin = Math.min;

  /**
   * The base implementation of `_.inRange` which doesn't coerce arguments.
   *
   * @private
   * @param {number} number The number to check.
   * @param {number} start The start of the range.
   * @param {number} end The end of the range.
   * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
   */
  function baseInRange(number, start, end) {
    return number >= nativeMin(start, end) && number < nativeMax$1(start, end);
  }

  /**
   * Checks if `n` is between `start` and up to, but not including, `end`. If
   * `end` is not specified, it's set to `start` with `start` then set to `0`.
   * If `start` is greater than `end` the params are swapped to support
   * negative ranges.
   *
   * @static
   * @memberOf _
   * @since 3.3.0
   * @category Number
   * @param {number} number The number to check.
   * @param {number} [start=0] The start of the range.
   * @param {number} end The end of the range.
   * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
   * @see _.range, _.rangeRight
   * @example
   *
   * _.inRange(3, 2, 4);
   * // => true
   *
   * _.inRange(4, 8);
   * // => true
   *
   * _.inRange(4, 2);
   * // => false
   *
   * _.inRange(2, 2);
   * // => false
   *
   * _.inRange(1.2, 2);
   * // => true
   *
   * _.inRange(5.2, 4);
   * // => false
   *
   * _.inRange(-3, -2, -6);
   * // => true
   */
  function inRange$1(number, start, end) {
    start = toFinite(start);
    if (end === undefined) {
      end = start;
      start = 0;
    } else {
      end = toFinite(end);
    }
    number = toNumber(number);
    return baseInRange(number, start, end);
  }

  /** `Object#toString` result references. */
  var mapTag = '[object Map]',
      setTag = '[object Set]';

  /** Used for built-in method references. */
  var objectProto = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty = objectProto.hasOwnProperty;

  /**
   * Checks if `value` is an empty object, collection, map, or set.
   *
   * Objects are considered empty if they have no own enumerable string keyed
   * properties.
   *
   * Array-like values such as `arguments` objects, arrays, buffers, strings, or
   * jQuery-like collections are considered empty if they have a `length` of `0`.
   * Similarly, maps and sets are considered empty if they have a `size` of `0`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is empty, else `false`.
   * @example
   *
   * _.isEmpty(null);
   * // => true
   *
   * _.isEmpty(true);
   * // => true
   *
   * _.isEmpty(1);
   * // => true
   *
   * _.isEmpty([1, 2, 3]);
   * // => false
   *
   * _.isEmpty({ 'a': 1 });
   * // => false
   */
  function isEmpty(value) {
    if (value == null) {
      return true;
    }
    if (isArrayLike(value) &&
        (isArray$1(value) || typeof value == 'string' || typeof value.splice == 'function' ||
          isBuffer$1(value) || isTypedArray$1(value) || isArguments$1(value))) {
      return !value.length;
    }
    var tag = getTag$1(value);
    if (tag == mapTag || tag == setTag) {
      return !value.size;
    }
    if (isPrototype(value)) {
      return !baseKeys(value).length;
    }
    for (var key in value) {
      if (hasOwnProperty.call(value, key)) {
        return false;
      }
    }
    return true;
  }

  /**
   * Performs a deep comparison between two values to determine if they are
   * equivalent.
   *
   * **Note:** This method supports comparing arrays, array buffers, booleans,
   * date objects, error objects, maps, numbers, `Object` objects, regexes,
   * sets, strings, symbols, and typed arrays. `Object` objects are compared
   * by their own, not inherited, enumerable properties. Functions and DOM
   * nodes are compared by strict equality, i.e. `===`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   * @example
   *
   * var object = { 'a': 1 };
   * var other = { 'a': 1 };
   *
   * _.isEqual(object, other);
   * // => true
   *
   * object === other;
   * // => false
   */
  function isEqual(value, other) {
    return baseIsEqual(value, other);
  }

  /**
   * Checks if `value` is `null` or `undefined`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is nullish, else `false`.
   * @example
   *
   * _.isNil(null);
   * // => true
   *
   * _.isNil(void 0);
   * // => true
   *
   * _.isNil(NaN);
   * // => false
   */
  function isNil(value) {
    return value == null;
  }

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeCeil = Math.ceil,
      nativeMax = Math.max;

  /**
   * The base implementation of `_.range` and `_.rangeRight` which doesn't
   * coerce arguments.
   *
   * @private
   * @param {number} start The start of the range.
   * @param {number} end The end of the range.
   * @param {number} step The value to increment or decrement by.
   * @param {boolean} [fromRight] Specify iterating from right to left.
   * @returns {Array} Returns the range of numbers.
   */
  function baseRange(start, end, step, fromRight) {
    var index = -1,
        length = nativeMax(nativeCeil((end - start) / (step || 1)), 0),
        result = Array(length);

    while (length--) {
      result[fromRight ? length : ++index] = start;
      start += step;
    }
    return result;
  }

  /**
   * Creates a `_.range` or `_.rangeRight` function.
   *
   * @private
   * @param {boolean} [fromRight] Specify iterating from right to left.
   * @returns {Function} Returns the new range function.
   */
  function createRange(fromRight) {
    return function(start, end, step) {
      if (step && typeof step != 'number' && isIterateeCall(start, end, step)) {
        end = step = undefined;
      }
      // Ensure the sign of `-0` is preserved.
      start = toFinite(start);
      if (end === undefined) {
        end = start;
        start = 0;
      } else {
        end = toFinite(end);
      }
      step = step === undefined ? (start < end ? 1 : -1) : toFinite(step);
      return baseRange(start, end, step, fromRight);
    };
  }

  /**
   * Creates an array of numbers (positive and/or negative) progressing from
   * `start` up to, but not including, `end`. A step of `-1` is used if a negative
   * `start` is specified without an `end` or `step`. If `end` is not specified,
   * it's set to `start` with `start` then set to `0`.
   *
   * **Note:** JavaScript follows the IEEE-754 standard for resolving
   * floating-point values which can produce unexpected results.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Util
   * @param {number} [start=0] The start of the range.
   * @param {number} end The end of the range.
   * @param {number} [step=1] The value to increment or decrement by.
   * @returns {Array} Returns the range of numbers.
   * @see _.inRange, _.rangeRight
   * @example
   *
   * _.range(4);
   * // => [0, 1, 2, 3]
   *
   * _.range(-4);
   * // => [0, -1, -2, -3]
   *
   * _.range(1, 5);
   * // => [1, 2, 3, 4]
   *
   * _.range(0, 20, 5);
   * // => [0, 5, 10, 15]
   *
   * _.range(0, -4, -1);
   * // => [0, -1, -2, -3]
   *
   * _.range(1, 4, 0);
   * // => [1, 1, 1]
   *
   * _.range(0);
   * // => []
   */
  var range = createRange();

  var range$1 = range;

  /** Error message constants. */
  var FUNC_ERROR_TEXT = 'Expected a function';

  /**
   * Creates a throttled function that only invokes `func` at most once per
   * every `wait` milliseconds. The throttled function comes with a `cancel`
   * method to cancel delayed `func` invocations and a `flush` method to
   * immediately invoke them. Provide `options` to indicate whether `func`
   * should be invoked on the leading and/or trailing edge of the `wait`
   * timeout. The `func` is invoked with the last arguments provided to the
   * throttled function. Subsequent calls to the throttled function return the
   * result of the last `func` invocation.
   *
   * **Note:** If `leading` and `trailing` options are `true`, `func` is
   * invoked on the trailing edge of the timeout only if the throttled function
   * is invoked more than once during the `wait` timeout.
   *
   * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
   * until to the next tick, similar to `setTimeout` with a timeout of `0`.
   *
   * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
   * for details over the differences between `_.throttle` and `_.debounce`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Function
   * @param {Function} func The function to throttle.
   * @param {number} [wait=0] The number of milliseconds to throttle invocations to.
   * @param {Object} [options={}] The options object.
   * @param {boolean} [options.leading=true]
   *  Specify invoking on the leading edge of the timeout.
   * @param {boolean} [options.trailing=true]
   *  Specify invoking on the trailing edge of the timeout.
   * @returns {Function} Returns the new throttled function.
   * @example
   *
   * // Avoid excessively updating the position while scrolling.
   * jQuery(window).on('scroll', _.throttle(updatePosition, 100));
   *
   * // Invoke `renewToken` when the click event is fired, but not more than once every 5 minutes.
   * var throttled = _.throttle(renewToken, 300000, { 'trailing': false });
   * jQuery(element).on('click', throttled);
   *
   * // Cancel the trailing throttled invocation.
   * jQuery(window).on('popstate', throttled.cancel);
   */
  function throttle(func, wait, options) {
    var leading = true,
        trailing = true;

    if (typeof func != 'function') {
      throw new TypeError(FUNC_ERROR_TEXT);
    }
    if (isObject(options)) {
      leading = 'leading' in options ? !!options.leading : leading;
      trailing = 'trailing' in options ? !!options.trailing : trailing;
    }
    return debounce(func, wait, {
      'leading': leading,
      'maxWait': wait,
      'trailing': trailing
    });
  }

  /**
   * 获取一元二次方程的解
   */
  function getQuadraticEquationRes(a, b, c) {
      const sqrtRes = Math.sqrt(Math.pow(b, 2) - 4 * a * c);
      return [(-b + sqrtRes) / (2 * a), (-b - sqrtRes) / (2 * a)];
  }
  /**
   * 角度转弧度
   * !!! 会用于 Web Worker
   * @param degrees
   */
  function degToRad(degrees) {
      return (degrees / 180) * Math.PI;
  }
  /**
   * 弧度转角度
   * !!! 会用于 Web Worker
   * @param degrees
   */
  function radToDeg(radian) {
      return (radian / Math.PI) * 180;
  }
  /**
   * 根据直角三角形的两条边获取斜边长
   * @param a
   * @param b
   * @returns
   */
  function hypotenuse(a, b) {
      return Math.sqrt(Math.pow(a, 2) + Math.pow(b, 2));
  }
  function rectangleIntersect(width, height, deg) {
      const halfWidth = width / 2;
      const halfHeight = height / 2;
      const diagonalDeg = radToDeg(Math.atan(width / height));
      const _deg = deg % 360;
      if (_deg === 0) {
          return [halfWidth, 0];
      }
      if (_deg < diagonalDeg) {
          return [halfWidth + halfHeight * Math.tan(degToRad(_deg)), 0];
      }
      if (_deg === diagonalDeg) {
          return [width, 0];
      }
      if (_deg < 90) {
          return [width, halfHeight - halfWidth * Math.tan(degToRad(90 - _deg))];
      }
      if (_deg === 90) {
          return [width, halfHeight];
      }
      if (_deg < 180 - diagonalDeg) {
          return [width, halfHeight + halfWidth * Math.tan(degToRad(_deg - 90))];
      }
      if (_deg === 180 - diagonalDeg) {
          return [width, height];
      }
      if (_deg < 180) {
          return [halfWidth + halfHeight * Math.tan(degToRad(180 - _deg)), height];
      }
      if (_deg === 180) {
          return [halfWidth, height];
      }
      if (_deg < 180 + diagonalDeg) {
          return [halfWidth - halfHeight * Math.tan(degToRad(_deg % 180)), height];
      }
      if (_deg === 180 + diagonalDeg) {
          return [0, height];
      }
      if (_deg < 270) {
          return [0, halfHeight + halfWidth * Math.tan(degToRad(90 - (_deg % 180)))];
      }
      if (_deg === 270) {
          return [0, halfHeight];
      }
      if (_deg < 360 - diagonalDeg) {
          return [0, halfHeight - halfWidth * Math.tan(degToRad(_deg - 270))];
      }
      if (_deg === 360 - diagonalDeg) {
          return [0, 0];
      }
      if (_deg < 360) {
          return [halfWidth - halfHeight * Math.tan(degToRad(360 - _deg)), 0];
      }
  }

  /**
   * 获取当前距离上刚好与球体相切的视角
   * @param distance 镜头离圆心的距离
   * @param r 半径
   * @returns
   */
  function getTangentFov(distance, r) {
      return radToDeg(Math.asin(r / distance)) * 2;
  }
  /**
   * 获取球体在镜头中可显示区域的圆心角
   * @param distance 镜头离圆心的距离
   * @param r 半径
   * @param fov 镜头视角
   * @returns
   */
  function getDisplayCentralAngle(distance, r, fov) {
      const tangentFov = getTangentFov(distance, r);
      if (fov >= tangentFov) {
          return 180 - tangentFov;
      }
      const halfFov = fov / 2;
      const a = 1 / Math.pow(Math.cos(degToRad(halfFov)), 2);
      const b = -2 * distance;
      const c = Math.pow(distance, 2) - Math.pow(r, 2);
      // 摄像头到弦心的距离
      const distanceFromTheCameraToTheChord = Math.min(...getQuadraticEquationRes(a, b, c));
      const α = radToDeg(2 * Math.acos((distance - distanceFromTheCameraToTheChord) / r));
      return α;
  }
  function lngLatToVector3(lngLat, radius) {
      const [lng, lat] = lngLat;
      return new THREE__namespace.Vector3().setFromSphericalCoords(radius, degToRad(90 - lat), degToRad(lng));
  }
  function vector3ToLngLat(v3) {
      const spherical = new THREE__namespace.Spherical().setFromVector3(v3);
      return sphericalToLngLat(spherical);
  }
  function sphericalToLngLat(spherical) {
      return [radToDeg(spherical.theta), 90 - radToDeg(spherical.phi)];
  }
  function getSatelliteUrl(x, y, z) {
      return `https://api.mapbox.com/v4/mapbox.satellite/${z}/${x}/${y}@2x.webp?sku=1015N1AhJztkE&access_token=pk.eyJ1IjoiZGluZ2xlaTIwMjEiLCJhIjoiY2wxbHh1aW54MDl6NDNrcGcwODNtaXNtbSJ9.6G649bdbNApupw2unoY0Yg`;
  }

  class EarthOrbitControls extends THREE__namespace.EventDispatcher {
      camera;
      domElement = document.body;
      earthRadius = 6371;
      /**
       * 垂直方向的视角
       */
      fov = 60;
      tileSize = 512;
      center = [0, 0];
      _distance = 0;
      _zoom = 0;
      bearing = 0;
      pitch = 0;
      // enablePitch = true
      minDistance = this.earthRadius + 0.2;
      maxDistance = this.earthRadius * 4;
      lookAtPosition = new THREE__namespace.Vector3(0, 0, 0);
      disposeFuncList = [];
      onEnd = debounce(function () {
          this.dispatchEvent({ type: 'end' });
      }, 250);
      constructor(options) {
          super();
          if (options.domElement)
              this.domElement = options.domElement;
          if (options.center)
              this.center = options.center;
          this.earthRadius = options.earthRadius;
          this.zoom = options.zoom ?? 2;
          if (options.bearing)
              this.bearing = options.bearing;
          const { domElement, distance, center } = this;
          const pixelRatio = domElement.clientWidth / domElement.clientHeight;
          const camera = new THREE__namespace.PerspectiveCamera(this.fov, pixelRatio, 0.1, this.earthRadius * 10000);
          camera.position.copy(lngLatToVector3(center, distance));
          this.camera = camera;
          this.lookAt();
          const eventListenerList = [
              ['mousemove', this.onMousemove.bind(this)],
              ['contextmenu', this.onContextmenu.bind(this)],
              ['wheel', this.onMousewheel.bind(this)],
              ['pointerup', this.onPointerup.bind(this)],
          ];
          eventListenerList.forEach(([type, listener]) => {
              this.domElement.addEventListener(type, listener);
              this.disposeFuncList.push(() => this.domElement.removeEventListener(type, listener));
          });
      }
      getDistance() {
          const { earthRadius, fov, tileSize, zoom, domElement } = this;
          const pxLat = 360 / (Math.pow(2, zoom) * tileSize);
          const pxLength = Math.sin(degToRad(pxLat)) * earthRadius;
          const chordLength = pxLength * domElement.clientHeight;
          // 摄像头到弦心的距离
          const distanceFromTheCameraToTheChord = chordLength / 2 / Math.tan(degToRad(fov / 2));
          // x^{2} + distanceFromTheCameraToTheChord * x - earthRadius^{2}
          const a = 1;
          const b = distanceFromTheCameraToTheChord;
          const c = -Math.pow(earthRadius, 2);
          // 弦心到圆心的距离
          const distanceFromTheChordToTheCentre = Math.max(...getQuadraticEquationRes(a, b, c));
          const distance = distanceFromTheCameraToTheChord + distanceFromTheChordToTheCentre;
          return distance;
      }
      getZoom() {
          const { tileSize } = this;
          const zoom = Math.log2(360 / this.getPxDeg() / tileSize);
          return zoom;
      }
      /**
       * 每 1 个像素对应的最小度数
       */
      getPxDeg() {
          const { earthRadius, fov, distance, domElement } = this;
          const centralAngle = getDisplayCentralAngle(distance, earthRadius, fov);
          // 弦心到圆心的距离
          const distanceFromTheChordToTheCentre = Math.cos(degToRad(centralAngle / 2)) * earthRadius;
          // 摄像头到弦心的距离
          const distanceFromTheCameraToTheChord = distance - distanceFromTheChordToTheCentre;
          // 弦长
          const chordLength = Math.tan(degToRad(fov / 2)) * distanceFromTheCameraToTheChord * 2;
          // 每 1 个像素对应的弦长
          const pxLength = chordLength / domElement.clientHeight;
          const pxDeg = radToDeg(Math.asin(pxLength / earthRadius));
          return pxDeg;
      }
      get distance() {
          return this._distance;
      }
      set distance(value) {
          this._distance = value;
          this._zoom = this.getZoom();
      }
      get zoom() {
          return this._zoom;
      }
      set zoom(value) {
          this._zoom = value;
          this._distance = this.getDistance();
      }
      get z() {
          return Math.ceil(this.zoom);
      }
      /**
       * 水平方向的视角
       */
      get fovX() {
          // 邻边
          const adjacent = this.domElement.clientHeight / Math.tan(degToRad(this.fov / 2));
          return radToDeg(Math.atan(this.domElement.clientWidth / adjacent)) * 2;
      }
      /**
       * 根据对角线的像素长度获取对应的视角
       * @param diagonal
       * @returns
       */
      getFov(diagonal) {
          // 邻边
          const adjacent = this.domElement.clientHeight / Math.tan(degToRad(this.fov / 2));
          return radToDeg(Math.atan(diagonal / adjacent)) * 2;
      }
      lookAt() {
          this.camera.lookAt(this.lookAtPosition);
          this.camera.rotateZ(-degToRad(this.bearing));
      }
      onMousemove(e) {
          e.preventDefault();
          if (e.buttons === 0) {
              return;
          }
          const { camera, domElement } = this;
          const isMove = !e.ctrlKey;
          if (isMove) {
              // TODO 增加阻尼效果
              const movementXDeg = (e.movementX / domElement.clientWidth) * 36;
              const movementYDeg = (e.movementY / domElement.clientHeight) * 36;
              camera.position.applyAxisAngle(new THREE__namespace.Vector3(0, 1, 0).applyQuaternion(camera.quaternion), -degToRad(movementXDeg));
              const applyXAxisAngle = (vector3) => vector3.applyAxisAngle(new THREE__namespace.Vector3(1, 0, 0).applyQuaternion(camera.quaternion), -degToRad(movementYDeg));
              applyXAxisAngle(camera.position);
              applyXAxisAngle(camera.up);
              this.lookAt();
              // TODO 移动时 bearing 也会改变
              this.center = vector3ToLngLat(camera.position);
              this.dispatchEvent({ type: 'move' });
              return;
          }
          const isRotate = Math.abs(e.movementX) > Math.abs(e.movementY);
          if (isRotate) {
              const movementDeg = (e.movementX / domElement.clientWidth) * 360;
              this.bearing -= movementDeg;
              this.lookAt();
              this.dispatchEvent({ type: 'rotate' });
              return;
          }
          // TODO pitch 处理有 bearing 的情况
          const movementDeg = (e.movementY / domElement.clientHeight) * 180;
          this.pitch = clamp$1(this.pitch + movementDeg, 0, 85);
          const negativePosition = camera.position.clone();
          negativePosition.x = -negativePosition.x;
          negativePosition.y = -negativePosition.y;
          negativePosition.z = -negativePosition.z;
          const spherical = new THREE__namespace.Spherical().setFromVector3(negativePosition);
          spherical.phi -= degToRad(this.pitch);
          const lookAtPosition = new THREE__namespace.Vector3().setFromSpherical(spherical);
          lookAtPosition.x -= negativePosition.x;
          lookAtPosition.y -= negativePosition.y;
          lookAtPosition.z -= negativePosition.z;
          this.lookAtPosition = lookAtPosition;
          this.lookAt();
      }
      onContextmenu(e) {
          e.preventDefault();
      }
      onMousewheel(e) {
          e.preventDefault();
          e.stopPropagation();
          const spherical = new THREE__namespace.Spherical().setFromVector3(this.camera.position);
          const movement = 1000 / Math.pow(2, this.zoom);
          if (e.deltaY > 0) {
              spherical.radius = Math.min(spherical.radius + movement, this.maxDistance);
          }
          else {
              spherical.radius = Math.max(spherical.radius - movement, this.minDistance);
          }
          const vector3 = new THREE__namespace.Vector3().setFromSpherical(spherical);
          this.camera.position.x = vector3.x;
          this.camera.position.y = vector3.y;
          this.camera.position.z = vector3.z;
          this.distance = spherical.radius;
          this.dispatchEvent({ type: 'zoom' });
          this.onEnd();
      }
      onPointerup(e) {
          e.preventDefault();
          this.dispatchEvent({ type: 'end' });
      }
      dispose() {
          this.disposeFuncList.forEach(func => func());
          this.disposeFuncList = [];
      }
  }

  /**
   * 获取小数部分
   * @param num
   * @returns
   */
  /**
   * @param number
   * @param precision
   * @returns
   */
  function round(number, precision) {
      precision =
          precision == null ? 0 : precision >= 0 ? Math.min(precision, 292) : Math.max(precision, -292);
      if (precision) {
          // Shift with exponential notation to avoid floating-point issues.
          // See [MDN](https://mdn.io/round#Examples) for more details.
          let pair = `${number}e`.split('e');
          const value = Math.round(`${pair[0]}e${+pair[1] + precision}`);
          pair = `${value}e`.split('e');
          return +`${pair[0]}e${+pair[1] - precision}`;
      }
      return Math.round(number);
  }
  /**
   * @param number
   * @param lower
   * @param upper
   * @returns
   */
  function clamp(number, lower, upper) {
      return Math.min(Math.max(number, lower), upper);
  }
  /**
   * @param number
   * @param start
   * @param end
   * @param boundary
   */
  function inRange(number, start, end, boundary = '[)') {
      switch (boundary) {
          case '()':
              return number > start && number < end;
          case '[]':
              return number >= start && number <= end;
          case '[)':
              return number >= start && number < end;
          case '(]':
              return number > start && number <= end;
      }
  }

  const fullBBox = [-180, -90, 180, 90];
  /**
   * 前者的边界是否完全包括了后者
   * @param parent
   * @param child
   * @returns
   */
  function bboxContains(parent, child) {
      return (parent[0] <= child[0] && parent[1] <= child[1] && parent[2] >= child[2] && parent[3] >= child[3]);
  }
  /**
   * 两个 line 是否存在重叠部分
   * @param a
   * @param b
   * @returns
   */
  function lineOverlap(a, b) {
      return (inRange(b[0], a[0], a[1], '[)') ||
          inRange(b[1], a[0], a[1], '(]') ||
          inRange(a[0], b[0], b[1], '[)') ||
          inRange(a[1], b[0], b[1], '(]'));
  }
  /**
   * 两个 bbox 是否存在重叠部分
   * @param a
   * @param b
   * @returns
   */
  function bboxOverlap(a, b) {
      return lineOverlap([a[0], a[2]], [b[0], b[2]]) && lineOverlap([a[1], a[3]], [b[1], b[3]]);
  }
  function scale(bbox, scaleValue) {
      const [w, s, e, n] = bbox;
      const lngGap = e - w;
      const latGap = n - s;
      const translateLng = ((scaleValue - 1) / 2) * lngGap;
      const translateLat = ((scaleValue - 1) / 2) * latGap;
      return [w - translateLng, s - translateLat, e + translateLng, n + translateLat];
  }
  /**
   * 在球体显示时，对纬度超过[90, -90]范围进行处理
   * @param bbox
   * @returns
   */
  function latPretreatmentBBox(bbox) {
      let [w, s, e, n] = bbox;
      if (n - s > 180) {
          return fullBBox;
      }
      if (e - w > 360) {
          w = -180;
          e = 180;
      }
      const nGt90 = n > 90;
      const sLtMinus90 = s < -90;
      if (sLtMinus90 && nGt90) {
          w = -180;
          e = 180;
      }
      if (sLtMinus90) {
          n = Math.max(-180 - s, n);
          s = -90;
      }
      if (nGt90) {
          s = Math.min(180 - n, s);
          n = 90;
      }
      return [w, s, e, n];
  }
  function isFull(bbox) {
      return isEqual(bbox, fullBBox);
  }

  class LayerManager {
      // readonly canvas = new OffscreenCanvas(1, 1)
      // private readonly ctx = this.canvas.getContext('2d') as OffscreenCanvasRenderingContext2D
      canvas = document.createElement('canvas');
      ctx = this.canvas.getContext('2d');
      layers = [];
      bbox = fullBBox;
      /**
       * 当前实际显示区域的 BBox，只会比 bbox 更小
       */
      displayBBox = fullBBox;
      z = 0;
      onUpdate;
      updateCanvasSize(pxDeg) {
          const { bbox, canvas } = this;
          canvas.width = Math.ceil((bbox[2] - bbox[0]) / pxDeg);
          canvas.height = Math.ceil((bbox[3] - bbox[1]) / pxDeg);
          console.log('width:', canvas.width);
          console.log('height:', canvas.height);
      }
      updateCanvas() {
          const { ctx, canvas } = this;
          ctx.clearRect(0, 0, this.canvas.width, this.canvas.height);
          this.layers.sort((v1, v2) => v1.zIndex - v2.zIndex).forEach(layer => {
              layer.imageBitmap && ctx.drawImage(layer.imageBitmap, 0, 0, canvas.width, canvas.height);
          });
          this.onUpdate?.();
      }
      refresh() {
          if (isEmpty(this.layers)) {
              return;
          }
          this.layers.forEach(layer => {
              layer.refresh();
          });
          this.updateCanvas();
      }
      update() {
          this.layers.forEach(layer => {
              layer.update();
          });
      }
      addLayer(layer) {
          layer.layerManager = this;
          this.layers.push(layer);
          layer.refresh();
          this.updateCanvas();
      }
      removeLayer(layer) {
          const index = this.layers.findIndex(l => l === layer);
          this.layers.splice(index, 1);
          layer.dispose();
      }
      dispose() {
          this.layers.forEach(layer => layer.dispose());
      }
  }

  // https://wiki.openstreetmap.org/wiki/Slippy_map_tilenames
  class MercatorTile {
      static workerScripts = [clamp, round, degToRad, MercatorTile];
      static maxLat = round(Math.atan(Math.sinh(Math.PI)) * 180 / Math.PI, 12);
      static pointToTile(lng, lat, z) {
          return [
              Math.floor(MercatorTile.lngToX(lng, z)),
              Math.floor(MercatorTile.latToY(lat, z)),
          ];
      }
      static tileToBBox(xyz) {
          const [x, y, z] = xyz;
          const e = MercatorTile.xToLng(x + 1, z);
          const w = MercatorTile.xToLng(x, z);
          const s = MercatorTile.yToLat(y + 1, z);
          const n = MercatorTile.yToLat(y, z);
          return [w, s, e, n];
      }
      /**
       * 将边界 box 转化为 tile 索引的 box
       */
      static bboxToTileIndexBox(bbox, z) {
          const [w, s, e, n] = bbox;
          const [startX, startY] = MercatorTile.pointToTile(w, n, z);
          const [x2, y2] = MercatorTile.pointToTile(e, s, z);
          const endX = e === MercatorTile.xToLng(x2, z) ? x2 : x2 + 1;
          const clampedS = clamp(s, -MercatorTile.maxLat, MercatorTile.maxLat);
          const endY = clampedS === MercatorTile.yToLat(y2, z) ? y2 : y2 + 1;
          return {
              startX,
              startY,
              endX,
              endY
          };
      }
      static lngToX(lng, z) {
          return ((lng + 180) / 360) * Math.pow(2, z);
      }
      static xToLng(x, z) {
          return (360 / Math.pow(2, z)) * x - 180;
      }
      static latToY(lat, z) {
          const sin = Math.sin(degToRad(lat));
          const z2 = Math.pow(2, z);
          const y = z2 * (0.5 - (0.25 * Math.log((1 + sin) / (1 - sin))) / Math.PI);
          return clamp(y, 0, z2);
      }
      static yToLat(y, z) {
          const n = Math.PI - (2 * Math.PI * y) / Math.pow(2, z);
          return round((180 / Math.PI) * Math.atan(0.5 * (Math.exp(n) - Math.exp(-n))), 12);
      }
  }

  /**
   * eg. multiplyArray([1, 2], [3, 4]) = [[1, 3], [1, 4], [2, 3], [2, 4]]
   * @param xArray
   * @param yArray
   * @param row 是否按行来排列
   * @returns
   */
  function multiplyArray(xArray, yArray, row) {
      const arr = [];
      if (row) {
          for (const y of yArray) {
              for (const x of xArray) {
                  arr.push([x, y]);
              }
          }
      }
      else {
          for (const x of xArray) {
              for (const y of yArray) {
                  arr.push([x, y]);
              }
          }
      }
      return arr;
  }
  /**
   * 如果传入一个非数组字段，则将其转化为数组
   * @param value
   * @returns
   */
  function inflate(value) {
      return Array.isArray(value) ? value : [value];
  }

  class TileCache {
      data = {};
      getKey(xyz) {
          return xyz.join('.');
      }
      has(xyz) {
          return !!this.data[this.getKey(xyz)];
      }
      get(xyz) {
          return this.data[this.getKey(xyz)];
      }
      set(xyz, value) {
          this.data[this.getKey(xyz)] = value;
      }
      delete(xyz) {
          delete this.data[this.getKey(xyz)];
      }
  }

  class TileLayer {
      canvas;
      tileSize;
      cache = new TileCache();
      bbox = fullBBox;
      canvasBBox = fullBBox;
      /**
       * 当前实际显示区域的 BBox，只会比 bbox 更小
       */
      displayBBox = fullBBox;
      z = 0;
      onUpdate;
      constructor(tileSize) {
          this.tileSize = tileSize;
      }
      /**
       * tileX 有可能小于 0 或者大于等于 z2，需要对其进行格式化
       * @param tileX
       * @returns
       */
      getFormattedTileX(tileX) {
          const z2 = Math.pow(2, this.z);
          return tileX < 0 ? z2 + tileX : tileX % z2;
      }
      async loadTile(xyz) {
          const promise = fetch(getSatelliteUrl(...xyz)).then(async (res) => {
              const imageBitmap = await createImageBitmap(await res.blob());
              this.cache.set(xyz, imageBitmap);
              return imageBitmap;
          });
          this.cache.set(xyz, promise);
          promise.catch(() => {
              this.cache.delete(xyz);
          });
          return await promise;
      }
      /**
       * 如果当前缩放层级的 tile 没有加载完毕，则依次寻找更低缩放级别的图片占位
       * @param x
       * @param y
       * @param formattedX
       */
      drawPreviewImage(x, y, rect) {
          const { tileSize, cache, z } = this;
          const ctx = this.canvas.getContext('2d');
          const z2 = Math.pow(2, z);
          const formattedX = this.getFormattedTileX(x);
          let cloneX = formattedX;
          let cloneY = y;
          let cloneZ = z;
          while (cloneZ > 0) {
              cloneZ--;
              cloneX = Math.floor(cloneX / 2);
              cloneY = Math.floor(cloneY / 2);
              const imageBitmap = cache.get([cloneX, cloneY, cloneZ]);
              if (imageBitmap instanceof ImageBitmap) {
                  const cloneZ2 = Math.pow(2, cloneZ);
                  const ratio = z2 / cloneZ2;
                  const sw = tileSize / ratio;
                  const sh = sw;
                  const sx = (formattedX % ratio) * sw;
                  const sy = (y % ratio) * sw;
                  ctx.clearRect(...rect);
                  ctx.drawImage(imageBitmap, sx, sy, sw, sh, ...rect);
                  continue;
              }
          }
      }
      draw(update) {
          const { tileSize, cache, bbox, z, displayBBox } = this;
          const ctx = this.canvas.getContext('2d');
          const tileIndexBox = MercatorTile.bboxToTileIndexBox(bbox, z);
          const displayTileIndexBox = MercatorTile.bboxToTileIndexBox(displayBBox, z);
          const drawTileIndexBox = update ? displayTileIndexBox : tileIndexBox;
          const xyArr = multiplyArray(range$1(drawTileIndexBox.startX, drawTileIndexBox.endX), range$1(drawTileIndexBox.startY, drawTileIndexBox.endY));
          xyArr.forEach(([x, y]) => {
              const formattedX = this.getFormattedTileX(x);
              const xyz = [formattedX, y, z];
              let value = cache.get(xyz);
              const rect = [(x - tileIndexBox.startX) * tileSize, (y - tileIndexBox.startY) * tileSize, tileSize, tileSize];
              const drawImage = (imageBitmap) => {
                  ctx.clearRect(...rect);
                  ctx.drawImage(imageBitmap, ...rect);
              };
              if (value instanceof ImageBitmap) {
                  drawImage(value);
                  return;
              }
              if (isNil(value)) {
                  this.drawPreviewImage(x, y, rect);
                  const inXRange = inRange$1(x, displayTileIndexBox.startX, displayTileIndexBox.endX);
                  const inYRange = inRange$1(y, displayTileIndexBox.startY, displayTileIndexBox.endY);
                  if (!inXRange || !inYRange) {
                      return;
                  }
                  value = this.loadTile(xyz);
              }
              void value.then((imageBitmap) => {
                  drawImage(imageBitmap);
                  this.onUpdate?.();
              });
          });
          this.onUpdate?.();
      }
      async refresh() {
          const defaultTileXyz = [0, 0, 0];
          if (!this.cache.has(defaultTileXyz)) {
              await this.loadTile(defaultTileXyz);
          }
          const { tileSize, bbox, z } = this;
          const tileIndexBox = MercatorTile.bboxToTileIndexBox(bbox, z);
          const width = (tileIndexBox.endX - tileIndexBox.startX) * tileSize;
          const height = (tileIndexBox.endY - tileIndexBox.startY) * tileSize;
          const canvas = new OffscreenCanvas(width, height);
          // 每次刷新时更新 canvas，防止图片异步加载的情况下 ctx.drawImage 错误
          this.canvas = canvas;
          this.canvasBBox = [
              MercatorTile.xToLng(tileIndexBox.startX, z),
              MercatorTile.yToLat(tileIndexBox.endY, z),
              MercatorTile.xToLng(tileIndexBox.endX, z),
              MercatorTile.yToLat(tileIndexBox.startY, z),
          ];
          this.draw();
      }
      update() {
          this.draw(true);
      }
  }

  class EarthGeometry extends THREE__namespace.BufferGeometry {
      bbox = fullBBox;
      earthRadius;
      constructor(options) {
          super();
          this.earthRadius = options.earthRadius;
          if (options.bbox)
              this.bbox = options.bbox;
          if (!options.delay)
              this.update();
      }
      update() {
          const { bbox, earthRadius } = this;
          const heightSegments = 128;
          const widthSegments = heightSegments * 2;
          const widthPositionCount = widthSegments + 1;
          const heightPositionCount = heightSegments + 1;
          const [w, s, e, n] = bbox;
          const lngGap = (e - w) / widthSegments;
          const latGap = (n - s) / heightSegments;
          const positions = [];
          const uvs = [];
          for (let y = 0; y < heightPositionCount; y++) {
              const lat = s + y * latGap;
              for (let x = 0; x < widthPositionCount; x++) {
                  const lng = w + x * lngGap;
                  const position = lngLatToVector3([lng, lat], earthRadius);
                  positions.push(...position.toArray());
                  const uvX = x / widthSegments;
                  const uvY = y / heightSegments;
                  uvs.push(uvX, uvY);
              }
          }
          this.attributes.position = new THREE__namespace.Float32BufferAttribute(new Float32Array(positions), 3);
          this.attributes.uv = new THREE__namespace.Float32BufferAttribute(new Float32Array(uvs), 2);
          const indexArr = [];
          for (let y = 0; y < heightSegments; y++) {
              for (let x = 0; x < widthSegments; x++) {
                  const positionIndex1 = x + y * widthPositionCount;
                  const positionIndex2 = positionIndex1 + 1;
                  const positionIndex3 = positionIndex1 + widthPositionCount;
                  const positionIndex4 = positionIndex2 + widthPositionCount;
                  const face1 = [positionIndex1, positionIndex2, positionIndex3];
                  const face2 = [positionIndex2, positionIndex4, positionIndex3];
                  indexArr.push(...face1, ...face2);
              }
          }
          this.setIndex(new THREE__namespace.Uint32BufferAttribute(new Uint32Array(indexArr), 1));
      }
  }

  /**
   * !!! 会用于 Web Worker
   * @param start
   * @param end
   * @returns
   */
  /**
   * ternaryOperation(true, (v) => v, 0) => true
   *
   * ternaryOperation(false, (v) => v, 0) => 0
   * @param value
   * @param when
   * @param fallback
   * @returns
   */
  function ternaryOperation(value, when, fallback) {
      return when(value) ? value : fallback;
  }

  function unwrapHTMLElement(ele) {
      if (ele instanceof HTMLElement) {
          return ele;
      }
      return ternaryOperation(document.body.querySelector(ele), e => e instanceof HTMLElement);
  }

  class BeforeLayerManager {
      layers = [];
      bbox = fullBBox;
      /**
       * 当前实际显示区域的 BBox，只会比 bbox 更小
       */
      displayBBox = fullBBox;
      z = 0;
      onUpdate;
      container;
      map;
      earthOrbitControls;
      constructor(options) {
          this.container = options.container;
          this.map = options.map;
          this.earthOrbitControls = options.earthOrbitControls;
      }
      refresh() {
          this.layers.forEach(layer => {
              layer.refresh();
          });
      }
      addLayer(layer) {
          layer.beforeLayerManager = this;
          layer.canvas.width = this.container.clientWidth;
          layer.canvas.height = this.container.clientHeight;
          layer.refresh();
          this.container.appendChild(layer.canvas);
          this.layers.push(layer);
      }
      removeLayer(layer) {
          const index = this.layers.findIndex(l => l === layer);
          this.layers.splice(index, 1);
      }
  }

  /**
   * 显示最上层的 layer，如 TextLayer
   */
  class BaseBeforeLayer extends THREE__namespace.EventDispatcher {
      beforeLayerManager;
      zIndex = 0;
      canvas = document.createElement('canvas');
      ctx = this.canvas.getContext('2d');
      constructor() {
          super();
          this.canvas.style.position = 'absolute';
          this.canvas.style.inset = '0';
      }
  }

  /**
   * @module helpers
   */
  /**
   * Wraps a GeoJSON {@link Geometry} in a GeoJSON {@link Feature}.
   *
   * @name feature
   * @param {Geometry} geometry input geometry
   * @param {Object} [properties={}] an Object of key-value pairs to add as properties
   * @param {Object} [options={}] Optional Parameters
   * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
   * @param {string|number} [options.id] Identifier associated with the Feature
   * @returns {Feature} a GeoJSON Feature
   * @example
   * var geometry = {
   *   "type": "Point",
   *   "coordinates": [110, 50]
   * };
   *
   * var feature = turf.feature(geometry);
   *
   * //=feature
   */
  function feature(geom, properties, options) {
      if (options === void 0) { options = {}; }
      var feat = { type: "Feature" };
      if (options.id === 0 || options.id) {
          feat.id = options.id;
      }
      if (options.bbox) {
          feat.bbox = options.bbox;
      }
      feat.properties = properties || {};
      feat.geometry = geom;
      return feat;
  }
  /**
   * Creates a {@link Point} {@link Feature} from a Position.
   *
   * @name point
   * @param {Array<number>} coordinates longitude, latitude position (each in decimal degrees)
   * @param {Object} [properties={}] an Object of key-value pairs to add as properties
   * @param {Object} [options={}] Optional Parameters
   * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
   * @param {string|number} [options.id] Identifier associated with the Feature
   * @returns {Feature<Point>} a Point feature
   * @example
   * var point = turf.point([-75.343, 39.984]);
   *
   * //=point
   */
  function point(coordinates, properties, options) {
      if (options === void 0) { options = {}; }
      if (!coordinates) {
          throw new Error("coordinates is required");
      }
      if (!Array.isArray(coordinates)) {
          throw new Error("coordinates must be an Array");
      }
      if (coordinates.length < 2) {
          throw new Error("coordinates must be at least 2 numbers long");
      }
      if (!isNumber(coordinates[0]) || !isNumber(coordinates[1])) {
          throw new Error("coordinates must contain numbers");
      }
      var geom = {
          type: "Point",
          coordinates: coordinates,
      };
      return feature(geom, properties, options);
  }
  /**
   * Creates a {@link Polygon} {@link Feature} from an Array of LinearRings.
   *
   * @name polygon
   * @param {Array<Array<Array<number>>>} coordinates an array of LinearRings
   * @param {Object} [properties={}] an Object of key-value pairs to add as properties
   * @param {Object} [options={}] Optional Parameters
   * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
   * @param {string|number} [options.id] Identifier associated with the Feature
   * @returns {Feature<Polygon>} Polygon Feature
   * @example
   * var polygon = turf.polygon([[[-5, 52], [-4, 56], [-2, 51], [-7, 54], [-5, 52]]], { name: 'poly1' });
   *
   * //=polygon
   */
  function polygon(coordinates, properties, options) {
      if (options === void 0) { options = {}; }
      for (var _i = 0, coordinates_1 = coordinates; _i < coordinates_1.length; _i++) {
          var ring = coordinates_1[_i];
          if (ring.length < 4) {
              throw new Error("Each LinearRing of a Polygon must have 4 or more Positions.");
          }
          for (var j = 0; j < ring[ring.length - 1].length; j++) {
              // Check if first point of Polygon contains two numbers
              if (ring[ring.length - 1][j] !== ring[0][j]) {
                  throw new Error("First and last Position are not equivalent.");
              }
          }
      }
      var geom = {
          type: "Polygon",
          coordinates: coordinates,
      };
      return feature(geom, properties, options);
  }
  /**
   * Creates a {@link LineString} {@link Feature} from an Array of Positions.
   *
   * @name lineString
   * @param {Array<Array<number>>} coordinates an array of Positions
   * @param {Object} [properties={}] an Object of key-value pairs to add as properties
   * @param {Object} [options={}] Optional Parameters
   * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
   * @param {string|number} [options.id] Identifier associated with the Feature
   * @returns {Feature<LineString>} LineString Feature
   * @example
   * var linestring1 = turf.lineString([[-24, 63], [-23, 60], [-25, 65], [-20, 69]], {name: 'line 1'});
   * var linestring2 = turf.lineString([[-14, 43], [-13, 40], [-15, 45], [-10, 49]], {name: 'line 2'});
   *
   * //=linestring1
   * //=linestring2
   */
  function lineString(coordinates, properties, options) {
      if (options === void 0) { options = {}; }
      if (coordinates.length < 2) {
          throw new Error("coordinates must be an array of two or more positions");
      }
      var geom = {
          type: "LineString",
          coordinates: coordinates,
      };
      return feature(geom, properties, options);
  }
  /**
   * Takes one or more {@link Feature|Features} and creates a {@link FeatureCollection}.
   *
   * @name featureCollection
   * @param {Feature[]} features input features
   * @param {Object} [options={}] Optional Parameters
   * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
   * @param {string|number} [options.id] Identifier associated with the Feature
   * @returns {FeatureCollection} FeatureCollection of Features
   * @example
   * var locationA = turf.point([-75.343, 39.984], {name: 'Location A'});
   * var locationB = turf.point([-75.833, 39.284], {name: 'Location B'});
   * var locationC = turf.point([-75.534, 39.123], {name: 'Location C'});
   *
   * var collection = turf.featureCollection([
   *   locationA,
   *   locationB,
   *   locationC
   * ]);
   *
   * //=collection
   */
  function featureCollection$1(features, options) {
      if (options === void 0) { options = {}; }
      var fc = { type: "FeatureCollection" };
      if (options.id) {
          fc.id = options.id;
      }
      if (options.bbox) {
          fc.bbox = options.bbox;
      }
      fc.features = features;
      return fc;
  }
  /**
   * isNumber
   *
   * @param {*} num Number to validate
   * @returns {boolean} true/false
   * @example
   * turf.isNumber(123)
   * //=true
   * turf.isNumber('foo')
   * //=false
   */
  function isNumber(num) {
      return !isNaN(num) && num !== null && !Array.isArray(num);
  }

  /**
   * Callback for coordEach
   *
   * @callback coordEachCallback
   * @param {Array<number>} currentCoord The current coordinate being processed.
   * @param {number} coordIndex The current index of the coordinate being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   * @param {number} geometryIndex The current index of the Geometry being processed.
   */

  /**
   * Iterate over coordinates in any GeoJSON object, similar to Array.forEach()
   *
   * @name coordEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentCoord, coordIndex, featureIndex, multiFeatureIndex)
   * @param {boolean} [excludeWrapCoord=false] whether or not to include the final coordinate of LinearRings that wraps the ring in its iteration.
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {"foo": "bar"}),
   *   turf.point([36, 53], {"hello": "world"})
   * ]);
   *
   * turf.coordEach(features, function (currentCoord, coordIndex, featureIndex, multiFeatureIndex, geometryIndex) {
   *   //=currentCoord
   *   //=coordIndex
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   //=geometryIndex
   * });
   */
  function coordEach$1(geojson, callback, excludeWrapCoord) {
    // Handles null Geometry -- Skips this GeoJSON
    if (geojson === null) return;
    var j,
      k,
      l,
      geometry,
      stopG,
      coords,
      geometryMaybeCollection,
      wrapShrink = 0,
      coordIndex = 0,
      isGeometryCollection,
      type = geojson.type,
      isFeatureCollection = type === "FeatureCollection",
      isFeature = type === "Feature",
      stop = isFeatureCollection ? geojson.features.length : 1;

    // This logic may look a little weird. The reason why it is that way
    // is because it's trying to be fast. GeoJSON supports multiple kinds
    // of objects at its root: FeatureCollection, Features, Geometries.
    // This function has the responsibility of handling all of them, and that
    // means that some of the `for` loops you see below actually just don't apply
    // to certain inputs. For instance, if you give this just a
    // Point geometry, then both loops are short-circuited and all we do
    // is gradually rename the input until it's called 'geometry'.
    //
    // This also aims to allocate as few resources as possible: just a
    // few numbers and booleans, rather than any temporary arrays as would
    // be required with the normalization approach.
    for (var featureIndex = 0; featureIndex < stop; featureIndex++) {
      geometryMaybeCollection = isFeatureCollection
        ? geojson.features[featureIndex].geometry
        : isFeature
        ? geojson.geometry
        : geojson;
      isGeometryCollection = geometryMaybeCollection
        ? geometryMaybeCollection.type === "GeometryCollection"
        : false;
      stopG = isGeometryCollection
        ? geometryMaybeCollection.geometries.length
        : 1;

      for (var geomIndex = 0; geomIndex < stopG; geomIndex++) {
        var multiFeatureIndex = 0;
        var geometryIndex = 0;
        geometry = isGeometryCollection
          ? geometryMaybeCollection.geometries[geomIndex]
          : geometryMaybeCollection;

        // Handles null Geometry -- Skips this geometry
        if (geometry === null) continue;
        coords = geometry.coordinates;
        var geomType = geometry.type;

        wrapShrink =
          excludeWrapCoord &&
          (geomType === "Polygon" || geomType === "MultiPolygon")
            ? 1
            : 0;

        switch (geomType) {
          case null:
            break;
          case "Point":
            if (
              callback(
                coords,
                coordIndex,
                featureIndex,
                multiFeatureIndex,
                geometryIndex
              ) === false
            )
              return false;
            coordIndex++;
            multiFeatureIndex++;
            break;
          case "LineString":
          case "MultiPoint":
            for (j = 0; j < coords.length; j++) {
              if (
                callback(
                  coords[j],
                  coordIndex,
                  featureIndex,
                  multiFeatureIndex,
                  geometryIndex
                ) === false
              )
                return false;
              coordIndex++;
              if (geomType === "MultiPoint") multiFeatureIndex++;
            }
            if (geomType === "LineString") multiFeatureIndex++;
            break;
          case "Polygon":
          case "MultiLineString":
            for (j = 0; j < coords.length; j++) {
              for (k = 0; k < coords[j].length - wrapShrink; k++) {
                if (
                  callback(
                    coords[j][k],
                    coordIndex,
                    featureIndex,
                    multiFeatureIndex,
                    geometryIndex
                  ) === false
                )
                  return false;
                coordIndex++;
              }
              if (geomType === "MultiLineString") multiFeatureIndex++;
              if (geomType === "Polygon") geometryIndex++;
            }
            if (geomType === "Polygon") multiFeatureIndex++;
            break;
          case "MultiPolygon":
            for (j = 0; j < coords.length; j++) {
              geometryIndex = 0;
              for (k = 0; k < coords[j].length; k++) {
                for (l = 0; l < coords[j][k].length - wrapShrink; l++) {
                  if (
                    callback(
                      coords[j][k][l],
                      coordIndex,
                      featureIndex,
                      multiFeatureIndex,
                      geometryIndex
                    ) === false
                  )
                    return false;
                  coordIndex++;
                }
                geometryIndex++;
              }
              multiFeatureIndex++;
            }
            break;
          case "GeometryCollection":
            for (j = 0; j < geometry.geometries.length; j++)
              if (
                coordEach$1(geometry.geometries[j], callback, excludeWrapCoord) ===
                false
              )
                return false;
            break;
          default:
            throw new Error("Unknown Geometry Type");
        }
      }
    }
  }

  /**
   * Callback for featureEach
   *
   * @callback featureEachCallback
   * @param {Feature<any>} currentFeature The current Feature being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   */

  /**
   * Iterate over features in any GeoJSON object, similar to
   * Array.forEach.
   *
   * @name featureEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentFeature, featureIndex)
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {foo: 'bar'}),
   *   turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.featureEach(features, function (currentFeature, featureIndex) {
   *   //=currentFeature
   *   //=featureIndex
   * });
   */
  function featureEach$2(geojson, callback) {
    if (geojson.type === "Feature") {
      callback(geojson, 0);
    } else if (geojson.type === "FeatureCollection") {
      for (var i = 0; i < geojson.features.length; i++) {
        if (callback(geojson.features[i], i) === false) break;
      }
    }
  }

  /**
   * Callback for geomEach
   *
   * @callback geomEachCallback
   * @param {Geometry} currentGeometry The current Geometry being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {Object} featureProperties The current Feature Properties being processed.
   * @param {Array<number>} featureBBox The current Feature BBox being processed.
   * @param {number|string} featureId The current Feature Id being processed.
   */

  /**
   * Iterate over each geometry in any GeoJSON object, similar to Array.forEach()
   *
   * @name geomEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentGeometry, featureIndex, featureProperties, featureBBox, featureId)
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.geomEach(features, function (currentGeometry, featureIndex, featureProperties, featureBBox, featureId) {
   *   //=currentGeometry
   *   //=featureIndex
   *   //=featureProperties
   *   //=featureBBox
   *   //=featureId
   * });
   */
  function geomEach$1(geojson, callback) {
    var i,
      j,
      g,
      geometry,
      stopG,
      geometryMaybeCollection,
      isGeometryCollection,
      featureProperties,
      featureBBox,
      featureId,
      featureIndex = 0,
      isFeatureCollection = geojson.type === "FeatureCollection",
      isFeature = geojson.type === "Feature",
      stop = isFeatureCollection ? geojson.features.length : 1;

    // This logic may look a little weird. The reason why it is that way
    // is because it's trying to be fast. GeoJSON supports multiple kinds
    // of objects at its root: FeatureCollection, Features, Geometries.
    // This function has the responsibility of handling all of them, and that
    // means that some of the `for` loops you see below actually just don't apply
    // to certain inputs. For instance, if you give this just a
    // Point geometry, then both loops are short-circuited and all we do
    // is gradually rename the input until it's called 'geometry'.
    //
    // This also aims to allocate as few resources as possible: just a
    // few numbers and booleans, rather than any temporary arrays as would
    // be required with the normalization approach.
    for (i = 0; i < stop; i++) {
      geometryMaybeCollection = isFeatureCollection
        ? geojson.features[i].geometry
        : isFeature
        ? geojson.geometry
        : geojson;
      featureProperties = isFeatureCollection
        ? geojson.features[i].properties
        : isFeature
        ? geojson.properties
        : {};
      featureBBox = isFeatureCollection
        ? geojson.features[i].bbox
        : isFeature
        ? geojson.bbox
        : undefined;
      featureId = isFeatureCollection
        ? geojson.features[i].id
        : isFeature
        ? geojson.id
        : undefined;
      isGeometryCollection = geometryMaybeCollection
        ? geometryMaybeCollection.type === "GeometryCollection"
        : false;
      stopG = isGeometryCollection
        ? geometryMaybeCollection.geometries.length
        : 1;

      for (g = 0; g < stopG; g++) {
        geometry = isGeometryCollection
          ? geometryMaybeCollection.geometries[g]
          : geometryMaybeCollection;

        // Handle null Geometry
        if (geometry === null) {
          if (
            callback(
              null,
              featureIndex,
              featureProperties,
              featureBBox,
              featureId
            ) === false
          )
            return false;
          continue;
        }
        switch (geometry.type) {
          case "Point":
          case "LineString":
          case "MultiPoint":
          case "Polygon":
          case "MultiLineString":
          case "MultiPolygon": {
            if (
              callback(
                geometry,
                featureIndex,
                featureProperties,
                featureBBox,
                featureId
              ) === false
            )
              return false;
            break;
          }
          case "GeometryCollection": {
            for (j = 0; j < geometry.geometries.length; j++) {
              if (
                callback(
                  geometry.geometries[j],
                  featureIndex,
                  featureProperties,
                  featureBBox,
                  featureId
                ) === false
              )
                return false;
            }
            break;
          }
          default:
            throw new Error("Unknown Geometry Type");
        }
      }
      // Only increase `featureIndex` per each feature
      featureIndex++;
    }
  }

  /**
   * Callback for flattenEach
   *
   * @callback flattenEachCallback
   * @param {Feature} currentFeature The current flattened feature being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   */

  /**
   * Iterate over flattened features in any GeoJSON object, similar to
   * Array.forEach.
   *
   * @name flattenEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentFeature, featureIndex, multiFeatureIndex)
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.multiPoint([[40, 30], [36, 53]], {hello: 'world'})
   * ]);
   *
   * turf.flattenEach(features, function (currentFeature, featureIndex, multiFeatureIndex) {
   *   //=currentFeature
   *   //=featureIndex
   *   //=multiFeatureIndex
   * });
   */
  function flattenEach$1(geojson, callback) {
    geomEach$1(geojson, function (geometry, featureIndex, properties, bbox, id) {
      // Callback for single geometry
      var type = geometry === null ? null : geometry.type;
      switch (type) {
        case null:
        case "Point":
        case "LineString":
        case "Polygon":
          if (
            callback(
              feature(geometry, properties, { bbox: bbox, id: id }),
              featureIndex,
              0
            ) === false
          )
            return false;
          return;
      }

      var geomType;

      // Callback for multi-geometry
      switch (type) {
        case "MultiPoint":
          geomType = "Point";
          break;
        case "MultiLineString":
          geomType = "LineString";
          break;
        case "MultiPolygon":
          geomType = "Polygon";
          break;
      }

      for (
        var multiFeatureIndex = 0;
        multiFeatureIndex < geometry.coordinates.length;
        multiFeatureIndex++
      ) {
        var coordinate = geometry.coordinates[multiFeatureIndex];
        var geom = {
          type: geomType,
          coordinates: coordinate,
        };
        if (
          callback(feature(geom, properties), featureIndex, multiFeatureIndex) ===
          false
        )
          return false;
      }
    });
  }

  /**
   * Takes a set of features, calculates the bbox of all input features, and returns a bounding box.
   *
   * @name bbox
   * @param {GeoJSON} geojson any GeoJSON object
   * @returns {BBox} bbox extent in [minX, minY, maxX, maxY] order
   * @example
   * var line = turf.lineString([[-74, 40], [-78, 42], [-82, 35]]);
   * var bbox = turf.bbox(line);
   * var bboxPolygon = turf.bboxPolygon(bbox);
   *
   * //addToMap
   * var addToMap = [line, bboxPolygon]
   */
  function bbox$2(geojson) {
      var result = [Infinity, Infinity, -Infinity, -Infinity];
      coordEach$1(geojson, function (coord) {
          if (result[0] > coord[0]) {
              result[0] = coord[0];
          }
          if (result[1] > coord[1]) {
              result[1] = coord[1];
          }
          if (result[2] < coord[0]) {
              result[2] = coord[0];
          }
          if (result[3] < coord[1]) {
              result[3] = coord[1];
          }
      });
      return result;
  }
  bbox$2["default"] = bbox$2;

  /**
   * Unwrap coordinates from a Feature, Geometry Object or an Array
   *
   * @name getCoords
   * @param {Array<any>|Geometry|Feature} coords Feature, Geometry Object or an Array
   * @returns {Array<any>} coordinates
   * @example
   * var poly = turf.polygon([[[119.32, -8.7], [119.55, -8.69], [119.51, -8.54], [119.32, -8.7]]]);
   *
   * var coords = turf.getCoords(poly);
   * //= [[[119.32, -8.7], [119.55, -8.69], [119.51, -8.54], [119.32, -8.7]]]
   */
  function getCoords(coords) {
      if (Array.isArray(coords)) {
          return coords;
      }
      // Feature
      if (coords.type === "Feature") {
          if (coords.geometry !== null) {
              return coords.geometry.coordinates;
          }
      }
      else {
          // Geometry
          if (coords.coordinates) {
              return coords.coordinates;
          }
      }
      throw new Error("coords must be GeoJSON Feature, Geometry Object or an Array");
  }

  var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

  var rbush_minExports = {};
  var rbush_min = {
    get exports(){ return rbush_minExports; },
    set exports(v){ rbush_minExports = v; },
  };

  (function (module, exports) {
  	!function(t,i){module.exports=i();}(commonjsGlobal,function(){function t(t,r,e,a,h){!function t(n,r,e,a,h){for(;a>e;){if(a-e>600){var o=a-e+1,s=r-e+1,l=Math.log(o),f=.5*Math.exp(2*l/3),u=.5*Math.sqrt(l*f*(o-f)/o)*(s-o/2<0?-1:1),m=Math.max(e,Math.floor(r-s*f/o+u)),c=Math.min(a,Math.floor(r+(o-s)*f/o+u));t(n,r,m,c,h);}var p=n[r],d=e,x=a;for(i(n,e,r),h(n[a],p)>0&&i(n,e,a);d<x;){for(i(n,d,x),d++,x--;h(n[d],p)<0;)d++;for(;h(n[x],p)>0;)x--;}0===h(n[e],p)?i(n,e,x):i(n,++x,a),x<=r&&(e=x+1),r<=x&&(a=x-1);}}(t,r,e||0,a||t.length-1,h||n);}function i(t,i,n){var r=t[i];t[i]=t[n],t[n]=r;}function n(t,i){return t<i?-1:t>i?1:0}var r=function(t){void 0===t&&(t=9),this._maxEntries=Math.max(4,t),this._minEntries=Math.max(2,Math.ceil(.4*this._maxEntries)),this.clear();};function e(t,i,n){if(!n)return i.indexOf(t);for(var r=0;r<i.length;r++)if(n(t,i[r]))return r;return -1}function a(t,i){h(t,0,t.children.length,i,t);}function h(t,i,n,r,e){e||(e=p(null)),e.minX=1/0,e.minY=1/0,e.maxX=-1/0,e.maxY=-1/0;for(var a=i;a<n;a++){var h=t.children[a];o(e,t.leaf?r(h):h);}return e}function o(t,i){return t.minX=Math.min(t.minX,i.minX),t.minY=Math.min(t.minY,i.minY),t.maxX=Math.max(t.maxX,i.maxX),t.maxY=Math.max(t.maxY,i.maxY),t}function s(t,i){return t.minX-i.minX}function l(t,i){return t.minY-i.minY}function f(t){return (t.maxX-t.minX)*(t.maxY-t.minY)}function u(t){return t.maxX-t.minX+(t.maxY-t.minY)}function m(t,i){return t.minX<=i.minX&&t.minY<=i.minY&&i.maxX<=t.maxX&&i.maxY<=t.maxY}function c(t,i){return i.minX<=t.maxX&&i.minY<=t.maxY&&i.maxX>=t.minX&&i.maxY>=t.minY}function p(t){return {children:t,height:1,leaf:!0,minX:1/0,minY:1/0,maxX:-1/0,maxY:-1/0}}function d(i,n,r,e,a){for(var h=[n,r];h.length;)if(!((r=h.pop())-(n=h.pop())<=e)){var o=n+Math.ceil((r-n)/e/2)*e;t(i,o,n,r,a),h.push(n,o,o,r);}}return r.prototype.all=function(){return this._all(this.data,[])},r.prototype.search=function(t){var i=this.data,n=[];if(!c(t,i))return n;for(var r=this.toBBox,e=[];i;){for(var a=0;a<i.children.length;a++){var h=i.children[a],o=i.leaf?r(h):h;c(t,o)&&(i.leaf?n.push(h):m(t,o)?this._all(h,n):e.push(h));}i=e.pop();}return n},r.prototype.collides=function(t){var i=this.data;if(!c(t,i))return !1;for(var n=[];i;){for(var r=0;r<i.children.length;r++){var e=i.children[r],a=i.leaf?this.toBBox(e):e;if(c(t,a)){if(i.leaf||m(t,a))return !0;n.push(e);}}i=n.pop();}return !1},r.prototype.load=function(t){if(!t||!t.length)return this;if(t.length<this._minEntries){for(var i=0;i<t.length;i++)this.insert(t[i]);return this}var n=this._build(t.slice(),0,t.length-1,0);if(this.data.children.length)if(this.data.height===n.height)this._splitRoot(this.data,n);else {if(this.data.height<n.height){var r=this.data;this.data=n,n=r;}this._insert(n,this.data.height-n.height-1,!0);}else this.data=n;return this},r.prototype.insert=function(t){return t&&this._insert(t,this.data.height-1),this},r.prototype.clear=function(){return this.data=p([]),this},r.prototype.remove=function(t,i){if(!t)return this;for(var n,r,a,h=this.data,o=this.toBBox(t),s=[],l=[];h||s.length;){if(h||(h=s.pop(),r=s[s.length-1],n=l.pop(),a=!0),h.leaf){var f=e(t,h.children,i);if(-1!==f)return h.children.splice(f,1),s.push(h),this._condense(s),this}a||h.leaf||!m(h,o)?r?(n++,h=r.children[n],a=!1):h=null:(s.push(h),l.push(n),n=0,r=h,h=h.children[0]);}return this},r.prototype.toBBox=function(t){return t},r.prototype.compareMinX=function(t,i){return t.minX-i.minX},r.prototype.compareMinY=function(t,i){return t.minY-i.minY},r.prototype.toJSON=function(){return this.data},r.prototype.fromJSON=function(t){return this.data=t,this},r.prototype._all=function(t,i){for(var n=[];t;)t.leaf?i.push.apply(i,t.children):n.push.apply(n,t.children),t=n.pop();return i},r.prototype._build=function(t,i,n,r){var e,h=n-i+1,o=this._maxEntries;if(h<=o)return a(e=p(t.slice(i,n+1)),this.toBBox),e;r||(r=Math.ceil(Math.log(h)/Math.log(o)),o=Math.ceil(h/Math.pow(o,r-1))),(e=p([])).leaf=!1,e.height=r;var s=Math.ceil(h/o),l=s*Math.ceil(Math.sqrt(o));d(t,i,n,l,this.compareMinX);for(var f=i;f<=n;f+=l){var u=Math.min(f+l-1,n);d(t,f,u,s,this.compareMinY);for(var m=f;m<=u;m+=s){var c=Math.min(m+s-1,u);e.children.push(this._build(t,m,c,r-1));}}return a(e,this.toBBox),e},r.prototype._chooseSubtree=function(t,i,n,r){for(;r.push(i),!i.leaf&&r.length-1!==n;){for(var e=1/0,a=1/0,h=void 0,o=0;o<i.children.length;o++){var s=i.children[o],l=f(s),u=(m=t,c=s,(Math.max(c.maxX,m.maxX)-Math.min(c.minX,m.minX))*(Math.max(c.maxY,m.maxY)-Math.min(c.minY,m.minY))-l);u<a?(a=u,e=l<e?l:e,h=s):u===a&&l<e&&(e=l,h=s);}i=h||i.children[0];}var m,c;return i},r.prototype._insert=function(t,i,n){var r=n?t:this.toBBox(t),e=[],a=this._chooseSubtree(r,this.data,i,e);for(a.children.push(t),o(a,r);i>=0&&e[i].children.length>this._maxEntries;)this._split(e,i),i--;this._adjustParentBBoxes(r,e,i);},r.prototype._split=function(t,i){var n=t[i],r=n.children.length,e=this._minEntries;this._chooseSplitAxis(n,e,r);var h=this._chooseSplitIndex(n,e,r),o=p(n.children.splice(h,n.children.length-h));o.height=n.height,o.leaf=n.leaf,a(n,this.toBBox),a(o,this.toBBox),i?t[i-1].children.push(o):this._splitRoot(n,o);},r.prototype._splitRoot=function(t,i){this.data=p([t,i]),this.data.height=t.height+1,this.data.leaf=!1,a(this.data,this.toBBox);},r.prototype._chooseSplitIndex=function(t,i,n){for(var r,e,a,o,s,l,u,m=1/0,c=1/0,p=i;p<=n-i;p++){var d=h(t,0,p,this.toBBox),x=h(t,p,n,this.toBBox),v=(e=d,a=x,o=void 0,s=void 0,l=void 0,u=void 0,o=Math.max(e.minX,a.minX),s=Math.max(e.minY,a.minY),l=Math.min(e.maxX,a.maxX),u=Math.min(e.maxY,a.maxY),Math.max(0,l-o)*Math.max(0,u-s)),M=f(d)+f(x);v<m?(m=v,r=p,c=M<c?M:c):v===m&&M<c&&(c=M,r=p);}return r||n-i},r.prototype._chooseSplitAxis=function(t,i,n){var r=t.leaf?this.compareMinX:s,e=t.leaf?this.compareMinY:l;this._allDistMargin(t,i,n,r)<this._allDistMargin(t,i,n,e)&&t.children.sort(r);},r.prototype._allDistMargin=function(t,i,n,r){t.children.sort(r);for(var e=this.toBBox,a=h(t,0,i,e),s=h(t,n-i,n,e),l=u(a)+u(s),f=i;f<n-i;f++){var m=t.children[f];o(a,t.leaf?e(m):m),l+=u(a);}for(var c=n-i-1;c>=i;c--){var p=t.children[c];o(s,t.leaf?e(p):p),l+=u(s);}return l},r.prototype._adjustParentBBoxes=function(t,i,n){for(var r=n;r>=0;r--)o(i[r],t);},r.prototype._condense=function(t){for(var i=t.length-1,n=void 0;i>=0;i--)0===t[i].children.length?i>0?(n=t[i-1].children).splice(n.indexOf(t[i]),1):this.clear():a(t[i],this.toBBox);},r});
  } (rbush_min));

  /**
   * Creates a {@link FeatureCollection} of 2-vertex {@link LineString} segments from a
   * {@link LineString|(Multi)LineString} or {@link Polygon|(Multi)Polygon}.
   *
   * @name lineSegment
   * @param {GeoJSON} geojson GeoJSON Polygon or LineString
   * @returns {FeatureCollection<LineString>} 2-vertex line segments
   * @example
   * var polygon = turf.polygon([[[-50, 5], [-40, -10], [-50, -10], [-40, 5], [-50, 5]]]);
   * var segments = turf.lineSegment(polygon);
   *
   * //addToMap
   * var addToMap = [polygon, segments]
   */
  function lineSegment(geojson) {
      if (!geojson) {
          throw new Error("geojson is required");
      }
      var results = [];
      flattenEach$1(geojson, function (feature) {
          lineSegmentFeature(feature, results);
      });
      return featureCollection$1(results);
  }
  /**
   * Line Segment
   *
   * @private
   * @param {Feature<LineString|Polygon>} geojson Line or polygon feature
   * @param {Array} results push to results
   * @returns {void}
   */
  function lineSegmentFeature(geojson, results) {
      var coords = [];
      var geometry = geojson.geometry;
      if (geometry !== null) {
          switch (geometry.type) {
              case "Polygon":
                  coords = getCoords(geometry);
                  break;
              case "LineString":
                  coords = [getCoords(geometry)];
          }
          coords.forEach(function (coord) {
              var segments = createSegments(coord, geojson.properties);
              segments.forEach(function (segment) {
                  segment.id = results.length;
                  results.push(segment);
              });
          });
      }
  }
  /**
   * Create Segments from LineString coordinates
   *
   * @private
   * @param {Array<Array<number>>} coords LineString coordinates
   * @param {*} properties GeoJSON properties
   * @returns {Array<Feature<LineString>>} line segments
   */
  function createSegments(coords, properties) {
      var segments = [];
      coords.reduce(function (previousCoords, currentCoords) {
          var segment = lineString([previousCoords, currentCoords], properties);
          segment.bbox = bbox$1(previousCoords, currentCoords);
          segments.push(segment);
          return currentCoords;
      });
      return segments;
  }
  /**
   * Create BBox between two coordinates (faster than @turf/bbox)
   *
   * @private
   * @param {Array<number>} coords1 Point coordinate
   * @param {Array<number>} coords2 Point coordinate
   * @returns {BBox} [west, south, east, north]
   */
  function bbox$1(coords1, coords2) {
      var x1 = coords1[0];
      var y1 = coords1[1];
      var x2 = coords2[0];
      var y2 = coords2[1];
      var west = x1 < x2 ? x1 : x2;
      var south = y1 < y2 ? y1 : y2;
      var east = x1 > x2 ? x1 : x2;
      var north = y1 > y2 ? y1 : y2;
      return [west, south, east, north];
  }

  var geojsonRbushExports = {};
  var geojsonRbush$1 = {
    get exports(){ return geojsonRbushExports; },
    set exports(v){ geojsonRbushExports = v; },
  };

  var js$2 = {};

  (function (exports) {
  	Object.defineProperty(exports, "__esModule", { value: true });
  	/**
  	 * @module helpers
  	 */
  	/**
  	 * Earth Radius used with the Harvesine formula and approximates using a spherical (non-ellipsoid) Earth.
  	 *
  	 * @memberof helpers
  	 * @type {number}
  	 */
  	exports.earthRadius = 6371008.8;
  	/**
  	 * Unit of measurement factors using a spherical (non-ellipsoid) earth radius.
  	 *
  	 * @memberof helpers
  	 * @type {Object}
  	 */
  	exports.factors = {
  	    centimeters: exports.earthRadius * 100,
  	    centimetres: exports.earthRadius * 100,
  	    degrees: exports.earthRadius / 111325,
  	    feet: exports.earthRadius * 3.28084,
  	    inches: exports.earthRadius * 39.37,
  	    kilometers: exports.earthRadius / 1000,
  	    kilometres: exports.earthRadius / 1000,
  	    meters: exports.earthRadius,
  	    metres: exports.earthRadius,
  	    miles: exports.earthRadius / 1609.344,
  	    millimeters: exports.earthRadius * 1000,
  	    millimetres: exports.earthRadius * 1000,
  	    nauticalmiles: exports.earthRadius / 1852,
  	    radians: 1,
  	    yards: exports.earthRadius * 1.0936,
  	};
  	/**
  	 * Units of measurement factors based on 1 meter.
  	 *
  	 * @memberof helpers
  	 * @type {Object}
  	 */
  	exports.unitsFactors = {
  	    centimeters: 100,
  	    centimetres: 100,
  	    degrees: 1 / 111325,
  	    feet: 3.28084,
  	    inches: 39.37,
  	    kilometers: 1 / 1000,
  	    kilometres: 1 / 1000,
  	    meters: 1,
  	    metres: 1,
  	    miles: 1 / 1609.344,
  	    millimeters: 1000,
  	    millimetres: 1000,
  	    nauticalmiles: 1 / 1852,
  	    radians: 1 / exports.earthRadius,
  	    yards: 1.0936133,
  	};
  	/**
  	 * Area of measurement factors based on 1 square meter.
  	 *
  	 * @memberof helpers
  	 * @type {Object}
  	 */
  	exports.areaFactors = {
  	    acres: 0.000247105,
  	    centimeters: 10000,
  	    centimetres: 10000,
  	    feet: 10.763910417,
  	    hectares: 0.0001,
  	    inches: 1550.003100006,
  	    kilometers: 0.000001,
  	    kilometres: 0.000001,
  	    meters: 1,
  	    metres: 1,
  	    miles: 3.86e-7,
  	    millimeters: 1000000,
  	    millimetres: 1000000,
  	    yards: 1.195990046,
  	};
  	/**
  	 * Wraps a GeoJSON {@link Geometry} in a GeoJSON {@link Feature}.
  	 *
  	 * @name feature
  	 * @param {Geometry} geometry input geometry
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature} a GeoJSON Feature
  	 * @example
  	 * var geometry = {
  	 *   "type": "Point",
  	 *   "coordinates": [110, 50]
  	 * };
  	 *
  	 * var feature = turf.feature(geometry);
  	 *
  	 * //=feature
  	 */
  	function feature(geom, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    var feat = { type: "Feature" };
  	    if (options.id === 0 || options.id) {
  	        feat.id = options.id;
  	    }
  	    if (options.bbox) {
  	        feat.bbox = options.bbox;
  	    }
  	    feat.properties = properties || {};
  	    feat.geometry = geom;
  	    return feat;
  	}
  	exports.feature = feature;
  	/**
  	 * Creates a GeoJSON {@link Geometry} from a Geometry string type & coordinates.
  	 * For GeometryCollection type use `helpers.geometryCollection`
  	 *
  	 * @name geometry
  	 * @param {string} type Geometry Type
  	 * @param {Array<any>} coordinates Coordinates
  	 * @param {Object} [options={}] Optional Parameters
  	 * @returns {Geometry} a GeoJSON Geometry
  	 * @example
  	 * var type = "Point";
  	 * var coordinates = [110, 50];
  	 * var geometry = turf.geometry(type, coordinates);
  	 * // => geometry
  	 */
  	function geometry(type, coordinates, _options) {
  	    switch (type) {
  	        case "Point":
  	            return point(coordinates).geometry;
  	        case "LineString":
  	            return lineString(coordinates).geometry;
  	        case "Polygon":
  	            return polygon(coordinates).geometry;
  	        case "MultiPoint":
  	            return multiPoint(coordinates).geometry;
  	        case "MultiLineString":
  	            return multiLineString(coordinates).geometry;
  	        case "MultiPolygon":
  	            return multiPolygon(coordinates).geometry;
  	        default:
  	            throw new Error(type + " is invalid");
  	    }
  	}
  	exports.geometry = geometry;
  	/**
  	 * Creates a {@link Point} {@link Feature} from a Position.
  	 *
  	 * @name point
  	 * @param {Array<number>} coordinates longitude, latitude position (each in decimal degrees)
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<Point>} a Point feature
  	 * @example
  	 * var point = turf.point([-75.343, 39.984]);
  	 *
  	 * //=point
  	 */
  	function point(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    if (!coordinates) {
  	        throw new Error("coordinates is required");
  	    }
  	    if (!Array.isArray(coordinates)) {
  	        throw new Error("coordinates must be an Array");
  	    }
  	    if (coordinates.length < 2) {
  	        throw new Error("coordinates must be at least 2 numbers long");
  	    }
  	    if (!isNumber(coordinates[0]) || !isNumber(coordinates[1])) {
  	        throw new Error("coordinates must contain numbers");
  	    }
  	    var geom = {
  	        type: "Point",
  	        coordinates: coordinates,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.point = point;
  	/**
  	 * Creates a {@link Point} {@link FeatureCollection} from an Array of Point coordinates.
  	 *
  	 * @name points
  	 * @param {Array<Array<number>>} coordinates an array of Points
  	 * @param {Object} [properties={}] Translate these properties to each Feature
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north]
  	 * associated with the FeatureCollection
  	 * @param {string|number} [options.id] Identifier associated with the FeatureCollection
  	 * @returns {FeatureCollection<Point>} Point Feature
  	 * @example
  	 * var points = turf.points([
  	 *   [-75, 39],
  	 *   [-80, 45],
  	 *   [-78, 50]
  	 * ]);
  	 *
  	 * //=points
  	 */
  	function points(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    return featureCollection(coordinates.map(function (coords) {
  	        return point(coords, properties);
  	    }), options);
  	}
  	exports.points = points;
  	/**
  	 * Creates a {@link Polygon} {@link Feature} from an Array of LinearRings.
  	 *
  	 * @name polygon
  	 * @param {Array<Array<Array<number>>>} coordinates an array of LinearRings
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<Polygon>} Polygon Feature
  	 * @example
  	 * var polygon = turf.polygon([[[-5, 52], [-4, 56], [-2, 51], [-7, 54], [-5, 52]]], { name: 'poly1' });
  	 *
  	 * //=polygon
  	 */
  	function polygon(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    for (var _i = 0, coordinates_1 = coordinates; _i < coordinates_1.length; _i++) {
  	        var ring = coordinates_1[_i];
  	        if (ring.length < 4) {
  	            throw new Error("Each LinearRing of a Polygon must have 4 or more Positions.");
  	        }
  	        for (var j = 0; j < ring[ring.length - 1].length; j++) {
  	            // Check if first point of Polygon contains two numbers
  	            if (ring[ring.length - 1][j] !== ring[0][j]) {
  	                throw new Error("First and last Position are not equivalent.");
  	            }
  	        }
  	    }
  	    var geom = {
  	        type: "Polygon",
  	        coordinates: coordinates,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.polygon = polygon;
  	/**
  	 * Creates a {@link Polygon} {@link FeatureCollection} from an Array of Polygon coordinates.
  	 *
  	 * @name polygons
  	 * @param {Array<Array<Array<Array<number>>>>} coordinates an array of Polygon coordinates
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the FeatureCollection
  	 * @returns {FeatureCollection<Polygon>} Polygon FeatureCollection
  	 * @example
  	 * var polygons = turf.polygons([
  	 *   [[[-5, 52], [-4, 56], [-2, 51], [-7, 54], [-5, 52]]],
  	 *   [[[-15, 42], [-14, 46], [-12, 41], [-17, 44], [-15, 42]]],
  	 * ]);
  	 *
  	 * //=polygons
  	 */
  	function polygons(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    return featureCollection(coordinates.map(function (coords) {
  	        return polygon(coords, properties);
  	    }), options);
  	}
  	exports.polygons = polygons;
  	/**
  	 * Creates a {@link LineString} {@link Feature} from an Array of Positions.
  	 *
  	 * @name lineString
  	 * @param {Array<Array<number>>} coordinates an array of Positions
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<LineString>} LineString Feature
  	 * @example
  	 * var linestring1 = turf.lineString([[-24, 63], [-23, 60], [-25, 65], [-20, 69]], {name: 'line 1'});
  	 * var linestring2 = turf.lineString([[-14, 43], [-13, 40], [-15, 45], [-10, 49]], {name: 'line 2'});
  	 *
  	 * //=linestring1
  	 * //=linestring2
  	 */
  	function lineString(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    if (coordinates.length < 2) {
  	        throw new Error("coordinates must be an array of two or more positions");
  	    }
  	    var geom = {
  	        type: "LineString",
  	        coordinates: coordinates,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.lineString = lineString;
  	/**
  	 * Creates a {@link LineString} {@link FeatureCollection} from an Array of LineString coordinates.
  	 *
  	 * @name lineStrings
  	 * @param {Array<Array<Array<number>>>} coordinates an array of LinearRings
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north]
  	 * associated with the FeatureCollection
  	 * @param {string|number} [options.id] Identifier associated with the FeatureCollection
  	 * @returns {FeatureCollection<LineString>} LineString FeatureCollection
  	 * @example
  	 * var linestrings = turf.lineStrings([
  	 *   [[-24, 63], [-23, 60], [-25, 65], [-20, 69]],
  	 *   [[-14, 43], [-13, 40], [-15, 45], [-10, 49]]
  	 * ]);
  	 *
  	 * //=linestrings
  	 */
  	function lineStrings(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    return featureCollection(coordinates.map(function (coords) {
  	        return lineString(coords, properties);
  	    }), options);
  	}
  	exports.lineStrings = lineStrings;
  	/**
  	 * Takes one or more {@link Feature|Features} and creates a {@link FeatureCollection}.
  	 *
  	 * @name featureCollection
  	 * @param {Feature[]} features input features
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {FeatureCollection} FeatureCollection of Features
  	 * @example
  	 * var locationA = turf.point([-75.343, 39.984], {name: 'Location A'});
  	 * var locationB = turf.point([-75.833, 39.284], {name: 'Location B'});
  	 * var locationC = turf.point([-75.534, 39.123], {name: 'Location C'});
  	 *
  	 * var collection = turf.featureCollection([
  	 *   locationA,
  	 *   locationB,
  	 *   locationC
  	 * ]);
  	 *
  	 * //=collection
  	 */
  	function featureCollection(features, options) {
  	    if (options === void 0) { options = {}; }
  	    var fc = { type: "FeatureCollection" };
  	    if (options.id) {
  	        fc.id = options.id;
  	    }
  	    if (options.bbox) {
  	        fc.bbox = options.bbox;
  	    }
  	    fc.features = features;
  	    return fc;
  	}
  	exports.featureCollection = featureCollection;
  	/**
  	 * Creates a {@link Feature<MultiLineString>} based on a
  	 * coordinate array. Properties can be added optionally.
  	 *
  	 * @name multiLineString
  	 * @param {Array<Array<Array<number>>>} coordinates an array of LineStrings
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<MultiLineString>} a MultiLineString feature
  	 * @throws {Error} if no coordinates are passed
  	 * @example
  	 * var multiLine = turf.multiLineString([[[0,0],[10,10]]]);
  	 *
  	 * //=multiLine
  	 */
  	function multiLineString(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    var geom = {
  	        type: "MultiLineString",
  	        coordinates: coordinates,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.multiLineString = multiLineString;
  	/**
  	 * Creates a {@link Feature<MultiPoint>} based on a
  	 * coordinate array. Properties can be added optionally.
  	 *
  	 * @name multiPoint
  	 * @param {Array<Array<number>>} coordinates an array of Positions
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<MultiPoint>} a MultiPoint feature
  	 * @throws {Error} if no coordinates are passed
  	 * @example
  	 * var multiPt = turf.multiPoint([[0,0],[10,10]]);
  	 *
  	 * //=multiPt
  	 */
  	function multiPoint(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    var geom = {
  	        type: "MultiPoint",
  	        coordinates: coordinates,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.multiPoint = multiPoint;
  	/**
  	 * Creates a {@link Feature<MultiPolygon>} based on a
  	 * coordinate array. Properties can be added optionally.
  	 *
  	 * @name multiPolygon
  	 * @param {Array<Array<Array<Array<number>>>>} coordinates an array of Polygons
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<MultiPolygon>} a multipolygon feature
  	 * @throws {Error} if no coordinates are passed
  	 * @example
  	 * var multiPoly = turf.multiPolygon([[[[0,0],[0,10],[10,10],[10,0],[0,0]]]]);
  	 *
  	 * //=multiPoly
  	 *
  	 */
  	function multiPolygon(coordinates, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    var geom = {
  	        type: "MultiPolygon",
  	        coordinates: coordinates,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.multiPolygon = multiPolygon;
  	/**
  	 * Creates a {@link Feature<GeometryCollection>} based on a
  	 * coordinate array. Properties can be added optionally.
  	 *
  	 * @name geometryCollection
  	 * @param {Array<Geometry>} geometries an array of GeoJSON Geometries
  	 * @param {Object} [properties={}] an Object of key-value pairs to add as properties
  	 * @param {Object} [options={}] Optional Parameters
  	 * @param {Array<number>} [options.bbox] Bounding Box Array [west, south, east, north] associated with the Feature
  	 * @param {string|number} [options.id] Identifier associated with the Feature
  	 * @returns {Feature<GeometryCollection>} a GeoJSON GeometryCollection Feature
  	 * @example
  	 * var pt = turf.geometry("Point", [100, 0]);
  	 * var line = turf.geometry("LineString", [[101, 0], [102, 1]]);
  	 * var collection = turf.geometryCollection([pt, line]);
  	 *
  	 * // => collection
  	 */
  	function geometryCollection(geometries, properties, options) {
  	    if (options === void 0) { options = {}; }
  	    var geom = {
  	        type: "GeometryCollection",
  	        geometries: geometries,
  	    };
  	    return feature(geom, properties, options);
  	}
  	exports.geometryCollection = geometryCollection;
  	/**
  	 * Round number to precision
  	 *
  	 * @param {number} num Number
  	 * @param {number} [precision=0] Precision
  	 * @returns {number} rounded number
  	 * @example
  	 * turf.round(120.4321)
  	 * //=120
  	 *
  	 * turf.round(120.4321, 2)
  	 * //=120.43
  	 */
  	function round(num, precision) {
  	    if (precision === void 0) { precision = 0; }
  	    if (precision && !(precision >= 0)) {
  	        throw new Error("precision must be a positive number");
  	    }
  	    var multiplier = Math.pow(10, precision || 0);
  	    return Math.round(num * multiplier) / multiplier;
  	}
  	exports.round = round;
  	/**
  	 * Convert a distance measurement (assuming a spherical Earth) from radians to a more friendly unit.
  	 * Valid units: miles, nauticalmiles, inches, yards, meters, metres, kilometers, centimeters, feet
  	 *
  	 * @name radiansToLength
  	 * @param {number} radians in radians across the sphere
  	 * @param {string} [units="kilometers"] can be degrees, radians, miles, inches, yards, metres,
  	 * meters, kilometres, kilometers.
  	 * @returns {number} distance
  	 */
  	function radiansToLength(radians, units) {
  	    if (units === void 0) { units = "kilometers"; }
  	    var factor = exports.factors[units];
  	    if (!factor) {
  	        throw new Error(units + " units is invalid");
  	    }
  	    return radians * factor;
  	}
  	exports.radiansToLength = radiansToLength;
  	/**
  	 * Convert a distance measurement (assuming a spherical Earth) from a real-world unit into radians
  	 * Valid units: miles, nauticalmiles, inches, yards, meters, metres, kilometers, centimeters, feet
  	 *
  	 * @name lengthToRadians
  	 * @param {number} distance in real units
  	 * @param {string} [units="kilometers"] can be degrees, radians, miles, inches, yards, metres,
  	 * meters, kilometres, kilometers.
  	 * @returns {number} radians
  	 */
  	function lengthToRadians(distance, units) {
  	    if (units === void 0) { units = "kilometers"; }
  	    var factor = exports.factors[units];
  	    if (!factor) {
  	        throw new Error(units + " units is invalid");
  	    }
  	    return distance / factor;
  	}
  	exports.lengthToRadians = lengthToRadians;
  	/**
  	 * Convert a distance measurement (assuming a spherical Earth) from a real-world unit into degrees
  	 * Valid units: miles, nauticalmiles, inches, yards, meters, metres, centimeters, kilometres, feet
  	 *
  	 * @name lengthToDegrees
  	 * @param {number} distance in real units
  	 * @param {string} [units="kilometers"] can be degrees, radians, miles, inches, yards, metres,
  	 * meters, kilometres, kilometers.
  	 * @returns {number} degrees
  	 */
  	function lengthToDegrees(distance, units) {
  	    return radiansToDegrees(lengthToRadians(distance, units));
  	}
  	exports.lengthToDegrees = lengthToDegrees;
  	/**
  	 * Converts any bearing angle from the north line direction (positive clockwise)
  	 * and returns an angle between 0-360 degrees (positive clockwise), 0 being the north line
  	 *
  	 * @name bearingToAzimuth
  	 * @param {number} bearing angle, between -180 and +180 degrees
  	 * @returns {number} angle between 0 and 360 degrees
  	 */
  	function bearingToAzimuth(bearing) {
  	    var angle = bearing % 360;
  	    if (angle < 0) {
  	        angle += 360;
  	    }
  	    return angle;
  	}
  	exports.bearingToAzimuth = bearingToAzimuth;
  	/**
  	 * Converts an angle in radians to degrees
  	 *
  	 * @name radiansToDegrees
  	 * @param {number} radians angle in radians
  	 * @returns {number} degrees between 0 and 360 degrees
  	 */
  	function radiansToDegrees(radians) {
  	    var degrees = radians % (2 * Math.PI);
  	    return (degrees * 180) / Math.PI;
  	}
  	exports.radiansToDegrees = radiansToDegrees;
  	/**
  	 * Converts an angle in degrees to radians
  	 *
  	 * @name degreesToRadians
  	 * @param {number} degrees angle between 0 and 360 degrees
  	 * @returns {number} angle in radians
  	 */
  	function degreesToRadians(degrees) {
  	    var radians = degrees % 360;
  	    return (radians * Math.PI) / 180;
  	}
  	exports.degreesToRadians = degreesToRadians;
  	/**
  	 * Converts a length to the requested unit.
  	 * Valid units: miles, nauticalmiles, inches, yards, meters, metres, kilometers, centimeters, feet
  	 *
  	 * @param {number} length to be converted
  	 * @param {Units} [originalUnit="kilometers"] of the length
  	 * @param {Units} [finalUnit="kilometers"] returned unit
  	 * @returns {number} the converted length
  	 */
  	function convertLength(length, originalUnit, finalUnit) {
  	    if (originalUnit === void 0) { originalUnit = "kilometers"; }
  	    if (finalUnit === void 0) { finalUnit = "kilometers"; }
  	    if (!(length >= 0)) {
  	        throw new Error("length must be a positive number");
  	    }
  	    return radiansToLength(lengthToRadians(length, originalUnit), finalUnit);
  	}
  	exports.convertLength = convertLength;
  	/**
  	 * Converts a area to the requested unit.
  	 * Valid units: kilometers, kilometres, meters, metres, centimetres, millimeters, acres, miles, yards, feet, inches, hectares
  	 * @param {number} area to be converted
  	 * @param {Units} [originalUnit="meters"] of the distance
  	 * @param {Units} [finalUnit="kilometers"] returned unit
  	 * @returns {number} the converted area
  	 */
  	function convertArea(area, originalUnit, finalUnit) {
  	    if (originalUnit === void 0) { originalUnit = "meters"; }
  	    if (finalUnit === void 0) { finalUnit = "kilometers"; }
  	    if (!(area >= 0)) {
  	        throw new Error("area must be a positive number");
  	    }
  	    var startFactor = exports.areaFactors[originalUnit];
  	    if (!startFactor) {
  	        throw new Error("invalid original units");
  	    }
  	    var finalFactor = exports.areaFactors[finalUnit];
  	    if (!finalFactor) {
  	        throw new Error("invalid final units");
  	    }
  	    return (area / startFactor) * finalFactor;
  	}
  	exports.convertArea = convertArea;
  	/**
  	 * isNumber
  	 *
  	 * @param {*} num Number to validate
  	 * @returns {boolean} true/false
  	 * @example
  	 * turf.isNumber(123)
  	 * //=true
  	 * turf.isNumber('foo')
  	 * //=false
  	 */
  	function isNumber(num) {
  	    return !isNaN(num) && num !== null && !Array.isArray(num);
  	}
  	exports.isNumber = isNumber;
  	/**
  	 * isObject
  	 *
  	 * @param {*} input variable to validate
  	 * @returns {boolean} true/false
  	 * @example
  	 * turf.isObject({elevation: 10})
  	 * //=true
  	 * turf.isObject('foo')
  	 * //=false
  	 */
  	function isObject(input) {
  	    return !!input && input.constructor === Object;
  	}
  	exports.isObject = isObject;
  	/**
  	 * Validate BBox
  	 *
  	 * @private
  	 * @param {Array<number>} bbox BBox to validate
  	 * @returns {void}
  	 * @throws Error if BBox is not valid
  	 * @example
  	 * validateBBox([-180, -40, 110, 50])
  	 * //=OK
  	 * validateBBox([-180, -40])
  	 * //=Error
  	 * validateBBox('Foo')
  	 * //=Error
  	 * validateBBox(5)
  	 * //=Error
  	 * validateBBox(null)
  	 * //=Error
  	 * validateBBox(undefined)
  	 * //=Error
  	 */
  	function validateBBox(bbox) {
  	    if (!bbox) {
  	        throw new Error("bbox is required");
  	    }
  	    if (!Array.isArray(bbox)) {
  	        throw new Error("bbox must be an Array");
  	    }
  	    if (bbox.length !== 4 && bbox.length !== 6) {
  	        throw new Error("bbox must be an Array of 4 or 6 numbers");
  	    }
  	    bbox.forEach(function (num) {
  	        if (!isNumber(num)) {
  	            throw new Error("bbox must only contain numbers");
  	        }
  	    });
  	}
  	exports.validateBBox = validateBBox;
  	/**
  	 * Validate Id
  	 *
  	 * @private
  	 * @param {string|number} id Id to validate
  	 * @returns {void}
  	 * @throws Error if Id is not valid
  	 * @example
  	 * validateId([-180, -40, 110, 50])
  	 * //=Error
  	 * validateId([-180, -40])
  	 * //=Error
  	 * validateId('Foo')
  	 * //=OK
  	 * validateId(5)
  	 * //=OK
  	 * validateId(null)
  	 * //=Error
  	 * validateId(undefined)
  	 * //=Error
  	 */
  	function validateId(id) {
  	    if (!id) {
  	        throw new Error("id is required");
  	    }
  	    if (["string", "number"].indexOf(typeof id) === -1) {
  	        throw new Error("id must be a number or a string");
  	    }
  	}
  	exports.validateId = validateId;
  } (js$2));

  var js$1 = {};

  Object.defineProperty(js$1, '__esModule', { value: true });

  var helpers$1 = js$2;

  /**
   * Callback for coordEach
   *
   * @callback coordEachCallback
   * @param {Array<number>} currentCoord The current coordinate being processed.
   * @param {number} coordIndex The current index of the coordinate being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   * @param {number} geometryIndex The current index of the Geometry being processed.
   */

  /**
   * Iterate over coordinates in any GeoJSON object, similar to Array.forEach()
   *
   * @name coordEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentCoord, coordIndex, featureIndex, multiFeatureIndex)
   * @param {boolean} [excludeWrapCoord=false] whether or not to include the final coordinate of LinearRings that wraps the ring in its iteration.
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {"foo": "bar"}),
   *   turf.point([36, 53], {"hello": "world"})
   * ]);
   *
   * turf.coordEach(features, function (currentCoord, coordIndex, featureIndex, multiFeatureIndex, geometryIndex) {
   *   //=currentCoord
   *   //=coordIndex
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   //=geometryIndex
   * });
   */
  function coordEach(geojson, callback, excludeWrapCoord) {
    // Handles null Geometry -- Skips this GeoJSON
    if (geojson === null) return;
    var j,
      k,
      l,
      geometry,
      stopG,
      coords,
      geometryMaybeCollection,
      wrapShrink = 0,
      coordIndex = 0,
      isGeometryCollection,
      type = geojson.type,
      isFeatureCollection = type === "FeatureCollection",
      isFeature = type === "Feature",
      stop = isFeatureCollection ? geojson.features.length : 1;

    // This logic may look a little weird. The reason why it is that way
    // is because it's trying to be fast. GeoJSON supports multiple kinds
    // of objects at its root: FeatureCollection, Features, Geometries.
    // This function has the responsibility of handling all of them, and that
    // means that some of the `for` loops you see below actually just don't apply
    // to certain inputs. For instance, if you give this just a
    // Point geometry, then both loops are short-circuited and all we do
    // is gradually rename the input until it's called 'geometry'.
    //
    // This also aims to allocate as few resources as possible: just a
    // few numbers and booleans, rather than any temporary arrays as would
    // be required with the normalization approach.
    for (var featureIndex = 0; featureIndex < stop; featureIndex++) {
      geometryMaybeCollection = isFeatureCollection
        ? geojson.features[featureIndex].geometry
        : isFeature
        ? geojson.geometry
        : geojson;
      isGeometryCollection = geometryMaybeCollection
        ? geometryMaybeCollection.type === "GeometryCollection"
        : false;
      stopG = isGeometryCollection
        ? geometryMaybeCollection.geometries.length
        : 1;

      for (var geomIndex = 0; geomIndex < stopG; geomIndex++) {
        var multiFeatureIndex = 0;
        var geometryIndex = 0;
        geometry = isGeometryCollection
          ? geometryMaybeCollection.geometries[geomIndex]
          : geometryMaybeCollection;

        // Handles null Geometry -- Skips this geometry
        if (geometry === null) continue;
        coords = geometry.coordinates;
        var geomType = geometry.type;

        wrapShrink =
          excludeWrapCoord &&
          (geomType === "Polygon" || geomType === "MultiPolygon")
            ? 1
            : 0;

        switch (geomType) {
          case null:
            break;
          case "Point":
            if (
              callback(
                coords,
                coordIndex,
                featureIndex,
                multiFeatureIndex,
                geometryIndex
              ) === false
            )
              return false;
            coordIndex++;
            multiFeatureIndex++;
            break;
          case "LineString":
          case "MultiPoint":
            for (j = 0; j < coords.length; j++) {
              if (
                callback(
                  coords[j],
                  coordIndex,
                  featureIndex,
                  multiFeatureIndex,
                  geometryIndex
                ) === false
              )
                return false;
              coordIndex++;
              if (geomType === "MultiPoint") multiFeatureIndex++;
            }
            if (geomType === "LineString") multiFeatureIndex++;
            break;
          case "Polygon":
          case "MultiLineString":
            for (j = 0; j < coords.length; j++) {
              for (k = 0; k < coords[j].length - wrapShrink; k++) {
                if (
                  callback(
                    coords[j][k],
                    coordIndex,
                    featureIndex,
                    multiFeatureIndex,
                    geometryIndex
                  ) === false
                )
                  return false;
                coordIndex++;
              }
              if (geomType === "MultiLineString") multiFeatureIndex++;
              if (geomType === "Polygon") geometryIndex++;
            }
            if (geomType === "Polygon") multiFeatureIndex++;
            break;
          case "MultiPolygon":
            for (j = 0; j < coords.length; j++) {
              geometryIndex = 0;
              for (k = 0; k < coords[j].length; k++) {
                for (l = 0; l < coords[j][k].length - wrapShrink; l++) {
                  if (
                    callback(
                      coords[j][k][l],
                      coordIndex,
                      featureIndex,
                      multiFeatureIndex,
                      geometryIndex
                    ) === false
                  )
                    return false;
                  coordIndex++;
                }
                geometryIndex++;
              }
              multiFeatureIndex++;
            }
            break;
          case "GeometryCollection":
            for (j = 0; j < geometry.geometries.length; j++)
              if (
                coordEach(geometry.geometries[j], callback, excludeWrapCoord) ===
                false
              )
                return false;
            break;
          default:
            throw new Error("Unknown Geometry Type");
        }
      }
    }
  }

  /**
   * Callback for coordReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback coordReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {Array<number>} currentCoord The current coordinate being processed.
   * @param {number} coordIndex The current index of the coordinate being processed.
   * Starts at index 0, if an initialValue is provided, and at index 1 otherwise.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   * @param {number} geometryIndex The current index of the Geometry being processed.
   */

  /**
   * Reduce coordinates in any GeoJSON object, similar to Array.reduce()
   *
   * @name coordReduce
   * @param {FeatureCollection|Geometry|Feature} geojson any GeoJSON object
   * @param {Function} callback a method that takes (previousValue, currentCoord, coordIndex)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @param {boolean} [excludeWrapCoord=false] whether or not to include the final coordinate of LinearRings that wraps the ring in its iteration.
   * @returns {*} The value that results from the reduction.
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {"foo": "bar"}),
   *   turf.point([36, 53], {"hello": "world"})
   * ]);
   *
   * turf.coordReduce(features, function (previousValue, currentCoord, coordIndex, featureIndex, multiFeatureIndex, geometryIndex) {
   *   //=previousValue
   *   //=currentCoord
   *   //=coordIndex
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   //=geometryIndex
   *   return currentCoord;
   * });
   */
  function coordReduce(geojson, callback, initialValue, excludeWrapCoord) {
    var previousValue = initialValue;
    coordEach(
      geojson,
      function (
        currentCoord,
        coordIndex,
        featureIndex,
        multiFeatureIndex,
        geometryIndex
      ) {
        if (coordIndex === 0 && initialValue === undefined)
          previousValue = currentCoord;
        else
          previousValue = callback(
            previousValue,
            currentCoord,
            coordIndex,
            featureIndex,
            multiFeatureIndex,
            geometryIndex
          );
      },
      excludeWrapCoord
    );
    return previousValue;
  }

  /**
   * Callback for propEach
   *
   * @callback propEachCallback
   * @param {Object} currentProperties The current Properties being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   */

  /**
   * Iterate over properties in any GeoJSON object, similar to Array.forEach()
   *
   * @name propEach
   * @param {FeatureCollection|Feature} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentProperties, featureIndex)
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.propEach(features, function (currentProperties, featureIndex) {
   *   //=currentProperties
   *   //=featureIndex
   * });
   */
  function propEach(geojson, callback) {
    var i;
    switch (geojson.type) {
      case "FeatureCollection":
        for (i = 0; i < geojson.features.length; i++) {
          if (callback(geojson.features[i].properties, i) === false) break;
        }
        break;
      case "Feature":
        callback(geojson.properties, 0);
        break;
    }
  }

  /**
   * Callback for propReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback propReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {*} currentProperties The current Properties being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   */

  /**
   * Reduce properties in any GeoJSON object into a single value,
   * similar to how Array.reduce works. However, in this case we lazily run
   * the reduction, so an array of all properties is unnecessary.
   *
   * @name propReduce
   * @param {FeatureCollection|Feature} geojson any GeoJSON object
   * @param {Function} callback a method that takes (previousValue, currentProperties, featureIndex)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @returns {*} The value that results from the reduction.
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.propReduce(features, function (previousValue, currentProperties, featureIndex) {
   *   //=previousValue
   *   //=currentProperties
   *   //=featureIndex
   *   return currentProperties
   * });
   */
  function propReduce(geojson, callback, initialValue) {
    var previousValue = initialValue;
    propEach(geojson, function (currentProperties, featureIndex) {
      if (featureIndex === 0 && initialValue === undefined)
        previousValue = currentProperties;
      else
        previousValue = callback(previousValue, currentProperties, featureIndex);
    });
    return previousValue;
  }

  /**
   * Callback for featureEach
   *
   * @callback featureEachCallback
   * @param {Feature<any>} currentFeature The current Feature being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   */

  /**
   * Iterate over features in any GeoJSON object, similar to
   * Array.forEach.
   *
   * @name featureEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentFeature, featureIndex)
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {foo: 'bar'}),
   *   turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.featureEach(features, function (currentFeature, featureIndex) {
   *   //=currentFeature
   *   //=featureIndex
   * });
   */
  function featureEach$1(geojson, callback) {
    if (geojson.type === "Feature") {
      callback(geojson, 0);
    } else if (geojson.type === "FeatureCollection") {
      for (var i = 0; i < geojson.features.length; i++) {
        if (callback(geojson.features[i], i) === false) break;
      }
    }
  }

  /**
   * Callback for featureReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback featureReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {Feature} currentFeature The current Feature being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   */

  /**
   * Reduce features in any GeoJSON object, similar to Array.reduce().
   *
   * @name featureReduce
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (previousValue, currentFeature, featureIndex)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @returns {*} The value that results from the reduction.
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {"foo": "bar"}),
   *   turf.point([36, 53], {"hello": "world"})
   * ]);
   *
   * turf.featureReduce(features, function (previousValue, currentFeature, featureIndex) {
   *   //=previousValue
   *   //=currentFeature
   *   //=featureIndex
   *   return currentFeature
   * });
   */
  function featureReduce(geojson, callback, initialValue) {
    var previousValue = initialValue;
    featureEach$1(geojson, function (currentFeature, featureIndex) {
      if (featureIndex === 0 && initialValue === undefined)
        previousValue = currentFeature;
      else previousValue = callback(previousValue, currentFeature, featureIndex);
    });
    return previousValue;
  }

  /**
   * Get all coordinates from any GeoJSON object.
   *
   * @name coordAll
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @returns {Array<Array<number>>} coordinate position array
   * @example
   * var features = turf.featureCollection([
   *   turf.point([26, 37], {foo: 'bar'}),
   *   turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * var coords = turf.coordAll(features);
   * //= [[26, 37], [36, 53]]
   */
  function coordAll(geojson) {
    var coords = [];
    coordEach(geojson, function (coord) {
      coords.push(coord);
    });
    return coords;
  }

  /**
   * Callback for geomEach
   *
   * @callback geomEachCallback
   * @param {Geometry} currentGeometry The current Geometry being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {Object} featureProperties The current Feature Properties being processed.
   * @param {Array<number>} featureBBox The current Feature BBox being processed.
   * @param {number|string} featureId The current Feature Id being processed.
   */

  /**
   * Iterate over each geometry in any GeoJSON object, similar to Array.forEach()
   *
   * @name geomEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentGeometry, featureIndex, featureProperties, featureBBox, featureId)
   * @returns {void}
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.geomEach(features, function (currentGeometry, featureIndex, featureProperties, featureBBox, featureId) {
   *   //=currentGeometry
   *   //=featureIndex
   *   //=featureProperties
   *   //=featureBBox
   *   //=featureId
   * });
   */
  function geomEach(geojson, callback) {
    var i,
      j,
      g,
      geometry,
      stopG,
      geometryMaybeCollection,
      isGeometryCollection,
      featureProperties,
      featureBBox,
      featureId,
      featureIndex = 0,
      isFeatureCollection = geojson.type === "FeatureCollection",
      isFeature = geojson.type === "Feature",
      stop = isFeatureCollection ? geojson.features.length : 1;

    // This logic may look a little weird. The reason why it is that way
    // is because it's trying to be fast. GeoJSON supports multiple kinds
    // of objects at its root: FeatureCollection, Features, Geometries.
    // This function has the responsibility of handling all of them, and that
    // means that some of the `for` loops you see below actually just don't apply
    // to certain inputs. For instance, if you give this just a
    // Point geometry, then both loops are short-circuited and all we do
    // is gradually rename the input until it's called 'geometry'.
    //
    // This also aims to allocate as few resources as possible: just a
    // few numbers and booleans, rather than any temporary arrays as would
    // be required with the normalization approach.
    for (i = 0; i < stop; i++) {
      geometryMaybeCollection = isFeatureCollection
        ? geojson.features[i].geometry
        : isFeature
        ? geojson.geometry
        : geojson;
      featureProperties = isFeatureCollection
        ? geojson.features[i].properties
        : isFeature
        ? geojson.properties
        : {};
      featureBBox = isFeatureCollection
        ? geojson.features[i].bbox
        : isFeature
        ? geojson.bbox
        : undefined;
      featureId = isFeatureCollection
        ? geojson.features[i].id
        : isFeature
        ? geojson.id
        : undefined;
      isGeometryCollection = geometryMaybeCollection
        ? geometryMaybeCollection.type === "GeometryCollection"
        : false;
      stopG = isGeometryCollection
        ? geometryMaybeCollection.geometries.length
        : 1;

      for (g = 0; g < stopG; g++) {
        geometry = isGeometryCollection
          ? geometryMaybeCollection.geometries[g]
          : geometryMaybeCollection;

        // Handle null Geometry
        if (geometry === null) {
          if (
            callback(
              null,
              featureIndex,
              featureProperties,
              featureBBox,
              featureId
            ) === false
          )
            return false;
          continue;
        }
        switch (geometry.type) {
          case "Point":
          case "LineString":
          case "MultiPoint":
          case "Polygon":
          case "MultiLineString":
          case "MultiPolygon": {
            if (
              callback(
                geometry,
                featureIndex,
                featureProperties,
                featureBBox,
                featureId
              ) === false
            )
              return false;
            break;
          }
          case "GeometryCollection": {
            for (j = 0; j < geometry.geometries.length; j++) {
              if (
                callback(
                  geometry.geometries[j],
                  featureIndex,
                  featureProperties,
                  featureBBox,
                  featureId
                ) === false
              )
                return false;
            }
            break;
          }
          default:
            throw new Error("Unknown Geometry Type");
        }
      }
      // Only increase `featureIndex` per each feature
      featureIndex++;
    }
  }

  /**
   * Callback for geomReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback geomReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {Geometry} currentGeometry The current Geometry being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {Object} featureProperties The current Feature Properties being processed.
   * @param {Array<number>} featureBBox The current Feature BBox being processed.
   * @param {number|string} featureId The current Feature Id being processed.
   */

  /**
   * Reduce geometry in any GeoJSON object, similar to Array.reduce().
   *
   * @name geomReduce
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (previousValue, currentGeometry, featureIndex, featureProperties, featureBBox, featureId)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @returns {*} The value that results from the reduction.
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.point([36, 53], {hello: 'world'})
   * ]);
   *
   * turf.geomReduce(features, function (previousValue, currentGeometry, featureIndex, featureProperties, featureBBox, featureId) {
   *   //=previousValue
   *   //=currentGeometry
   *   //=featureIndex
   *   //=featureProperties
   *   //=featureBBox
   *   //=featureId
   *   return currentGeometry
   * });
   */
  function geomReduce(geojson, callback, initialValue) {
    var previousValue = initialValue;
    geomEach(
      geojson,
      function (
        currentGeometry,
        featureIndex,
        featureProperties,
        featureBBox,
        featureId
      ) {
        if (featureIndex === 0 && initialValue === undefined)
          previousValue = currentGeometry;
        else
          previousValue = callback(
            previousValue,
            currentGeometry,
            featureIndex,
            featureProperties,
            featureBBox,
            featureId
          );
      }
    );
    return previousValue;
  }

  /**
   * Callback for flattenEach
   *
   * @callback flattenEachCallback
   * @param {Feature} currentFeature The current flattened feature being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   */

  /**
   * Iterate over flattened features in any GeoJSON object, similar to
   * Array.forEach.
   *
   * @name flattenEach
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (currentFeature, featureIndex, multiFeatureIndex)
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.multiPoint([[40, 30], [36, 53]], {hello: 'world'})
   * ]);
   *
   * turf.flattenEach(features, function (currentFeature, featureIndex, multiFeatureIndex) {
   *   //=currentFeature
   *   //=featureIndex
   *   //=multiFeatureIndex
   * });
   */
  function flattenEach(geojson, callback) {
    geomEach(geojson, function (geometry, featureIndex, properties, bbox, id) {
      // Callback for single geometry
      var type = geometry === null ? null : geometry.type;
      switch (type) {
        case null:
        case "Point":
        case "LineString":
        case "Polygon":
          if (
            callback(
              helpers$1.feature(geometry, properties, { bbox: bbox, id: id }),
              featureIndex,
              0
            ) === false
          )
            return false;
          return;
      }

      var geomType;

      // Callback for multi-geometry
      switch (type) {
        case "MultiPoint":
          geomType = "Point";
          break;
        case "MultiLineString":
          geomType = "LineString";
          break;
        case "MultiPolygon":
          geomType = "Polygon";
          break;
      }

      for (
        var multiFeatureIndex = 0;
        multiFeatureIndex < geometry.coordinates.length;
        multiFeatureIndex++
      ) {
        var coordinate = geometry.coordinates[multiFeatureIndex];
        var geom = {
          type: geomType,
          coordinates: coordinate,
        };
        if (
          callback(helpers$1.feature(geom, properties), featureIndex, multiFeatureIndex) ===
          false
        )
          return false;
      }
    });
  }

  /**
   * Callback for flattenReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback flattenReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {Feature} currentFeature The current Feature being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   */

  /**
   * Reduce flattened features in any GeoJSON object, similar to Array.reduce().
   *
   * @name flattenReduce
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON object
   * @param {Function} callback a method that takes (previousValue, currentFeature, featureIndex, multiFeatureIndex)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @returns {*} The value that results from the reduction.
   * @example
   * var features = turf.featureCollection([
   *     turf.point([26, 37], {foo: 'bar'}),
   *     turf.multiPoint([[40, 30], [36, 53]], {hello: 'world'})
   * ]);
   *
   * turf.flattenReduce(features, function (previousValue, currentFeature, featureIndex, multiFeatureIndex) {
   *   //=previousValue
   *   //=currentFeature
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   return currentFeature
   * });
   */
  function flattenReduce(geojson, callback, initialValue) {
    var previousValue = initialValue;
    flattenEach(
      geojson,
      function (currentFeature, featureIndex, multiFeatureIndex) {
        if (
          featureIndex === 0 &&
          multiFeatureIndex === 0 &&
          initialValue === undefined
        )
          previousValue = currentFeature;
        else
          previousValue = callback(
            previousValue,
            currentFeature,
            featureIndex,
            multiFeatureIndex
          );
      }
    );
    return previousValue;
  }

  /**
   * Callback for segmentEach
   *
   * @callback segmentEachCallback
   * @param {Feature<LineString>} currentSegment The current Segment being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   * @param {number} geometryIndex The current index of the Geometry being processed.
   * @param {number} segmentIndex The current index of the Segment being processed.
   * @returns {void}
   */

  /**
   * Iterate over 2-vertex line segment in any GeoJSON object, similar to Array.forEach()
   * (Multi)Point geometries do not contain segments therefore they are ignored during this operation.
   *
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON
   * @param {Function} callback a method that takes (currentSegment, featureIndex, multiFeatureIndex, geometryIndex, segmentIndex)
   * @returns {void}
   * @example
   * var polygon = turf.polygon([[[-50, 5], [-40, -10], [-50, -10], [-40, 5], [-50, 5]]]);
   *
   * // Iterate over GeoJSON by 2-vertex segments
   * turf.segmentEach(polygon, function (currentSegment, featureIndex, multiFeatureIndex, geometryIndex, segmentIndex) {
   *   //=currentSegment
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   //=geometryIndex
   *   //=segmentIndex
   * });
   *
   * // Calculate the total number of segments
   * var total = 0;
   * turf.segmentEach(polygon, function () {
   *     total++;
   * });
   */
  function segmentEach(geojson, callback) {
    flattenEach(geojson, function (feature, featureIndex, multiFeatureIndex) {
      var segmentIndex = 0;

      // Exclude null Geometries
      if (!feature.geometry) return;
      // (Multi)Point geometries do not contain segments therefore they are ignored during this operation.
      var type = feature.geometry.type;
      if (type === "Point" || type === "MultiPoint") return;

      // Generate 2-vertex line segments
      var previousCoords;
      var previousFeatureIndex = 0;
      var previousMultiIndex = 0;
      var prevGeomIndex = 0;
      if (
        coordEach(
          feature,
          function (
            currentCoord,
            coordIndex,
            featureIndexCoord,
            multiPartIndexCoord,
            geometryIndex
          ) {
            // Simulating a meta.coordReduce() since `reduce` operations cannot be stopped by returning `false`
            if (
              previousCoords === undefined ||
              featureIndex > previousFeatureIndex ||
              multiPartIndexCoord > previousMultiIndex ||
              geometryIndex > prevGeomIndex
            ) {
              previousCoords = currentCoord;
              previousFeatureIndex = featureIndex;
              previousMultiIndex = multiPartIndexCoord;
              prevGeomIndex = geometryIndex;
              segmentIndex = 0;
              return;
            }
            var currentSegment = helpers$1.lineString(
              [previousCoords, currentCoord],
              feature.properties
            );
            if (
              callback(
                currentSegment,
                featureIndex,
                multiFeatureIndex,
                geometryIndex,
                segmentIndex
              ) === false
            )
              return false;
            segmentIndex++;
            previousCoords = currentCoord;
          }
        ) === false
      )
        return false;
    });
  }

  /**
   * Callback for segmentReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback segmentReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {Feature<LineString>} currentSegment The current Segment being processed.
   * @param {number} featureIndex The current index of the Feature being processed.
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed.
   * @param {number} geometryIndex The current index of the Geometry being processed.
   * @param {number} segmentIndex The current index of the Segment being processed.
   */

  /**
   * Reduce 2-vertex line segment in any GeoJSON object, similar to Array.reduce()
   * (Multi)Point geometries do not contain segments therefore they are ignored during this operation.
   *
   * @param {FeatureCollection|Feature|Geometry} geojson any GeoJSON
   * @param {Function} callback a method that takes (previousValue, currentSegment, currentIndex)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @returns {void}
   * @example
   * var polygon = turf.polygon([[[-50, 5], [-40, -10], [-50, -10], [-40, 5], [-50, 5]]]);
   *
   * // Iterate over GeoJSON by 2-vertex segments
   * turf.segmentReduce(polygon, function (previousSegment, currentSegment, featureIndex, multiFeatureIndex, geometryIndex, segmentIndex) {
   *   //= previousSegment
   *   //= currentSegment
   *   //= featureIndex
   *   //= multiFeatureIndex
   *   //= geometryIndex
   *   //= segmentIndex
   *   return currentSegment
   * });
   *
   * // Calculate the total number of segments
   * var initialValue = 0
   * var total = turf.segmentReduce(polygon, function (previousValue) {
   *     previousValue++;
   *     return previousValue;
   * }, initialValue);
   */
  function segmentReduce(geojson, callback, initialValue) {
    var previousValue = initialValue;
    var started = false;
    segmentEach(
      geojson,
      function (
        currentSegment,
        featureIndex,
        multiFeatureIndex,
        geometryIndex,
        segmentIndex
      ) {
        if (started === false && initialValue === undefined)
          previousValue = currentSegment;
        else
          previousValue = callback(
            previousValue,
            currentSegment,
            featureIndex,
            multiFeatureIndex,
            geometryIndex,
            segmentIndex
          );
        started = true;
      }
    );
    return previousValue;
  }

  /**
   * Callback for lineEach
   *
   * @callback lineEachCallback
   * @param {Feature<LineString>} currentLine The current LineString|LinearRing being processed
   * @param {number} featureIndex The current index of the Feature being processed
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed
   * @param {number} geometryIndex The current index of the Geometry being processed
   */

  /**
   * Iterate over line or ring coordinates in LineString, Polygon, MultiLineString, MultiPolygon Features or Geometries,
   * similar to Array.forEach.
   *
   * @name lineEach
   * @param {Geometry|Feature<LineString|Polygon|MultiLineString|MultiPolygon>} geojson object
   * @param {Function} callback a method that takes (currentLine, featureIndex, multiFeatureIndex, geometryIndex)
   * @example
   * var multiLine = turf.multiLineString([
   *   [[26, 37], [35, 45]],
   *   [[36, 53], [38, 50], [41, 55]]
   * ]);
   *
   * turf.lineEach(multiLine, function (currentLine, featureIndex, multiFeatureIndex, geometryIndex) {
   *   //=currentLine
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   //=geometryIndex
   * });
   */
  function lineEach(geojson, callback) {
    // validation
    if (!geojson) throw new Error("geojson is required");

    flattenEach(geojson, function (feature, featureIndex, multiFeatureIndex) {
      if (feature.geometry === null) return;
      var type = feature.geometry.type;
      var coords = feature.geometry.coordinates;
      switch (type) {
        case "LineString":
          if (callback(feature, featureIndex, multiFeatureIndex, 0, 0) === false)
            return false;
          break;
        case "Polygon":
          for (
            var geometryIndex = 0;
            geometryIndex < coords.length;
            geometryIndex++
          ) {
            if (
              callback(
                helpers$1.lineString(coords[geometryIndex], feature.properties),
                featureIndex,
                multiFeatureIndex,
                geometryIndex
              ) === false
            )
              return false;
          }
          break;
      }
    });
  }

  /**
   * Callback for lineReduce
   *
   * The first time the callback function is called, the values provided as arguments depend
   * on whether the reduce method has an initialValue argument.
   *
   * If an initialValue is provided to the reduce method:
   *  - The previousValue argument is initialValue.
   *  - The currentValue argument is the value of the first element present in the array.
   *
   * If an initialValue is not provided:
   *  - The previousValue argument is the value of the first element present in the array.
   *  - The currentValue argument is the value of the second element present in the array.
   *
   * @callback lineReduceCallback
   * @param {*} previousValue The accumulated value previously returned in the last invocation
   * of the callback, or initialValue, if supplied.
   * @param {Feature<LineString>} currentLine The current LineString|LinearRing being processed.
   * @param {number} featureIndex The current index of the Feature being processed
   * @param {number} multiFeatureIndex The current index of the Multi-Feature being processed
   * @param {number} geometryIndex The current index of the Geometry being processed
   */

  /**
   * Reduce features in any GeoJSON object, similar to Array.reduce().
   *
   * @name lineReduce
   * @param {Geometry|Feature<LineString|Polygon|MultiLineString|MultiPolygon>} geojson object
   * @param {Function} callback a method that takes (previousValue, currentLine, featureIndex, multiFeatureIndex, geometryIndex)
   * @param {*} [initialValue] Value to use as the first argument to the first call of the callback.
   * @returns {*} The value that results from the reduction.
   * @example
   * var multiPoly = turf.multiPolygon([
   *   turf.polygon([[[12,48],[2,41],[24,38],[12,48]], [[9,44],[13,41],[13,45],[9,44]]]),
   *   turf.polygon([[[5, 5], [0, 0], [2, 2], [4, 4], [5, 5]]])
   * ]);
   *
   * turf.lineReduce(multiPoly, function (previousValue, currentLine, featureIndex, multiFeatureIndex, geometryIndex) {
   *   //=previousValue
   *   //=currentLine
   *   //=featureIndex
   *   //=multiFeatureIndex
   *   //=geometryIndex
   *   return currentLine
   * });
   */
  function lineReduce(geojson, callback, initialValue) {
    var previousValue = initialValue;
    lineEach(
      geojson,
      function (currentLine, featureIndex, multiFeatureIndex, geometryIndex) {
        if (featureIndex === 0 && initialValue === undefined)
          previousValue = currentLine;
        else
          previousValue = callback(
            previousValue,
            currentLine,
            featureIndex,
            multiFeatureIndex,
            geometryIndex
          );
      }
    );
    return previousValue;
  }

  /**
   * Finds a particular 2-vertex LineString Segment from a GeoJSON using `@turf/meta` indexes.
   *
   * Negative indexes are permitted.
   * Point & MultiPoint will always return null.
   *
   * @param {FeatureCollection|Feature|Geometry} geojson Any GeoJSON Feature or Geometry
   * @param {Object} [options={}] Optional parameters
   * @param {number} [options.featureIndex=0] Feature Index
   * @param {number} [options.multiFeatureIndex=0] Multi-Feature Index
   * @param {number} [options.geometryIndex=0] Geometry Index
   * @param {number} [options.segmentIndex=0] Segment Index
   * @param {Object} [options.properties={}] Translate Properties to output LineString
   * @param {BBox} [options.bbox={}] Translate BBox to output LineString
   * @param {number|string} [options.id={}] Translate Id to output LineString
   * @returns {Feature<LineString>} 2-vertex GeoJSON Feature LineString
   * @example
   * var multiLine = turf.multiLineString([
   *     [[10, 10], [50, 30], [30, 40]],
   *     [[-10, -10], [-50, -30], [-30, -40]]
   * ]);
   *
   * // First Segment (defaults are 0)
   * turf.findSegment(multiLine);
   * // => Feature<LineString<[[10, 10], [50, 30]]>>
   *
   * // First Segment of 2nd Multi Feature
   * turf.findSegment(multiLine, {multiFeatureIndex: 1});
   * // => Feature<LineString<[[-10, -10], [-50, -30]]>>
   *
   * // Last Segment of Last Multi Feature
   * turf.findSegment(multiLine, {multiFeatureIndex: -1, segmentIndex: -1});
   * // => Feature<LineString<[[-50, -30], [-30, -40]]>>
   */
  function findSegment(geojson, options) {
    // Optional Parameters
    options = options || {};
    if (!helpers$1.isObject(options)) throw new Error("options is invalid");
    var featureIndex = options.featureIndex || 0;
    var multiFeatureIndex = options.multiFeatureIndex || 0;
    var geometryIndex = options.geometryIndex || 0;
    var segmentIndex = options.segmentIndex || 0;

    // Find FeatureIndex
    var properties = options.properties;
    var geometry;

    switch (geojson.type) {
      case "FeatureCollection":
        if (featureIndex < 0)
          featureIndex = geojson.features.length + featureIndex;
        properties = properties || geojson.features[featureIndex].properties;
        geometry = geojson.features[featureIndex].geometry;
        break;
      case "Feature":
        properties = properties || geojson.properties;
        geometry = geojson.geometry;
        break;
      case "Point":
      case "MultiPoint":
        return null;
      case "LineString":
      case "Polygon":
      case "MultiLineString":
      case "MultiPolygon":
        geometry = geojson;
        break;
      default:
        throw new Error("geojson is invalid");
    }

    // Find SegmentIndex
    if (geometry === null) return null;
    var coords = geometry.coordinates;
    switch (geometry.type) {
      case "Point":
      case "MultiPoint":
        return null;
      case "LineString":
        if (segmentIndex < 0) segmentIndex = coords.length + segmentIndex - 1;
        return helpers$1.lineString(
          [coords[segmentIndex], coords[segmentIndex + 1]],
          properties,
          options
        );
      case "Polygon":
        if (geometryIndex < 0) geometryIndex = coords.length + geometryIndex;
        if (segmentIndex < 0)
          segmentIndex = coords[geometryIndex].length + segmentIndex - 1;
        return helpers$1.lineString(
          [
            coords[geometryIndex][segmentIndex],
            coords[geometryIndex][segmentIndex + 1],
          ],
          properties,
          options
        );
      case "MultiLineString":
        if (multiFeatureIndex < 0)
          multiFeatureIndex = coords.length + multiFeatureIndex;
        if (segmentIndex < 0)
          segmentIndex = coords[multiFeatureIndex].length + segmentIndex - 1;
        return helpers$1.lineString(
          [
            coords[multiFeatureIndex][segmentIndex],
            coords[multiFeatureIndex][segmentIndex + 1],
          ],
          properties,
          options
        );
      case "MultiPolygon":
        if (multiFeatureIndex < 0)
          multiFeatureIndex = coords.length + multiFeatureIndex;
        if (geometryIndex < 0)
          geometryIndex = coords[multiFeatureIndex].length + geometryIndex;
        if (segmentIndex < 0)
          segmentIndex =
            coords[multiFeatureIndex][geometryIndex].length - segmentIndex - 1;
        return helpers$1.lineString(
          [
            coords[multiFeatureIndex][geometryIndex][segmentIndex],
            coords[multiFeatureIndex][geometryIndex][segmentIndex + 1],
          ],
          properties,
          options
        );
    }
    throw new Error("geojson is invalid");
  }

  /**
   * Finds a particular Point from a GeoJSON using `@turf/meta` indexes.
   *
   * Negative indexes are permitted.
   *
   * @param {FeatureCollection|Feature|Geometry} geojson Any GeoJSON Feature or Geometry
   * @param {Object} [options={}] Optional parameters
   * @param {number} [options.featureIndex=0] Feature Index
   * @param {number} [options.multiFeatureIndex=0] Multi-Feature Index
   * @param {number} [options.geometryIndex=0] Geometry Index
   * @param {number} [options.coordIndex=0] Coord Index
   * @param {Object} [options.properties={}] Translate Properties to output Point
   * @param {BBox} [options.bbox={}] Translate BBox to output Point
   * @param {number|string} [options.id={}] Translate Id to output Point
   * @returns {Feature<Point>} 2-vertex GeoJSON Feature Point
   * @example
   * var multiLine = turf.multiLineString([
   *     [[10, 10], [50, 30], [30, 40]],
   *     [[-10, -10], [-50, -30], [-30, -40]]
   * ]);
   *
   * // First Segment (defaults are 0)
   * turf.findPoint(multiLine);
   * // => Feature<Point<[10, 10]>>
   *
   * // First Segment of the 2nd Multi-Feature
   * turf.findPoint(multiLine, {multiFeatureIndex: 1});
   * // => Feature<Point<[-10, -10]>>
   *
   * // Last Segment of last Multi-Feature
   * turf.findPoint(multiLine, {multiFeatureIndex: -1, coordIndex: -1});
   * // => Feature<Point<[-30, -40]>>
   */
  function findPoint(geojson, options) {
    // Optional Parameters
    options = options || {};
    if (!helpers$1.isObject(options)) throw new Error("options is invalid");
    var featureIndex = options.featureIndex || 0;
    var multiFeatureIndex = options.multiFeatureIndex || 0;
    var geometryIndex = options.geometryIndex || 0;
    var coordIndex = options.coordIndex || 0;

    // Find FeatureIndex
    var properties = options.properties;
    var geometry;

    switch (geojson.type) {
      case "FeatureCollection":
        if (featureIndex < 0)
          featureIndex = geojson.features.length + featureIndex;
        properties = properties || geojson.features[featureIndex].properties;
        geometry = geojson.features[featureIndex].geometry;
        break;
      case "Feature":
        properties = properties || geojson.properties;
        geometry = geojson.geometry;
        break;
      case "Point":
      case "MultiPoint":
        return null;
      case "LineString":
      case "Polygon":
      case "MultiLineString":
      case "MultiPolygon":
        geometry = geojson;
        break;
      default:
        throw new Error("geojson is invalid");
    }

    // Find Coord Index
    if (geometry === null) return null;
    var coords = geometry.coordinates;
    switch (geometry.type) {
      case "Point":
        return helpers$1.point(coords, properties, options);
      case "MultiPoint":
        if (multiFeatureIndex < 0)
          multiFeatureIndex = coords.length + multiFeatureIndex;
        return helpers$1.point(coords[multiFeatureIndex], properties, options);
      case "LineString":
        if (coordIndex < 0) coordIndex = coords.length + coordIndex;
        return helpers$1.point(coords[coordIndex], properties, options);
      case "Polygon":
        if (geometryIndex < 0) geometryIndex = coords.length + geometryIndex;
        if (coordIndex < 0)
          coordIndex = coords[geometryIndex].length + coordIndex;
        return helpers$1.point(coords[geometryIndex][coordIndex], properties, options);
      case "MultiLineString":
        if (multiFeatureIndex < 0)
          multiFeatureIndex = coords.length + multiFeatureIndex;
        if (coordIndex < 0)
          coordIndex = coords[multiFeatureIndex].length + coordIndex;
        return helpers$1.point(coords[multiFeatureIndex][coordIndex], properties, options);
      case "MultiPolygon":
        if (multiFeatureIndex < 0)
          multiFeatureIndex = coords.length + multiFeatureIndex;
        if (geometryIndex < 0)
          geometryIndex = coords[multiFeatureIndex].length + geometryIndex;
        if (coordIndex < 0)
          coordIndex =
            coords[multiFeatureIndex][geometryIndex].length - coordIndex;
        return helpers$1.point(
          coords[multiFeatureIndex][geometryIndex][coordIndex],
          properties,
          options
        );
    }
    throw new Error("geojson is invalid");
  }

  js$1.coordAll = coordAll;
  js$1.coordEach = coordEach;
  js$1.coordReduce = coordReduce;
  js$1.featureEach = featureEach$1;
  js$1.featureReduce = featureReduce;
  js$1.findPoint = findPoint;
  js$1.findSegment = findSegment;
  js$1.flattenEach = flattenEach;
  js$1.flattenReduce = flattenReduce;
  js$1.geomEach = geomEach;
  js$1.geomReduce = geomReduce;
  js$1.lineEach = lineEach;
  js$1.lineReduce = lineReduce;
  js$1.propEach = propEach;
  js$1.propReduce = propReduce;
  js$1.segmentEach = segmentEach;
  js$1.segmentReduce = segmentReduce;

  var js = {};

  Object.defineProperty(js, "__esModule", { value: true });
  var meta_1 = js$1;
  /**
   * Takes a set of features, calculates the bbox of all input features, and returns a bounding box.
   *
   * @name bbox
   * @param {GeoJSON} geojson any GeoJSON object
   * @returns {BBox} bbox extent in [minX, minY, maxX, maxY] order
   * @example
   * var line = turf.lineString([[-74, 40], [-78, 42], [-82, 35]]);
   * var bbox = turf.bbox(line);
   * var bboxPolygon = turf.bboxPolygon(bbox);
   *
   * //addToMap
   * var addToMap = [line, bboxPolygon]
   */
  function bbox(geojson) {
      var result = [Infinity, Infinity, -Infinity, -Infinity];
      meta_1.coordEach(geojson, function (coord) {
          if (result[0] > coord[0]) {
              result[0] = coord[0];
          }
          if (result[1] > coord[1]) {
              result[1] = coord[1];
          }
          if (result[2] < coord[0]) {
              result[2] = coord[0];
          }
          if (result[3] < coord[1]) {
              result[3] = coord[1];
          }
      });
      return result;
  }
  bbox["default"] = bbox;
  js.default = bbox;

  var rbush = rbush_minExports;
  var helpers = js$2;
  var meta = js$1;
  var turfBBox = js.default;
  var featureEach = meta.featureEach;
  meta.coordEach;
  helpers.polygon;
  var featureCollection = helpers.featureCollection;

  /**
   * GeoJSON implementation of [RBush](https://github.com/mourner/rbush#rbush) spatial index.
   *
   * @name rbush
   * @param {number} [maxEntries=9] defines the maximum number of entries in a tree node. 9 (used by default) is a
   * reasonable choice for most applications. Higher value means faster insertion and slower search, and vice versa.
   * @returns {RBush} GeoJSON RBush
   * @example
   * var geojsonRbush = require('geojson-rbush').default;
   * var tree = geojsonRbush();
   */
  function geojsonRbush(maxEntries) {
      var tree = new rbush(maxEntries);
      /**
       * [insert](https://github.com/mourner/rbush#data-format)
       *
       * @param {Feature} feature insert single GeoJSON Feature
       * @returns {RBush} GeoJSON RBush
       * @example
       * var poly = turf.polygon([[[-78, 41], [-67, 41], [-67, 48], [-78, 48], [-78, 41]]]);
       * tree.insert(poly)
       */
      tree.insert = function (feature) {
          if (feature.type !== 'Feature') throw new Error('invalid feature');
          feature.bbox = feature.bbox ? feature.bbox : turfBBox(feature);
          return rbush.prototype.insert.call(this, feature);
      };

      /**
       * [load](https://github.com/mourner/rbush#bulk-inserting-data)
       *
       * @param {FeatureCollection|Array<Feature>} features load entire GeoJSON FeatureCollection
       * @returns {RBush} GeoJSON RBush
       * @example
       * var polys = turf.polygons([
       *     [[[-78, 41], [-67, 41], [-67, 48], [-78, 48], [-78, 41]]],
       *     [[[-93, 32], [-83, 32], [-83, 39], [-93, 39], [-93, 32]]]
       * ]);
       * tree.load(polys);
       */
      tree.load = function (features) {
          var load = [];
          // Load an Array of Features
          if (Array.isArray(features)) {
              features.forEach(function (feature) {
                  if (feature.type !== 'Feature') throw new Error('invalid features');
                  feature.bbox = feature.bbox ? feature.bbox : turfBBox(feature);
                  load.push(feature);
              });
          } else {
              // Load a FeatureCollection
              featureEach(features, function (feature) {
                  if (feature.type !== 'Feature') throw new Error('invalid features');
                  feature.bbox = feature.bbox ? feature.bbox : turfBBox(feature);
                  load.push(feature);
              });
          }
          return rbush.prototype.load.call(this, load);
      };

      /**
       * [remove](https://github.com/mourner/rbush#removing-data)
       *
       * @param {Feature} feature remove single GeoJSON Feature
       * @param {Function} equals Pass a custom equals function to compare by value for removal.
       * @returns {RBush} GeoJSON RBush
       * @example
       * var poly = turf.polygon([[[-78, 41], [-67, 41], [-67, 48], [-78, 48], [-78, 41]]]);
       *
       * tree.remove(poly);
       */
      tree.remove = function (feature, equals) {
          if (feature.type !== 'Feature') throw new Error('invalid feature');
          feature.bbox = feature.bbox ? feature.bbox : turfBBox(feature);
          return rbush.prototype.remove.call(this, feature, equals);
      };

      /**
       * [clear](https://github.com/mourner/rbush#removing-data)
       *
       * @returns {RBush} GeoJSON Rbush
       * @example
       * tree.clear()
       */
      tree.clear = function () {
          return rbush.prototype.clear.call(this);
      };

      /**
       * [search](https://github.com/mourner/rbush#search)
       *
       * @param {BBox|FeatureCollection|Feature} geojson search with GeoJSON
       * @returns {FeatureCollection} all features that intersects with the given GeoJSON.
       * @example
       * var poly = turf.polygon([[[-78, 41], [-67, 41], [-67, 48], [-78, 48], [-78, 41]]]);
       *
       * tree.search(poly);
       */
      tree.search = function (geojson) {
          var features = rbush.prototype.search.call(this, this.toBBox(geojson));
          return featureCollection(features);
      };

      /**
       * [collides](https://github.com/mourner/rbush#collisions)
       *
       * @param {BBox|FeatureCollection|Feature} geojson collides with GeoJSON
       * @returns {boolean} true if there are any items intersecting the given GeoJSON, otherwise false.
       * @example
       * var poly = turf.polygon([[[-78, 41], [-67, 41], [-67, 48], [-78, 48], [-78, 41]]]);
       *
       * tree.collides(poly);
       */
      tree.collides = function (geojson) {
          return rbush.prototype.collides.call(this, this.toBBox(geojson));
      };

      /**
       * [all](https://github.com/mourner/rbush#search)
       *
       * @returns {FeatureCollection} all the features in RBush
       * @example
       * tree.all()
       */
      tree.all = function () {
          var features = rbush.prototype.all.call(this);
          return featureCollection(features);
      };

      /**
       * [toJSON](https://github.com/mourner/rbush#export-and-import)
       *
       * @returns {any} export data as JSON object
       * @example
       * var exported = tree.toJSON()
       */
      tree.toJSON = function () {
          return rbush.prototype.toJSON.call(this);
      };

      /**
       * [fromJSON](https://github.com/mourner/rbush#export-and-import)
       *
       * @param {any} json import previously exported data
       * @returns {RBush} GeoJSON RBush
       * @example
       * var exported = {
       *   "children": [
       *     {
       *       "type": "Feature",
       *       "geometry": {
       *         "type": "Point",
       *         "coordinates": [110, 50]
       *       },
       *       "properties": {},
       *       "bbox": [110, 50, 110, 50]
       *     }
       *   ],
       *   "height": 1,
       *   "leaf": true,
       *   "minX": 110,
       *   "minY": 50,
       *   "maxX": 110,
       *   "maxY": 50
       * }
       * tree.fromJSON(exported)
       */
      tree.fromJSON = function (json) {
          return rbush.prototype.fromJSON.call(this, json);
      };

      /**
       * Converts GeoJSON to {minX, minY, maxX, maxY} schema
       *
       * @private
       * @param {BBox|FeatureCollection|Feature} geojson feature(s) to retrieve BBox from
       * @returns {Object} converted to {minX, minY, maxX, maxY}
       */
      tree.toBBox = function (geojson) {
          var bbox;
          if (geojson.bbox) bbox = geojson.bbox;
          else if (Array.isArray(geojson) && geojson.length === 4) bbox = geojson;
          else if (Array.isArray(geojson) && geojson.length === 6) bbox = [geojson[0], geojson[1], geojson[3], geojson[4]];
          else if (geojson.type === 'Feature') bbox = turfBBox(geojson);
          else if (geojson.type === 'FeatureCollection') bbox = turfBBox(geojson);
          else throw new Error('invalid geojson')

          return {
              minX: bbox[0],
              minY: bbox[1],
              maxX: bbox[2],
              maxY: bbox[3]
          };
      };
      return tree;
  }

  geojsonRbush$1.exports = geojsonRbush;
  geojsonRbushExports.default = geojsonRbush;

  /**
   * Takes any LineString or Polygon GeoJSON and returns the intersecting point(s).
   *
   * @name lineIntersect
   * @param {GeoJSON} line1 any LineString or Polygon
   * @param {GeoJSON} line2 any LineString or Polygon
   * @returns {FeatureCollection<Point>} point(s) that intersect both
   * @example
   * var line1 = turf.lineString([[126, -11], [129, -21]]);
   * var line2 = turf.lineString([[123, -18], [131, -14]]);
   * var intersects = turf.lineIntersect(line1, line2);
   *
   * //addToMap
   * var addToMap = [line1, line2, intersects]
   */
  function lineIntersect(line1, line2) {
      var unique = {};
      var results = [];
      // First, normalize geometries to features
      // Then, handle simple 2-vertex segments
      if (line1.type === "LineString") {
          line1 = feature(line1);
      }
      if (line2.type === "LineString") {
          line2 = feature(line2);
      }
      if (line1.type === "Feature" &&
          line2.type === "Feature" &&
          line1.geometry !== null &&
          line2.geometry !== null &&
          line1.geometry.type === "LineString" &&
          line2.geometry.type === "LineString" &&
          line1.geometry.coordinates.length === 2 &&
          line2.geometry.coordinates.length === 2) {
          var intersect = intersects(line1, line2);
          if (intersect) {
              results.push(intersect);
          }
          return featureCollection$1(results);
      }
      // Handles complex GeoJSON Geometries
      var tree = geojsonRbushExports();
      tree.load(lineSegment(line2));
      featureEach$2(lineSegment(line1), function (segment) {
          featureEach$2(tree.search(segment), function (match) {
              var intersect = intersects(segment, match);
              if (intersect) {
                  // prevent duplicate points https://github.com/Turfjs/turf/issues/688
                  var key = getCoords(intersect).join(",");
                  if (!unique[key]) {
                      unique[key] = true;
                      results.push(intersect);
                  }
              }
          });
      });
      return featureCollection$1(results);
  }
  /**
   * Find a point that intersects LineStrings with two coordinates each
   *
   * @private
   * @param {Feature<LineString>} line1 GeoJSON LineString (Must only contain 2 coordinates)
   * @param {Feature<LineString>} line2 GeoJSON LineString (Must only contain 2 coordinates)
   * @returns {Feature<Point>} intersecting GeoJSON Point
   */
  function intersects(line1, line2) {
      var coords1 = getCoords(line1);
      var coords2 = getCoords(line2);
      if (coords1.length !== 2) {
          throw new Error("<intersects> line1 must only contain 2 coordinates");
      }
      if (coords2.length !== 2) {
          throw new Error("<intersects> line2 must only contain 2 coordinates");
      }
      var x1 = coords1[0][0];
      var y1 = coords1[0][1];
      var x2 = coords1[1][0];
      var y2 = coords1[1][1];
      var x3 = coords2[0][0];
      var y3 = coords2[0][1];
      var x4 = coords2[1][0];
      var y4 = coords2[1][1];
      var denom = (y4 - y3) * (x2 - x1) - (x4 - x3) * (y2 - y1);
      var numeA = (x4 - x3) * (y1 - y3) - (y4 - y3) * (x1 - x3);
      var numeB = (x2 - x1) * (y1 - y3) - (y2 - y1) * (x1 - x3);
      if (denom === 0) {
          if (numeA === 0 && numeB === 0) {
              return null;
          }
          return null;
      }
      var uA = numeA / denom;
      var uB = numeB / denom;
      if (uA >= 0 && uA <= 1 && uB >= 0 && uB <= 1) {
          var x = x1 + uA * (x2 - x1);
          var y = y1 + uA * (y2 - y1);
          return point([x, y]);
      }
      return null;
  }

  class Map extends THREE__namespace.EventDispatcher {
      tileSize = 512;
      // 地球半径 6371km
      earthRadius = 6371;
      renderer = new THREE__namespace.WebGLRenderer();
      scene = new THREE__namespace.Scene();
      hash = false;
      earthOrbitControls;
      earthGeometry;
      earthMesh = new THREE__namespace.Mesh();
      container;
      layerManager;
      beforeLayerManager;
      tileLayer;
      disposeFuncList = [];
      /**
       * 安全区域，如果 displayBBox 超出了安全区域，则需要更新 preloadBBox
       */
      secureBBox;
      constructor(options) {
          super();
          const container = unwrapHTMLElement(options.container);
          if (!(container instanceof HTMLElement)) {
              console.error('can not find container');
              return;
          }
          container.style.position = 'relative';
          this.container = container;
          if (typeof options.hash === 'boolean')
              this.hash = options.hash;
          const pixelRatio = container.clientWidth / container.clientHeight;
          this.renderer.setSize(container.clientWidth, container.clientHeight);
          this.renderer.setPixelRatio(pixelRatio);
          container.appendChild(this.renderer.domElement);
          this.disposeFuncList.push(() => this.renderer.dispose());
          const { earthRadius, tileSize } = this;
          // let stats: Stats | undefined
          // if (options.fps) {
          //   stats = Stats()
          //   stats.dom.style.position = 'absolute'
          //   container.appendChild(stats.dom)
          // }
          this.scene.background = new THREE__namespace.Color(0x020924);
          // this.scene.fog = new THREE.Fog(0x020924, 200, 1000)
          // this.addBackground()
          // 镜头控制器
          const hashOptions = this.parseHash();
          this.earthOrbitControls = new EarthOrbitControls({
              domElement: container,
              earthRadius,
              center: options.center,
              zoom: options.zoom,
              bearing: options.bearing,
              ...hashOptions,
          });
          this.initEarthOrbitControls();
          this.earthGeometry = new EarthGeometry({
              earthRadius,
              tileSize,
              z: this.earthOrbitControls.z,
              delay: true,
          });
          this.disposeFuncList.push(() => this.earthGeometry.dispose());
          this.earthMesh.geometry = this.earthGeometry;
          this.earthMesh.userData.id = 'test';
          this.scene.add(this.earthMesh);
          this.initEarthMaterial();
          this.beforeLayerManager = new BeforeLayerManager({
              container,
              map: this,
              earthOrbitControls: this.earthOrbitControls,
          });
          // this.layerManager.canvas.style.width = '100%'
          // container.insertBefore(this.layerManager.canvas, container.childNodes[0])
          // 页面重绘动画
          const tick = () => {
              // stats?.update()
              // 更新渲染器
              this.renderer.render(this.scene, this.earthOrbitControls.camera);
              // 页面重绘时调用自身
              const id = window.requestAnimationFrame(tick);
              this.disposeFuncList.push(() => window.cancelAnimationFrame(id));
          };
          tick();
          const ro = new ResizeObserver(() => {
              const _pixelRatio = container.clientWidth / container.clientHeight;
              this.renderer.setPixelRatio(_pixelRatio);
              this.renderer.setSize(container.clientWidth, container.clientHeight);
              const { camera } = this.earthOrbitControls;
              camera.aspect = _pixelRatio;
              camera.updateProjectionMatrix();
          });
          ro.observe(container);
          this.disposeFuncList.push(() => ro.disconnect());
      }
      addBackground() {
          const { earthRadius } = this;
          // 因为是球体，需要将图片横向和竖向各翻转一次，让图片边界可以正常衔接
          const reverseRepeat = 2;
          const heightSegments = reverseRepeat * 100;
          const widthSegments = heightSegments;
          const widthPositionCount = widthSegments + 1;
          const heightPositionCount = heightSegments + 1;
          const backgroundGeometry = new THREE__namespace.SphereGeometry(earthRadius * 1000, widthSegments, heightSegments);
          const uv = [];
          for (let y = 0; y < heightPositionCount; y++) {
              for (let x = 0; x < widthPositionCount; x++) {
                  const xUv = ((x * reverseRepeat) / widthSegments) % reverseRepeat;
                  const yUv = ((y * reverseRepeat) / heightSegments) % reverseRepeat;
                  const uvFormat = (value) => {
                      if (value > 1) {
                          value = reverseRepeat - value;
                      }
                      return value;
                  };
                  uv.push(uvFormat(xUv), uvFormat(yUv));
              }
          }
          backgroundGeometry.attributes.uv = new THREE__namespace.Float32BufferAttribute(new Float32Array(uv), 2);
          const texture = new THREE__namespace.TextureLoader().load('.//01-earth-splash-stars-ltr.webp');
          texture.minFilter = THREE__namespace.NearestFilter;
          const backgroundMaterial = new THREE__namespace.MeshBasicMaterial({
              map: texture,
              side: THREE__namespace.DoubleSide,
          });
          const background = new THREE__namespace.Mesh(backgroundGeometry, backgroundMaterial);
          this.scene.add(background);
      }
      updatePreloadBBox(_preloadBBox) {
          const preloadBBox = _preloadBBox ?? this.getPreloadBBox();
          const displayBBox = bbox$2(this.getDisplayPolygon());
          if (!isFull(preloadBBox)) {
              this.secureBBox = this.getSecureBBox();
          }
          this.earthGeometry.bbox = preloadBBox;
          this.earthGeometry.update();
          this.tileLayer.bbox = preloadBBox;
          this.tileLayer.displayBBox = displayBBox;
          this.tileLayer.z = this.earthOrbitControls.z;
          void this.tileLayer.refresh();
          this.layerManager.bbox = preloadBBox;
          this.layerManager.displayBBox = displayBBox;
          this.layerManager.z = this.earthOrbitControls.z;
          this.layerManager.updateCanvasSize(this.earthOrbitControls.getPxDeg());
          this.layerManager.refresh();
      }
      initEarthOrbitControls() {
          const onMove = throttle(() => {
              this.updateHash();
              this.beforeLayerManager.refresh();
              const secureBBox = this.secureBBox;
              const cachePreloadBBox = this.earthGeometry.bbox;
              const preloadBBox = this.getPreloadBBox();
              const displayBBox = bbox$2(this.getDisplayPolygon());
              if (bboxContains(cachePreloadBBox, preloadBBox)) {
                  this.updatePreloadBBox();
                  return;
              }
              const overflowSecureBBox = secureBBox && !bboxContains(secureBBox, displayBBox);
              if (overflowSecureBBox) {
                  this.updatePreloadBBox();
              }
          }, 500);
          this.earthOrbitControls.addEventListener('move', () => {
              this.dispatchEvent({ type: 'move' });
              onMove();
          });
          this.earthOrbitControls.addEventListener('rotate', () => {
              this.dispatchEvent({ type: 'rotate' });
              onMove();
          });
          this.earthOrbitControls.addEventListener('zoom', () => {
              this.dispatchEvent({ type: 'zoom' });
              onMove();
          });
      }
      getPreloadBBox() {
          let preloadBBox = scale(bbox$2(this.getDisplayPolygon()), 3);
          preloadBBox = latPretreatmentBBox(preloadBBox);
          if (preloadBBox[2] - preloadBBox[0] > 180) {
              preloadBBox[0] = -180;
              preloadBBox[2] = 180;
          }
          return preloadBBox;
      }
      getSecureBBox() {
          return latPretreatmentBBox(scale(bbox$2(this.getDisplayPolygon()), 2));
      }
      parseHash() {
          if (this.hash && location.hash.startsWith('#')) {
              const [zoom, lng, lat, bearing] = location.hash.slice(1).split('/');
              return {
                  zoom: parseFloat(zoom),
                  center: [parseFloat(lng), parseFloat(lat)],
                  bearing: parseFloat(bearing),
              };
          }
      }
      updateHash() {
          const { zoom, center, bearing } = this.earthOrbitControls;
          if (this.hash) {
              const arr = [floor$1(zoom, 2), floor$1(center[0], 3), floor$1(center[1], 3), floor$1(bearing, 2)];
              history.replaceState(null, '', `#${arr.join('/')}`);
          }
      }
      initEarthMaterial() {
          const { tileSize } = this;
          const materials = [];
          const backgroundMaterial = new THREE__namespace.ShaderMaterial({
              fragmentShader: `
        void main() {
          gl_FragColor = vec4(0, 0, 0, 1);
        }
      `,
          });
          materials.push(backgroundMaterial);
          const vertexShader = `
      varying vec2 vUv;
      void main() {
        vUv = uv;
        gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
      }
    `;
          // 创建 tileMaterial
          {
              const tileLayer = new TileLayer(tileSize);
              this.tileLayer = tileLayer;
              const getTexture = () => new THREE__namespace.CanvasTexture(tileLayer.canvas);
              tileLayer.onUpdate = () => {
                  uniforms.bbox.value = tileLayer.bbox;
                  uniforms.canvasBBox.value = tileLayer.canvasBBox;
                  uniforms.startCanvasY.value = MercatorTile.latToY(tileLayer.canvasBBox[1], 0);
                  uniforms.endCanvasY.value = MercatorTile.latToY(tileLayer.canvasBBox[3], 0);
                  uniforms.tile.value.dispose();
                  uniforms.tile.value = getTexture();
              };
              const uniforms = {
                  tile: { value: getTexture() },
                  bbox: { value: fullBBox },
                  canvasBBox: { value: fullBBox },
                  startCanvasY: { value: MercatorTile.latToY(fullBBox[1], 0) },
                  endCanvasY: { value: MercatorTile.latToY(fullBBox[3], 0) },
              };
              // 将 lat(纬度) 转化为墨卡托投影中的 y(0-1)
              const latToY = `
        float latToY(float lat) {
          if (lat >= ${MercatorTile.maxLat}) {
            return 0.0;
          }
          if (lat <= ${-MercatorTile.maxLat}) {
            return 1.0;
          }

          float sinValue = sin(radians(lat));
          float y = (0.5 - (0.25 * log((1.0 + sinValue) / (1.0 - sinValue))) / ${Math.PI});
          return y;
        }
      `;
              const fragmentShader = `
        uniform sampler2D tile;
        uniform sampler2D layers;
        uniform vec4 bbox;
        uniform vec4 canvasBBox;
        uniform float startCanvasY;
        uniform float endCanvasY;
        varying vec2 vUv;

        ${latToY}

        void main() {
          float w = bbox[0];
          float s = bbox[1];
          float e = bbox[2];
          float n = bbox[3];
          float canvasW = canvasBBox[0];
          float canvasS = canvasBBox[1];
          float canvasE = canvasBBox[2];
          float canvasN = canvasBBox[3];

          float canvasLatGap = canvasE - canvasW;
          float scaleX = (e - w) / canvasLatGap;
          float startX = (w - canvasW) / canvasLatGap;
          float x = vUv.x * scaleX + startX;

          float lat = s + vUv.y * (n - s);
          float y = (latToY(lat) - startCanvasY) / (endCanvasY - startCanvasY);

          vec2 uv = vec2(x, y);
          gl_FragColor = texture2D(tile, uv);
        }
      `;
              const tileMaterial = new THREE__namespace.ShaderMaterial({
                  uniforms,
                  vertexShader,
                  fragmentShader,
                  transparent: true,
              });
              materials.push(tileMaterial);
          }
          // 创建 layersMaterial
          {
              const layerManager = new LayerManager();
              this.layerManager = layerManager;
              this.disposeFuncList.push(() => layerManager.dispose());
              const getTexture = () => new THREE__namespace.CanvasTexture(layerManager.canvas);
              layerManager.onUpdate = () => {
                  layersUniform.value.dispose();
                  layersUniform.value = getTexture();
              };
              const layersUniform = {
                  value: getTexture(),
              };
              const layersMaterial = new THREE__namespace.ShaderMaterial({
                  uniforms: {
                      layers: layersUniform,
                  },
                  vertexShader,
                  fragmentShader: `
          uniform sampler2D layers;
          varying vec2 vUv;
          void main() {
            gl_FragColor = texture2D(layers, vUv);
          }
        `,
                  transparent: true,
              });
              materials.push(layersMaterial);
          }
          materials.forEach((material, i) => {
              this.earthGeometry.addGroup(0, Infinity, i);
              this.disposeFuncList.push(() => material.dispose());
          });
          this.earthMesh.material = materials;
          this.updatePreloadBBox();
      }
      inContainerRange(point) {
          const [x, y] = point;
          return (inRange(x, 0, this.container.clientWidth, '[]') &&
              inRange(y, 0, this.container.clientHeight, '[]'));
      }
      /**
       * 将 LngLat 转化为像素位置
       * @param lngLat
       * @param options.allowNotVisible
       * @returns
       */
      project(lngLat, options) {
          const { camera } = this.earthOrbitControls;
          const position = lngLatToVector3(lngLat, this.earthRadius);
          const vector = position.clone().project(camera);
          const w = this.container.clientWidth / 2;
          const h = this.container.clientHeight / 2;
          const x = vector.x * w + w;
          const y = -vector.y * h + h;
          if (!options?.allowNotVisible) {
              if (!this.inContainerRange([x, y])) {
                  return null;
              }
              const ray = new THREE__namespace.Ray(camera.position, position.clone().sub(camera.position).normalize());
              const chordCenter = new THREE__namespace.Vector3();
              ray.closestPointToPoint(new THREE__namespace.Vector3(0, 0, 0), chordCenter);
              // 根据弦心和镜头的距离和经纬度和镜头距离的远近来判断经纬度是否被遮挡
              if (camera.position.distanceToSquared(chordCenter) < camera.position.distanceToSquared(position)) {
                  return null;
              }
          }
          return [x, y];
      }
      /**
       * 将像素位置转化为 LngLat
       * 为什么不使用 THREE.Raycaster: https://github.com/mrdoob/three.js/issues/11449
       * @param point
       * @param options.allowFovLimitExceeded 是否允许该点对应的视角超出球体相切角度，如果为 true，即便超出相切角度，也会将其转化为相切角度然后返回经纬度
       * @returns
       */
      unproject(point, options) {
          if (!this.inContainerRange(point)) {
              return null;
          }
          // 将像素位置转化为以 container 中心点为原点的 xy 轴坐标
          const x = point[0] - this.container.clientWidth / 2;
          const y = -(point[1] - this.container.clientHeight / 2);
          const diagonal = hypotenuse(x, y) * 2;
          const tangentFov = getTangentFov(this.earthOrbitControls.distance, this.earthRadius);
          const fov = this.earthOrbitControls.getFov(diagonal);
          if (!options?.allowFovLimitExceeded && fov > tangentFov) {
              return null;
          }
          const centralAngle = getDisplayCentralAngle(this.earthOrbitControls.distance, this.earthRadius, fov);
          const aspect = x / y;
          let deg = Number.isNaN(aspect) ? 0 : radToDeg(Math.atan(Math.abs(x / y)));
          if (x <= 0 && y < 0) {
              deg = 180 - deg;
          }
          else if (x > 0 && y <= 0) {
              deg = 180 + deg;
          }
          else if (x > 0 && y > 0) {
              deg = 360 - deg;
          }
          const xAxis = new THREE__namespace.Vector3(-1, 0, 0).applyEuler(new THREE__namespace.Euler(0, degToRad(this.earthOrbitControls.center[0])));
          const vector3 = lngLatToVector3(this.earthOrbitControls.center, this.earthRadius)
              .applyAxisAngle(xAxis, degToRad(centralAngle / 2))
              .applyAxisAngle(lngLatToVector3(this.earthOrbitControls.center, 1), degToRad(deg - this.earthOrbitControls.bearing));
          return vector3ToLngLat(vector3);
      }
      getDisplayPolygon() {
          let bearing = this.earthOrbitControls.bearing;
          bearing %= 180;
          bearing = bearing >= 0 ? bearing : 180 + bearing;
          const diagonalDeg = radToDeg(Math.atan(this.earthOrbitControls.camera.aspect));
          let arr = [0, diagonalDeg, 90, 180 - diagonalDeg];
          const removeWhenEqBearing = (i) => {
              if (Math.round(arr[i]) === Math.round(bearing)) {
                  arr.splice(i, 1);
              }
          };
          for (let i = 1; i < arr.length; i++) {
              if (bearing < arr[i]) {
                  arr.splice(i, 0, bearing);
                  removeWhenEqBearing(i - 1);
                  removeWhenEqBearing(i + 1);
                  break;
              }
              if (i === arr.length - 1) {
                  arr.push(bearing);
                  removeWhenEqBearing(i);
                  removeWhenEqBearing(0);
                  break;
              }
          }
          arr = [...arr, ...arr.map(v => v + 180)];
          let bearingIndex = arr.findIndex(v => v === bearing);
          if (this.earthOrbitControls.bearing < 0) {
              bearingIndex += arr.length / 2;
          }
          arr = [...arr.slice(bearingIndex), ...arr.slice(0, bearingIndex)];
          let lngLatArr = arr
              .map(v => rectangleIntersect(this.container.clientWidth, this.container.clientHeight, 360 - v))
              .map((point) => this.unproject(point, { allowFovLimitExceeded: true }));
          const sortLngLatArr = () => {
              const spliceIndex = lngLatArr.slice(0, -1).findIndex((v, i) => v[0] > lngLatArr[i + 1][0]);
              if (spliceIndex !== -1)
                  lngLatArr = [...lngLatArr.slice(spliceIndex + 1), ...lngLatArr.slice(0, spliceIndex + 1)];
          };
          const getIntersectLat = () => {
              const start = last(lngLatArr);
              const end = [...lngLatArr[0]];
              end[0] += 360;
              const featureCollection = lineIntersect(lineString([start, end]), lineString([
                  [180, -90],
                  [180, 90],
              ]));
              return featureCollection.features[0]?.geometry?.coordinates?.[1];
          };
          const northPoleVisible = !!this.project([0, 90]);
          const southPoleVisible = !!this.project([0, -90]);
          if (southPoleVisible) {
              lngLatArr.reverse();
          }
          if (northPoleVisible || southPoleVisible) {
              sortLngLatArr();
              if (lngLatArr[0][0] === -180) {
                  lngLatArr.push([180, lngLatArr[0][1]]);
              }
              else if (last(lngLatArr)[0] === 180) {
                  lngLatArr.unshift([-180, last(lngLatArr)[1]]);
              }
              else {
                  const intersectLat = getIntersectLat();
                  lngLatArr.unshift([-180, intersectLat]);
                  lngLatArr.push([180, intersectLat]);
              }
              const topLat = northPoleVisible ? 90 : -90;
              lngLatArr.unshift([-180, topLat]);
              lngLatArr.push([180, topLat]);
              return polygon([[...lngLatArr, lngLatArr[0]]]);
          }
          lngLatArr[0][0] = lngLatArr[lngLatArr.length / 2][0] = this.earthOrbitControls.center[0];
          lngLatArr.slice(lngLatArr.length / 2 + 1).forEach(v => {
              if (v[0] < this.earthOrbitControls.center[0]) {
                  v[0] += 360;
              }
          });
          return polygon([[...lngLatArr, lngLatArr[0]]]);
      }
      addLayer(layer) {
          if (layer instanceof BaseBeforeLayer) {
              this.beforeLayerManager.addLayer(layer);
          }
          else {
              this.layerManager.addLayer(layer);
          }
      }
      removeLayer(layer) {
          if (layer instanceof BaseBeforeLayer) {
              this.beforeLayerManager.removeLayer(layer);
          }
          else {
              this.layerManager.removeLayer(layer);
          }
      }
      clearContainer() {
          this.container.childNodes.forEach(child => {
              this.container.removeChild(child);
          });
      }
      dispose() {
          this.disposeFuncList.forEach(func => func());
          this.disposeFuncList = [];
          this.clearContainer();
      }
  }

  function features2featureArr(f) {
      return !Array.isArray(f) && f.type === 'FeatureCollection' ? f.features : inflate(f);
  }

  class TextLayer extends BaseBeforeLayer {
      source;
      style;
      constructor(options) {
          super();
          this.source = options.source;
          this.style = options.style;
      }
      refresh() {
          const { canvas, ctx, source, style } = this;
          ctx.clearRect(0, 0, canvas.width, canvas.height);
          ctx.fillStyle = '#fff';
          ctx.textAlign = 'center';
          ctx.textBaseline = 'middle';
          let fontSize = 12;
          if (style) {
              if (typeof style.fontSize === 'number') {
                  fontSize = style.fontSize;
              }
              if (style.color) {
                  ctx.fillStyle = style.color;
              }
          }
          ctx.font = `${fontSize}px sans-serif`;
          const bboxArr = [];
          features2featureArr(source).forEach(feature => {
              const lngLat = feature.geometry.coordinates;
              const point = this.beforeLayerManager?.map.project(lngLat);
              if (!point)
                  return;
              const [x, y] = point;
              const text = feature.properties?.name;
              const textMetrics = ctx.measureText(text);
              const left = x - textMetrics.width / 2;
              const right = x + textMetrics.width / 2;
              const top = y - fontSize / 2;
              const bottom = y + fontSize / 2;
              const textBBox = [left, top, right, bottom];
              if (!bboxContains([0, 0, canvas.width, canvas.height], textBBox)) {
                  return;
              }
              console.log(textBBox, bboxArr, bboxArr.some(bbox => bboxOverlap(bbox, textBBox)));
              if (!style?.overlap && bboxArr.some(bbox => bboxOverlap(bbox, textBBox))) {
                  return;
              }
              ctx.fillText(text, x, y);
              bboxArr.push(textBBox);
          });
      }
  }

  function geoEquirectangular(options) {
      const [w, s, e, n] = options.bbox;
      const [width, height] = options.size;
      return (position) => {
          const [lng, lat] = position;
          const x = ((lng - w) / (e - w) * width);
          const y = ((n - lat) / (n - s) * height);
          return [x, y];
      };
  }

  class BaseLayer extends THREE__namespace.EventDispatcher {
      disposeFuncList = [];
      layerManager;
      imageBitmap;
      zIndex = 0;
      update() { }
      dispose() {
          this.disposeFuncList.forEach(func => func());
          this.disposeFuncList = [];
      }
  }

  class LineLayer extends BaseLayer {
      canvas = new OffscreenCanvas(1, 1);
      ctx = this.canvas.getContext('2d');
      source;
      style;
      constructor(options) {
          super();
          this.source = options.source;
          this.style = options.style;
      }
      refresh() {
          const { canvas, ctx, layerManager, source, style } = this;
          canvas.width = layerManager.canvas.width;
          canvas.height = layerManager.canvas.height;
          ctx.clearRect(0, 0, canvas.width, canvas.height);
          const projection = geoEquirectangular({
              bbox: this.layerManager.bbox,
              size: [this.layerManager.canvas.width, this.layerManager.canvas.height],
          });
          ctx.beginPath();
          if (style) {
              if (style.lineColor) {
                  this.ctx.strokeStyle = style.lineColor;
              }
              if (typeof style.lineWidth === 'number') {
                  this.ctx.lineWidth = style.lineWidth;
              }
          }
          features2featureArr(source).forEach(feature => {
              let lineStringArr = [];
              if (feature.geometry.type === 'LineString') {
                  lineStringArr = [feature.geometry.coordinates];
              }
              else if (feature.geometry.type === 'MultiLineString') {
                  lineStringArr = feature.geometry.coordinates;
              }
              else if (feature.geometry.type === 'Polygon') {
                  // TODO Polygon 支持中空（第一个环必须是外部环，其他的必须是内部环或者孔，而且内部环和外部环的走向是相反的）
                  lineStringArr = feature.geometry.coordinates.slice(0, 1);
              }
              else {
                  lineStringArr = feature.geometry.coordinates.map(polygonCoordinates => polygonCoordinates[0]);
              }
              lineStringArr.forEach(positions => {
                  positions.forEach((position, i) => {
                      const [x, y] = projection(position);
                      if (i === 0) {
                          ctx.moveTo(x, y);
                      }
                      else {
                          ctx.lineTo(x, y);
                      }
                  });
              });
          });
          ctx.stroke();
          this.imageBitmap = canvas.transferToImageBitmap();
      }
  }

  class FillLayer extends BaseLayer {
      canvas = new OffscreenCanvas(1, 1);
      ctx = this.canvas.getContext('2d');
      source;
      style;
      constructor(options) {
          super();
          this.source = options.source;
          this.style = options.style;
      }
      refresh() {
          const { canvas, ctx, layerManager, source, style } = this;
          canvas.width = layerManager.canvas.width;
          canvas.height = layerManager.canvas.height;
          ctx.clearRect(0, 0, canvas.width, canvas.height);
          const projection = geoEquirectangular({
              bbox: this.layerManager.bbox,
              size: [this.layerManager.canvas.width, this.layerManager.canvas.height],
          });
          ctx.beginPath();
          if (style) {
              if (style.fillColor) {
                  ctx.fillStyle = style.fillColor;
              }
          }
          features2featureArr(source).forEach(feature => {
              let coordinates = [];
              if (feature.geometry.type === 'MultiPolygon') {
                  coordinates = feature.geometry.coordinates.map(polygonCoordinates => polygonCoordinates[0]);
              }
              else {
                  coordinates = feature.geometry.coordinates.slice(0, 1);
              }
              coordinates.forEach(positions => {
                  positions.forEach((position, i) => {
                      const [x, y] = projection(position);
                      if (i === 0) {
                          ctx.moveTo(x, y);
                      }
                      else {
                          ctx.lineTo(x, y);
                      }
                  });
              });
          });
          ctx.fill();
          this.imageBitmap = canvas.transferToImageBitmap();
      }
  }

  exports.FillLayer = FillLayer;
  exports.LineLayer = LineLayer;
  exports.Map = Map;
  exports.TextLayer = TextLayer;

  return exports;

})({}, THREE);
